ALTER TABLE GVM_ADM.GVM_ACCIONS_MITIGACIO ADD (
  CONSTRAINT GVM_ACCIONS_MITIGACIO_FK_ESTAT_MITIGACIO 
  FOREIGN KEY (FK_ESTAT_MITIGACIO) 
  REFERENCES GVM_ADM.GVM_ESTAT_MITIGACIO (ID_ESTAT_MITIGACIO)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_ACCIONS_MITIGACIO ADD (
  CONSTRAINT GVM_ACCIONS_MITIGACIO_FK_ID_USUARI_RESPONSABLE 
  FOREIGN KEY (FK_ID_USUARI_RESPONSABLE) 
  REFERENCES GVM_ADM.GVM_USUARIS (ID_USUARI)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_ACCIONS_MITIGACIO ADD (
  CONSTRAINT GVM_ACCIONS_MITIGACIO_FK_ID_VULNERABILITAT 
  FOREIGN KEY (FK_ID_VULNERABILITAT) 
  REFERENCES GVM_ADM.GVM_VULNERABILITATS (ID_VULNERABILITAT)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_ACCIONS_MITIGACIO ADD (
  CONSTRAINT GVM_ACCIONS_MITIGACIO_R04 
  FOREIGN KEY (FK_USUARI_ALTA) 
  REFERENCES GVM_ADM.GVM_USUARIS (ID_USUARI)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_ACCIONS_MITIGACIO ADD (
  CONSTRAINT GVM_ACCIONS_MITIGACIO_R05 
  FOREIGN KEY (FK_USUARI_MODIFICACIO) 
  REFERENCES GVM_ADM.GVM_USUARIS (ID_USUARI)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_ACCIONS_MITIGACIO ADD (
  CONSTRAINT GVM_ACCIONS_MITIGACIO_R06 
  FOREIGN KEY (FK_USUARI_BAIXA) 
  REFERENCES GVM_ADM.GVM_USUARIS (ID_USUARI)
  ENABLE VALIDATE)
/