ALTER TABLE GVM_ADM.GVM_AUDITORIA_POLITICA ADD (
  CONSTRAINT GVM_AUDITORIA_POLITICA_FK_ID_AUDITORIA 
  FOREIGN KEY (FK_ID_AUDITORIA) 
  REFERENCES GVM_ADM.GVM_AUDITORIA (ID_AUDITORIA)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_AUDITORIA_POLITICA ADD (
  CONSTRAINT GVM_AUDITORIA_POLITICA_FK_ID_POLITICA 
  FOREIGN KEY (FK_ID_POLITICA) 
  REFERENCES GVM_ADM.GVM_POLITIQUES_SEGURETAT (ID_POLITICA)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_AUDITORIA_POLITICA ADD (
  CONSTRAINT GVM_AUDITORIA_POLITICA_FK_ID_PROCES 
  FOREIGN KEY (FK_ID_PROCES) 
  REFERENCES GVM_ADM.GVM_PROCES (ID_PROCES)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_AUDITORIA_POLITICA ADD (
  CONSTRAINT GVM_AUDITORIA_POLITICA_R03 
  FOREIGN KEY (FK_USUARI_MODIFICACIO) 
  REFERENCES GVM_ADM.GVM_USUARIS (ID_USUARI)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_AUDITORIA_POLITICA ADD (
  CONSTRAINT GVM_AUDITORIA_POLITICA_R04 
  FOREIGN KEY (FK_USUARI_ALTA) 
  REFERENCES GVM_ADM.GVM_USUARIS (ID_USUARI)
  ENABLE VALIDATE)
/

ALTER TABLE GVM_ADM.GVM_AUDITORIA_POLITICA ADD (
  CONSTRAINT GVM_AUDITORIA_POLITICA_R05 
  FOREIGN KEY (FK_USUARI_BAIXA) 
  REFERENCES GVM_ADM.GVM_USUARIS (ID_USUARI)
  ENABLE VALIDATE)
/