Prompt drop Package DML_GVM_AUDITORIA;
DROP PACKAGE GVM_ADM.DML_GVM_AUDITORIA
/

Prompt Package DML_GVM_AUDITORIA;
--
-- DML_GVM_AUDITORIA  (Package) 
--
--  Dependencies: 
--   GVM_AUDITORIA (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_AUDITORIA IS

  PROCEDURE INS_GVM_AUDITORIA
    (
     in_ID_AUDITORIA          IN GVM_ADM.GVM_AUDITORIA.ID_AUDITORIA%TYPE
    ,in_NOM_AUDITORIA         IN GVM_ADM.GVM_AUDITORIA.NOM_AUDITORIA%TYPE
    ,in_DESC_AUDITORIA_CAT    IN GVM_ADM.GVM_AUDITORIA.DESC_AUDITORIA_CAT%TYPE
    ,in_DESC_AUDITORIA_CAST   IN GVM_ADM.GVM_AUDITORIA.DESC_AUDITORIA_CAST%TYPE
    ,in_DESC_AUDITORIA_ANG    IN GVM_ADM.GVM_AUDITORIA.DESC_AUDITORIA_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_AUDITORIA.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_AUDITORIA.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_AUDITORIA.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_AUDITORIA.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_AUDITORIA.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_AUDITORIA.FK_USUARI_BAIXA%TYPE
    ,in_ANY_AUDITORIA         IN GVM_ADM.GVM_AUDITORIA.ANY_AUDITORIA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_AUDITORIA
    (
     in_ID_AUDITORIA          IN GVM_ADM.GVM_AUDITORIA.ID_AUDITORIA%TYPE
    ,in_NOM_AUDITORIA         IN GVM_ADM.GVM_AUDITORIA.NOM_AUDITORIA%TYPE
    ,in_DESC_AUDITORIA_CAT    IN GVM_ADM.GVM_AUDITORIA.DESC_AUDITORIA_CAT%TYPE
    ,in_DESC_AUDITORIA_CAST   IN GVM_ADM.GVM_AUDITORIA.DESC_AUDITORIA_CAST%TYPE
    ,in_DESC_AUDITORIA_ANG    IN GVM_ADM.GVM_AUDITORIA.DESC_AUDITORIA_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_AUDITORIA.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_AUDITORIA.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_AUDITORIA.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_AUDITORIA.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_AUDITORIA.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_AUDITORIA.FK_USUARI_BAIXA%TYPE
    ,in_ANY_AUDITORIA         IN GVM_ADM.GVM_AUDITORIA.ANY_AUDITORIA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_AUDITORIA
    (
     in_ID_AUDITORIA          IN GVM_ADM.GVM_AUDITORIA.ID_AUDITORIA%TYPE
    ,in_NOM_AUDITORIA         IN GVM_ADM.GVM_AUDITORIA.NOM_AUDITORIA%TYPE
    ,in_DESC_AUDITORIA_CAT    IN GVM_ADM.GVM_AUDITORIA.DESC_AUDITORIA_CAT%TYPE
    ,in_DESC_AUDITORIA_CAST   IN GVM_ADM.GVM_AUDITORIA.DESC_AUDITORIA_CAST%TYPE
    ,in_DESC_AUDITORIA_ANG    IN GVM_ADM.GVM_AUDITORIA.DESC_AUDITORIA_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_AUDITORIA.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_AUDITORIA.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_AUDITORIA.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_AUDITORIA.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_AUDITORIA.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_AUDITORIA.FK_USUARI_BAIXA%TYPE
    ,in_ANY_AUDITORIA         IN GVM_ADM.GVM_AUDITORIA.ANY_AUDITORIA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_AUDITORIA
    (
     in_ID_AUDITORIA          IN GVM_ADM.GVM_AUDITORIA.ID_AUDITORIA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_AUDITORIA;
/
SHOW ERRORS;