Prompt drop Package DML_GVM_LOG_HISTORIC;
DROP PACKAGE GVM_ADM.DML_GVM_LOG_HISTORIC
/

Prompt Package DML_GVM_LOG_HISTORIC;
--
-- DML_GVM_LOG_HISTORIC  (Package) 
--
--  Dependencies: 
--   GVM_LOG_HISTORIC (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_LOG_HISTORIC IS

  PROCEDURE INS_GVM_LOG_HISTORIC
    (
     in_ID_LOG         IN GVM_ADM.GVM_LOG_HISTORIC.ID_LOG%TYPE
    ,in_NOM_TAULA      IN GVM_ADM.GVM_LOG_HISTORIC.NOM_TAULA%TYPE
    ,in_NOM_CAMP_TAULA IN GVM_ADM.GVM_LOG_HISTORIC.NOM_CAMP_TAULA%TYPE
    ,in_VALOR_ANTERIOR IN GVM_ADM.GVM_LOG_HISTORIC.VALOR_ANTERIOR%TYPE
    ,in_VALOR_ACTUAL   IN GVM_ADM.GVM_LOG_HISTORIC.VALOR_ACTUAL%TYPE
    ,in_TIPUS_OPERACIO IN GVM_ADM.GVM_LOG_HISTORIC.TIPUS_OPERACIO%TYPE
    ,in_DATA_ALTA      IN GVM_ADM.GVM_LOG_HISTORIC.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA IN GVM_ADM.GVM_LOG_HISTORIC.FK_USUARI_ALTA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_LOG_HISTORIC
    (
     in_ID_LOG         IN GVM_ADM.GVM_LOG_HISTORIC.ID_LOG%TYPE
    ,in_NOM_TAULA      IN GVM_ADM.GVM_LOG_HISTORIC.NOM_TAULA%TYPE
    ,in_NOM_CAMP_TAULA IN GVM_ADM.GVM_LOG_HISTORIC.NOM_CAMP_TAULA%TYPE
    ,in_VALOR_ANTERIOR IN GVM_ADM.GVM_LOG_HISTORIC.VALOR_ANTERIOR%TYPE
    ,in_VALOR_ACTUAL   IN GVM_ADM.GVM_LOG_HISTORIC.VALOR_ACTUAL%TYPE
    ,in_TIPUS_OPERACIO IN GVM_ADM.GVM_LOG_HISTORIC.TIPUS_OPERACIO%TYPE
    ,in_DATA_ALTA      IN GVM_ADM.GVM_LOG_HISTORIC.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA IN GVM_ADM.GVM_LOG_HISTORIC.FK_USUARI_ALTA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_LOG_HISTORIC
    (
     in_ID_LOG         IN GVM_ADM.GVM_LOG_HISTORIC.ID_LOG%TYPE
    ,in_NOM_TAULA      IN GVM_ADM.GVM_LOG_HISTORIC.NOM_TAULA%TYPE
    ,in_NOM_CAMP_TAULA IN GVM_ADM.GVM_LOG_HISTORIC.NOM_CAMP_TAULA%TYPE
    ,in_VALOR_ANTERIOR IN GVM_ADM.GVM_LOG_HISTORIC.VALOR_ANTERIOR%TYPE
    ,in_VALOR_ACTUAL   IN GVM_ADM.GVM_LOG_HISTORIC.VALOR_ACTUAL%TYPE
    ,in_TIPUS_OPERACIO IN GVM_ADM.GVM_LOG_HISTORIC.TIPUS_OPERACIO%TYPE
    ,in_DATA_ALTA      IN GVM_ADM.GVM_LOG_HISTORIC.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA IN GVM_ADM.GVM_LOG_HISTORIC.FK_USUARI_ALTA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_LOG_HISTORIC
    (
     in_ID_LOG         IN GVM_ADM.GVM_LOG_HISTORIC.ID_LOG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_LOG_HISTORIC;
/
SHOW ERRORS;