Prompt drop Package DML_GVM_MOSTREIG;
DROP PACKAGE GVM_ADM.DML_GVM_MOSTREIG
/

Prompt Package DML_GVM_MOSTREIG;
--
-- DML_GVM_MOSTREIG  (Package) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_MOSTREIG (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_MOSTREIG IS

  PROCEDURE INS_GVM_MOSTREIG
    (
     in_ID_MOSTREIG              IN GVM_ADM.GVM_MOSTREIG.ID_MOSTREIG%TYPE
    ,in_NOM_MOSTREIG             IN GVM_ADM.GVM_MOSTREIG.NOM_MOSTREIG%TYPE
    ,in_DESC_MOSTREIG_CAT        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAT%TYPE
    ,in_DESC_MOSTREIG_CAST       IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAST%TYPE
    ,in_DESC_MOSTREIG_ANG        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_ANG%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_MOSTREIG.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_MOSTREIG.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_MOSTREIG.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_MOSTREIG.FK_ID_AUDITORIA_POLITICA%TYPE
    ,in_RESULTAT_MOSTREIG        IN GVM_ADM.GVM_MOSTREIG.RESULTAT_MOSTREIG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_MOSTREIG
    (
     in_ID_MOSTREIG              IN GVM_ADM.GVM_MOSTREIG.ID_MOSTREIG%TYPE
    ,in_NOM_MOSTREIG             IN GVM_ADM.GVM_MOSTREIG.NOM_MOSTREIG%TYPE
    ,in_DESC_MOSTREIG_CAT        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAT%TYPE
    ,in_DESC_MOSTREIG_CAST       IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAST%TYPE
    ,in_DESC_MOSTREIG_ANG        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_ANG%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_MOSTREIG.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_MOSTREIG.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_MOSTREIG.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_MOSTREIG.FK_ID_AUDITORIA_POLITICA%TYPE
    ,in_RESULTAT_MOSTREIG        IN GVM_ADM.GVM_MOSTREIG.RESULTAT_MOSTREIG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_MOSTREIG
    (
     in_ID_MOSTREIG              IN GVM_ADM.GVM_MOSTREIG.ID_MOSTREIG%TYPE
    ,in_NOM_MOSTREIG             IN GVM_ADM.GVM_MOSTREIG.NOM_MOSTREIG%TYPE
    ,in_DESC_MOSTREIG_CAT        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAT%TYPE
    ,in_DESC_MOSTREIG_CAST       IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_CAST%TYPE
    ,in_DESC_MOSTREIG_ANG        IN GVM_ADM.GVM_MOSTREIG.DESC_MOSTREIG_ANG%TYPE
    ,in_DATA_ALTA                IN GVM_ADM.GVM_MOSTREIG.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA           IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO         IN GVM_ADM.GVM_MOSTREIG.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO    IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA               IN GVM_ADM.GVM_MOSTREIG.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA          IN GVM_ADM.GVM_MOSTREIG.FK_USUARI_BAIXA%TYPE
    ,in_FK_ID_AUDITORIA_POLITICA IN GVM_ADM.GVM_MOSTREIG.FK_ID_AUDITORIA_POLITICA%TYPE
    ,in_RESULTAT_MOSTREIG        IN GVM_ADM.GVM_MOSTREIG.RESULTAT_MOSTREIG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_MOSTREIG
    (
     in_ID_MOSTREIG              IN GVM_ADM.GVM_MOSTREIG.ID_MOSTREIG%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_MOSTREIG;
/
SHOW ERRORS;