Prompt drop Package DML_GVM_POLITIQUES_DEPARTAMENT;
DROP PACKAGE GVM_ADM.DML_GVM_POLITIQUES_DEPARTAMENT
/

Prompt Package DML_GVM_POLITIQUES_DEPARTAMENT;
--
-- DML_GVM_POLITIQUES_DEPARTAMENT  (Package) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_POLITIQUES_DEPARTAMENT (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_POLITIQUES_DEPARTAMENT IS

  PROCEDURE INS_GVM_POLITIQUES_DEPARTAMENT
    (
     in_ID_POLITIQUES_DEPARTAMENT IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.ID_POLITIQUES_DEPARTAMENT%TYPE
    ,in_FK_ID_POLITICA            IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_ID_POLITICA%TYPE
    ,in_FK_ID_DEPARTAMENT         IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_ID_DEPARTAMENT%TYPE
    ,in_NUM_INCOMPLIMENTS         IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA                 IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO          IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA                IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA            IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO     IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA           IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_POLITIQUES_DEPARTAMENT
    (
     in_ID_POLITIQUES_DEPARTAMENT IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.ID_POLITIQUES_DEPARTAMENT%TYPE
    ,in_FK_ID_POLITICA            IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_ID_POLITICA%TYPE
    ,in_FK_ID_DEPARTAMENT         IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_ID_DEPARTAMENT%TYPE
    ,in_NUM_INCOMPLIMENTS         IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA                 IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO          IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA                IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA            IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO     IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA           IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_POLITIQUES_DEPARTAMENT
    (
     in_ID_POLITIQUES_DEPARTAMENT IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.ID_POLITIQUES_DEPARTAMENT%TYPE
    ,in_FK_ID_POLITICA            IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_ID_POLITICA%TYPE
    ,in_FK_ID_DEPARTAMENT         IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_ID_DEPARTAMENT%TYPE
    ,in_NUM_INCOMPLIMENTS         IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA                 IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO          IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA                IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA            IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO     IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA           IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_POLITIQUES_DEPARTAMENT
    (
     in_ID_POLITIQUES_DEPARTAMENT IN GVM_ADM.GVM_POLITIQUES_DEPARTAMENT.ID_POLITIQUES_DEPARTAMENT%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_POLITIQUES_DEPARTAMENT;
/
SHOW ERRORS;