/*
Procediment encarregat de registrar els logs de totes les crides a packages i procediments, la gestió de les excepcions d'aquest modul queda gestoinada per el modul que les crida.
Te com a parametres de crida:
NOM_PROCEDIMENT   
DATA_INICI       
DATA_FI           
PARAM_ENTRADA    
PARAM_SORTIDA     
RESULTAT_EXECUCIO 
USUARI_ALTA       
*/
Prompt drop Procedure ALTA_LOG_PROCEDIMENT;
DROP PROCEDURE GVM_ADM.ALTA_LOG_PROCEDIMENT
/

Prompt Procedure ALTA_LOG_PROCEDIMENT;
--
-- ALTA_LOG_PROCEDIMENT  (Procedure) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_LOG_PROCEDIMENT_SEQ (Sequence)
--   STANDARD (Package)
--   SYS_STUB_FOR_PURITY_ANALYSIS (Package)
--
CREATE OR REPLACE PROCEDURE GVM_ADM.ALTA_LOG_PROCEDIMENT( 
    in_NOM_PROCEDIMENT   IN GVM_ADM.GVM_LOG_PROCEDIMENTS.NOM_PROCEDIMENT%TYPE
    ,in_DATA_INICI        IN GVM_ADM.GVM_LOG_PROCEDIMENTS.DATA_INICI%TYPE
    ,in_DATA_FI           IN GVM_ADM.GVM_LOG_PROCEDIMENTS.DATA_FI%TYPE
    ,in_PARAM_ENTRADA     IN GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_ENTRADA%TYPE
    ,in_PARAM_SORTIDA     IN GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    ,in_RESULTAT_EXECUCIO IN GVM_ADM.GVM_LOG_PROCEDIMENTS.RESULTAT_EXECUCIO%TYPE
    ,in_USUARI_ALTA       IN GVM_ADM.GVM_LOG_PROCEDIMENTS.USUARI_ALTA%TYPE

)
IS
BEGIN

--Insereix el registre de LOG 


INSERT INTO GVM_ADM.GVM_LOG_PROCEDIMENTS (
   ID_LOG, NOM_PROCEDIMENT, DATA_INICI, 
   DATA_FI, PARAM_ENTRADA, PARAM_SORTIDA, 
   RESULTAT_EXECUCIO, USUARI_ALTA) 
VALUES ( /* ID_LOG */GVM_LOG_PROCEDIMENT_SEQ.nextval,
 /* NOM_PROCEDIMENT */in_NOM_PROCEDIMENT,
 /* DATA_INICI */in_DATA_INICI,
 /* DATA_FI */in_DATA_FI,
 /* PARAM_ENTRADA */in_PARAM_ENTRADA,
 /* PARAM_SORTIDA */in_PARAM_SORTIDA,
 /* RESULTAT_EXECUCIO */in_RESULTAT_EXECUCIO,
 /* USUARI_ALTA */in_USUARI_ALTA );

END;
/
SHOW ERRORS;