Prompt drop TABLE GVM_AUDITORIA;
DROP TABLE GVM_ADM.GVM_AUDITORIA CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_AUDITORIA;
--
-- GVM_AUDITORIA  (Table) 
--
--   Row Count: 101
CREATE TABLE GVM_ADM.GVM_AUDITORIA
(
  ID_AUDITORIA           NUMBER                 NOT NULL,
  NOM_AUDITORIA          VARCHAR2(100 BYTE)     NOT NULL,
  DESC_AUDITORIA_CAT     VARCHAR2(100 BYTE)     NOT NULL,
  DESC_AUDITORIA_CAST    VARCHAR2(100 BYTE),
  DESC_AUDITORIA_ANG     VARCHAR2(100 BYTE),
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  FK_USUARI_ALTA         NUMBER                 NOT NULL,
  DATA_MODIFICACIO       DATE,
  FK_USUARI_MODIFICACIO  NUMBER,
  DATA_BAIXA             DATE,
  FK_USUARI_BAIXA        NUMBER,
  ANY_AUDITORIA          DATE                   DEFAULT TO_DATE('01-01-2019', 'DD-MM-YYYY') NOT NULL
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/