Prompt drop TABLE GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE;
DROP TABLE GVM_ADM.GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE;
--
-- GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE  (Table) 
--
--   Row Count: 1
CREATE TABLE GVM_ADM.GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE
(
  TOTAL_MITIGACIONS               NUMBER        DEFAULT 0                     NOT NULL,
  TOTAL_MITIGACIONS_ESTAT_PROCES  NUMBER        DEFAULT 0                     NOT NULL,
  ID_USUARI_RESPONSABLE           NUMBER        DEFAULT 0                     NOT NULL,
  TOTAL_MITIGACIONS_USUARI        NUMBER        DEFAULT 0                     NOT NULL
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/

COMMENT ON TABLE GVM_ADM.GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE IS 'total_mitigacions,total_mitigacions_estat_proces,FK_ID_USUARI_RESPONSABLE,total'
/