Prompt drop TABLE GVM_DEPARTAMENT;
DROP TABLE GVM_ADM.GVM_DEPARTAMENT CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_DEPARTAMENT;
--
-- GVM_DEPARTAMENT  (Table) 
--
--   Row Count: 101
CREATE TABLE GVM_ADM.GVM_DEPARTAMENT
(
  ID_DEPARTAMENT         NUMBER                 NOT NULL,
  NOM_DEPARTAMENT        VARCHAR2(100 BYTE)     NOT NULL,
  DESC_DEPARTAMENT_CAT   VARCHAR2(100 BYTE)     NOT NULL,
  DESC_DEPARTAMENT_CAST  VARCHAR2(100 BYTE),
  DESC_DEPARTAMENT_ANG   VARCHAR2(100 BYTE),
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  FK_USUARI_ALTA         NUMBER                 NOT NULL,
  DATA_MODIFICACIO       DATE,
  FK_USUARI_MODIFICACIO  NUMBER,
  DATA_BAIXA             DATE,
  FK_USUARI_BAIXA        NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/