Prompt drop TABLE GVM_ESTAT_MITIGACIO;
DROP TABLE GVM_ADM.GVM_ESTAT_MITIGACIO CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_ESTAT_MITIGACIO;
--
-- GVM_ESTAT_MITIGACIO  (Table) 
--
--   Row Count: 0
CREATE TABLE GVM_ADM.GVM_ESTAT_MITIGACIO
(
  ID_ESTAT_MITIGACIO     NUMBER                 NOT NULL,
  NOM_MITIGACIO          VARCHAR2(100 BYTE)     NOT NULL,
  DESC_MITIGACIO_CAT     VARCHAR2(200 BYTE)     NOT NULL,
  DESC_MITIGACIO_CAST    VARCHAR2(200 BYTE),
  DESC_MITIGACIO_ANG     VARCHAR2(200 BYTE),
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  FK_USUARI_ALTA         NUMBER                 NOT NULL,
  DATA_MODIFICACIO       DATE                   DEFAULT sysdate,
  FK_USUARI_MODIFICACIO  NUMBER,
  DATA_BAIXA             DATE,
  FK_USUARI_BAIXA        NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/