Prompt drop TABLE GVM_LOG_HISTORIC;
DROP TABLE GVM_ADM.GVM_LOG_HISTORIC CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_LOG_HISTORIC;
--
-- GVM_LOG_HISTORIC  (Table) 
--
--   Row Count: 1
CREATE TABLE GVM_ADM.GVM_LOG_HISTORIC
(
  ID_LOG          NUMBER,
  NOM_TAULA       VARCHAR2(100 BYTE)            NOT NULL,
  NOM_CAMP_TAULA  VARCHAR2(100 BYTE)            NOT NULL,
  VALOR_ANTERIOR  VARCHAR2(100 BYTE),
  VALOR_ACTUAL    VARCHAR2(100 BYTE)            NOT NULL,
  TIPUS_OPERACIO  VARCHAR2(100 BYTE)            NOT NULL,
  DATA_ALTA       DATE                          DEFAULT sysdate               NOT NULL,
  FK_USUARI_ALTA  NUMBER                        NOT NULL
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/