Prompt drop TABLE GVM_LOG_PROCEDIMENTS;
DROP TABLE GVM_ADM.GVM_LOG_PROCEDIMENTS CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_LOG_PROCEDIMENTS;
--
-- GVM_LOG_PROCEDIMENTS  (Table) 
--
--   Row Count: 6
CREATE TABLE GVM_ADM.GVM_LOG_PROCEDIMENTS
(
  ID_LOG             NUMBER                     NOT NULL,
  NOM_PROCEDIMENT    VARCHAR2(100 BYTE)         NOT NULL,
  DATA_INICI         DATE                       DEFAULT sysdate               NOT NULL,
  DATA_FI            DATE                       DEFAULT NULL,
  PARAM_ENTRADA      VARCHAR2(1200 BYTE)        DEFAULT 'NO APLICA',
  PARAM_SORTIDA      VARCHAR2(1200 BYTE)        NOT NULL,
  RESULTAT_EXECUCIO  INTEGER                    NOT NULL,
  USUARI_ALTA        INTEGER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/

COMMENT ON COLUMN GVM_ADM.GVM_LOG_PROCEDIMENTS.RESULTAT_EXECUCIO IS '0 OK 1 KO'
/