Prompt drop TABLE GVM_TIPUS_CRITICITAT;
DROP TABLE GVM_ADM.GVM_TIPUS_CRITICITAT CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_TIPUS_CRITICITAT;
--
-- GVM_TIPUS_CRITICITAT  (Table) 
--
--   Row Count: 2
CREATE TABLE GVM_ADM.GVM_TIPUS_CRITICITAT
(
  ID_TIPUS_CRITICITAT    NUMBER                 NOT NULL,
  NOM_CRITICITAT         VARCHAR2(100 BYTE)     NOT NULL,
  DESC_CRITICITAT_CAT    VARCHAR2(200 BYTE)     NOT NULL,
  DESC_CRITICITAT_CAST   VARCHAR2(200 BYTE),
  DESC_CRITICITAT_ANG    VARCHAR2(200 BYTE),
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  FK_USUARI_ALTA         NUMBER                 NOT NULL,
  DATA_MODIFICACIO       DATE                   DEFAULT NULL,
  FK_USUARI_MODIFICACIO  NUMBER,
  DATA_BAIXA             DATE,
  FK_USUARI_BAIXA        NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/