Prompt drop TABLE GVM_USUARIS;
DROP TABLE GVM_ADM.GVM_USUARIS CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_USUARIS;
--
-- GVM_USUARIS  (Table) 
--
--   Row Count: 1001
CREATE TABLE GVM_ADM.GVM_USUARIS
(
  ID_USUARI              NUMBER                 NOT NULL,
  NOM                    VARCHAR2(100 BYTE)     NOT NULL,
  PRIMER_COGNOM          VARCHAR2(100 BYTE)     NOT NULL,
  SEGON_COGNOM           VARCHAR2(100 BYTE),
  TIPUS_DOCUMENT         INTEGER                NOT NULL,
  CODI_DOCUMENT          VARCHAR2(100 BYTE),
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  DATA_MODIFICACIO       DATE,
  DATA_BAIXA             DATE,
  FK_USUARI_ALTA         NUMBER                 DEFAULT 1                     NOT NULL,
  FK_USUARI_MODIFICACIO  NUMBER,
  FK_USUARI_BAIXA        NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/