/*
Pla de proves per a les consultes:
CONSULTA 3: Top5 d’usuaris per número d’incompliments associats directament a ells, o al seu departament, durant l’any en curs.
CONSULTA 7: Donat un determinat departament de l’empresa, i tenint en compte el moment d’executar la consulta, percentatge d’usuaris del departament que no han acabat totes les formacions de seguretat assignades.
CONSULTA 11: Tenint en compte el darrer any (l’anterior a l’any en curs, que és quan s’executa la consulta), títol de la sessió formativa telemàtica que ha tingut un percentatge menor de participants en total.
realitzant un insert a l'entitat: 
*/
DELET
DELETE FROM GVM_CALCUL_INCOMPLIMENTS_USUARI;  
DELETE FROM GVM_CALCUL_ESTADISTIQUES_SESSIONS;
DELETE FROM GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY ; 
COMMIT;




SELECT * FROM GVM_CALCUL_INCOMPLIMENTS_USUARI; --where any_Cerca=2022 



SELECT * FROM GVM_CALCUL_ESTADISTIQUES_SESSIONS ;

SELECT * FROM GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY ;


SELECT COUNT(*) FROM GVM_SESSIO_USUARI

SELECT * FROM GVM_SESSIO_USUARI where ID_SESSIO_USUARI  > 8662

DELETE FROM GVM_SESSIO_USUARI where ID_SESSIO_USUARI  > 8662

select GVM_ADM.GVM_SESSIO_USUARI_SEQ.currval from dual



SELECT * FROM GVM_SESSIO_USUARI where ID_SESSIO_USUARI  = 8662

select * from GVM_LOG_PROCEDIMENTS order by id_log DESC

DELETE FROM GVM_LOG_PROCEDIMENTS ;
commit; 

DECLARE
    -- Variable declarations
    l_IN_ID_SESSIO_USUARI        NUMBER;
    l_IN_FK_ID_SESSIO            NUMBER;
    l_IN_FK_ID_USUARI            NUMBER;
    l_IN_NUM_INCOMPLIMENTS       NUMBER;
    l_IN_DATA_ALTA               DATE;
    l_IN_DATA_MODIFICACIO        DATE;
    l_IN_DATA_BAIXA              DATE;
    l_IN_FK_USUARI_ALTA          NUMBER;
    l_IN_FK_USUARI_MODIFICACIO   NUMBER;
    l_IN_FK_USUARI_BAIXA         NUMBER;
    l_IN_ESTAT_SESSIO            NUMBER;
    l_RSP                        VARCHAR2 (1200);

    PROCEDURE OUTPUT_LINE (a VARCHAR2)
    AS
    BEGIN
        IF LENGTHB (a) <= 32767
        THEN
            SYS.DBMS_OUTPUT.put_line (a);
        ELSE
            SYS.DBMS_OUTPUT.put_line (SUBSTRB (a, 1, 32767));
        END IF;
    END;
BEGIN
    -- Variable initializations
    l_IN_ID_SESSIO_USUARI :=  GVM_ADM.GVM_SESSIO_USUARI_SEQ.currval;--.nextval;--
    l_IN_FK_ID_SESSIO := 1;
    l_IN_FK_ID_USUARI := 2;
    l_IN_NUM_INCOMPLIMENTS := 1;
    l_IN_DATA_ALTA := sysdate;
    l_IN_DATA_MODIFICACIO := NULL;
    l_IN_DATA_BAIXA := NULL;
    l_IN_FK_USUARI_ALTA := 1;
    l_IN_FK_USUARI_MODIFICACIO := NULL;
    l_IN_FK_USUARI_BAIXA := NULL;
    l_IN_ESTAT_SESSIO := 1;

    -- Call
    GVM_ADM.DML_GVM_SESSIO_USUARI.INS_GVM_SESSIO_USUARI (
        IN_ID_SESSIO_USUARI        => l_IN_ID_SESSIO_USUARI,
        IN_FK_ID_SESSIO            => l_IN_FK_ID_SESSIO,
        IN_FK_ID_USUARI            => l_IN_FK_ID_USUARI,
        IN_NUM_INCOMPLIMENTS       => l_IN_NUM_INCOMPLIMENTS,
        IN_DATA_ALTA               => l_IN_DATA_ALTA,
        IN_DATA_MODIFICACIO        => l_IN_DATA_MODIFICACIO,
        IN_DATA_BAIXA              => l_IN_DATA_BAIXA,
        IN_FK_USUARI_ALTA          => l_IN_FK_USUARI_ALTA,
        IN_FK_USUARI_MODIFICACIO   => l_IN_FK_USUARI_MODIFICACIO,
        IN_FK_USUARI_BAIXA         => l_IN_FK_USUARI_BAIXA,
        IN_ESTAT_SESSIO            => l_IN_ESTAT_SESSIO,
        RSP                        => l_RSP);

    -- DBMS_OUTPUT statements
    OUTPUT_LINE ('RSP = ' || l_RSP);
    OUTPUT_LINE ('');

    -- Transaction control
    COMMIT;

    -- Output bind variables, do not modify
     :12 := l_RSP;
END;

DECLARE
    -- Variable declarations
    l_IN_ID_SESSIO_USUARI   NUMBER;
    l_RSP                   VARCHAR2 (1200);

    PROCEDURE OUTPUT_LINE (a VARCHAR2)
    AS
    BEGIN
        IF LENGTHB (a) <= 32767
        THEN
            SYS.DBMS_OUTPUT.put_line (a);
        ELSE
            SYS.DBMS_OUTPUT.put_line (SUBSTRB (a, 1, 32767));
        END IF;
    END;
BEGIN
    -- Variable initializations
    l_IN_ID_SESSIO_USUARI := 8662;

    -- Call
    GVM_ADM.DML_GVM_SESSIO_USUARI.DEL_GVM_SESSIO_USUARI (
        IN_ID_SESSIO_USUARI   => l_IN_ID_SESSIO_USUARI,
        RSP                   => l_RSP);

    -- DBMS_OUTPUT statements
    OUTPUT_LINE ('RSP = ' || l_RSP);
    OUTPUT_LINE ('');

    -- Transaction control
    COMMIT;

    -- Output bind variables, do not modify
     :2 := l_RSP;
END;