/*
Pla de proves per a les consultes:
CONSULTA 9: Tenint en compte totes les auditories externes realitzades, any en qual s’han detectat més incompliments (tenint en compte només els detectats durant l’auditoria).
realitzant un insert a l'entitat: GVM_AUDITORIA_POLITICA
*/
DELETE FROM GVM_CALCUL_INCOMPLIMENTS_AUDITORIA  ;  

COMMIT;


SELECT COUNT(*) FROM GVM_AUDITORIA_POLITICA; 

SELECT * FROM GVM_CALCUL_INCOMPLIMENTS_AUDITORIA ;--where any_Cerca=2022 




SELECT COUNT(*) FROM GVM_AUDITORIA_POLITICA

SELECT * FROM GVM_AUDITORIA_POLITICA where ID_AUDITORIA_POLITICA  > 9822

DELETE FROM GVM_AUDITORIA_POLITICA where ID_AUDITORIA_POLITICA  > 9822

select GVM_ADM.GVM_AUDITORIA_POLITICA_SEQ.currval from dual




SELECT * FROM GVM_AUDITORIA_POLITICA where ID_AUDITORIA_POLITICA  = 9822

select * from GVM_LOG_PROCEDIMENTS order by id_log DESC

DELETE FROM GVM_LOG_PROCEDIMENTS ;
commit; 

DECLARE
    -- Variable declarations
    l_IN_ID_AUDITORIA_POLITICA   NUMBER;
    l_IN_FK_ID_AUDITORIA         NUMBER;
    l_IN_FK_ID_POLITICA          NUMBER;
    l_IN_NUM_INCOMPLIMENTS       NUMBER;
    l_IN_DATA_ALTA               DATE;
    l_IN_DATA_MODIFICACIO        DATE;
    l_IN_DATA_BAIXA              DATE;
    l_IN_FK_USUARI_ALTA          NUMBER;
    l_IN_FK_USUARI_MODIFICACIO   NUMBER;
    l_IN_FK_USUARI_BAIXA         NUMBER;
    l_IN_FK_ID_PROCES            NUMBER;
    l_RSP                        VARCHAR2 (1200);

    PROCEDURE OUTPUT_LINE (a VARCHAR2)
    AS
    BEGIN
        IF LENGTHB (a) <= 32767
        THEN
            SYS.DBMS_OUTPUT.put_line (a);
        ELSE
            SYS.DBMS_OUTPUT.put_line (SUBSTRB (a, 1, 32767));
        END IF;
    END;
BEGIN
    -- Variable initializations
    l_IN_ID_AUDITORIA_POLITICA := GVM_ADM.GVM_AUDITORIA_POLITICA_SEQ.currval;--nextval;--.currval;
    l_IN_FK_ID_AUDITORIA := 1;
    l_IN_FK_ID_POLITICA := 2;
    l_IN_NUM_INCOMPLIMENTS := 1;
    l_IN_DATA_ALTA := sysdate;
    l_IN_DATA_MODIFICACIO := NULL;
    l_IN_DATA_BAIXA := NULL;
    l_IN_FK_USUARI_ALTA := 1;
    l_IN_FK_USUARI_MODIFICACIO := NULL;
    l_IN_FK_USUARI_BAIXA := NULL;
    l_IN_FK_ID_PROCES := 1;

    -- Call
    GVM_ADM.DML_GVM_AUDITORIA_POLITICA.INS_GVM_AUDITORIA_POLITICA (
        IN_ID_AUDITORIA_POLITICA   => l_IN_ID_AUDITORIA_POLITICA,
        IN_FK_ID_AUDITORIA         => l_IN_FK_ID_AUDITORIA,
        IN_FK_ID_POLITICA          => l_IN_FK_ID_POLITICA,
        IN_NUM_INCOMPLIMENTS       => l_IN_NUM_INCOMPLIMENTS,
        IN_DATA_ALTA               => l_IN_DATA_ALTA,
        IN_DATA_MODIFICACIO        => l_IN_DATA_MODIFICACIO,
        IN_DATA_BAIXA              => l_IN_DATA_BAIXA,
        IN_FK_USUARI_ALTA          => l_IN_FK_USUARI_ALTA,
        IN_FK_USUARI_MODIFICACIO   => l_IN_FK_USUARI_MODIFICACIO,
        IN_FK_USUARI_BAIXA         => l_IN_FK_USUARI_BAIXA,
        IN_FK_ID_PROCES            => l_IN_FK_ID_PROCES,
        RSP                        => l_RSP);

    -- DBMS_OUTPUT statements
    OUTPUT_LINE ('RSP = ' || l_RSP);
    OUTPUT_LINE ('');

    -- Transaction control
    COMMIT;

    -- Output bind variables, do not modify
     :12 := l_RSP;
END;

DECLARE
    -- Variable declarations
    l_IN_ID_AUDITORIA_POLITICA   NUMBER;
    l_RSP                        VARCHAR2 (1200);

    PROCEDURE OUTPUT_LINE (a VARCHAR2)
    AS
    BEGIN
        IF LENGTHB (a) <= 32767
        THEN
            SYS.DBMS_OUTPUT.put_line (a);
        ELSE
            SYS.DBMS_OUTPUT.put_line (SUBSTRB (a, 1, 32767));
        END IF;
    END;
BEGIN
    -- Variable initializations
    l_IN_ID_AUDITORIA_POLITICA := 9822;

    -- Call
    GVM_ADM.DML_GVM_AUDITORIA_POLITICA.DEL_GVM_AUDITORIA_POLITICA (
        IN_ID_AUDITORIA_POLITICA   => l_IN_ID_AUDITORIA_POLITICA,
        RSP                        => l_RSP);

    -- DBMS_OUTPUT statements
    OUTPUT_LINE ('RSP = ' || l_RSP);
    OUTPUT_LINE ('');

    -- Transaction control
    COMMIT;

    -- Output bind variables, do not modify
     :2 := l_RSP;
END;