/************************************************************
** Table: GVM_ADM.GVM_TIPUS_PROCES
** Number of Records: 10
************************************************************/

DECLARE
  v_FKUSUARIALTA GVM_USUARIS.FK_USUARI_ALTA%TYPE;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
    SELECT FK_USUARI_ALTA
      INTO v_FKUSUARIALTA
    FROM (
      SELECT FK_USUARI_ALTA
      FROM GVM_ADM.GVM_USUARIS SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT FK_USUARI_ALTA
        INTO v_FKUSUARIALTA
      FROM (
        SELECT FK_USUARI_ALTA
        FROM GVM_ADM.GVM_USUARIS
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_USUARIS;

BEGIN
  -- Generate Random Data
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'oFQynUuauIOdLdcvJIMvxwKMHQTcQGXqHotIzmgwWWvkuGeeaIqciwfsKIDJpcNRRvcIMKSxrDqNeBAIXHSGuwkTHwyCyDXmqo',
      'MXDOrpzJNGQGyhtfjLWYwQzZsuQSZjdYvyLGHpjkdWEFUH', 'PtOXVZOHJVHafpxrRqpTPkXUpKsmUDlJEdNKSCOAPKOkqOdEitRUlfGJqtJoFpuPdnuJTDhWICAYJNSpLhrLnBmPLDkDAknTTdJUBCTBVxkUGpCUbSsUgyhPIhyYzCIYRqkXjyhqQGmJZvEGHxWDXtXEb',
      'zREkbSDadkNyDoxZfZemEsDHxLiAtnSQjjBmNadJZNoFWRBQanmzHbDDUshZKyJkjGAWMALpdWsCtJJjqNMgDMyqMGiNywqVKDIjtLkzkMOEiGVybUxJUGbZxlyzSBF',
      TO_DATE('15-08-2008', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'hyDlgPIOnePBsrLlpGcyqNwGEIaZB', 'PRLgkwiiWpelJvYusafIvPpEqgNiGXTwspxfxwBcIcnxpjgphtveiSdYqkdaKg',
      'efvMffHrlSiDLQzqMsmjKJgeepQZjkqVdfMVzxpCJQiQcaqhJkDskECSXHbGKSnMTvRifywykQyDbYzwZtOMcNACokDIHqIvzvyILjYsPxesfuvLjHBdQCpRqOhUdoa',
      'MMkmGZSzgUQyzethbQMojmPpUnrNZrfwpbnPRFXlaDOabgMoRYMwaMVwQoejkokaogVNUbeWbGionJYwGINysqbQHtuAibtXfdVGTCaxTvcCXyjTjSeOBBtDiBKHJtUzynFjTBXFaeJRuSqsHUJYVcEMaFAicIVstxasavyjIHuPvKo',
      TO_DATE('01-11-2066', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'qUPbJtqG', 'rVhoqOPeEIHfvOPZaNPMXSdkEOEFVUbFvgrOSedECeEpjdzmbHRBKMwnzKUvyDtmTbkXWyKPyGcPznUYtInInKEthhhckdyQTUVSBkaEBpcmxsVezBwqnswwJqvcIxEaJqBnxLYoucfCBaHCXqIuj',
      'OSsimKyizFseLrFpOt', 'VzAvpsAkEqQrqbosIBxVadxECIBtAsUKNyNLouYosPBJydZrHJvHnCuXRLtrrMqBPUtqATYcUFNshyoZOYazYGtdvFeYMEvYbBBgXGgHkzPNOqQEXGyJWXaQVqRQGyEQKyemGEBhbf',
      TO_DATE('03-04-1998', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'IVpIFhKCstBCVGvIiHufWSLwpUNSmXhJXVmfdPabOjJCKtHrPPOcGK',
      'bgHLWRVWByCuCANXdpFrZHQwvyHqyJYidkbYUKhjIPHxhsVkQtRybIxFNhCBTAoGjKsGAggTZcLeZjahyzkTMSiFUiPgpHklYKpZMWlCFsKSxCcPriMNJVBnrUyqxjPZZLQLleOQUMpjaGFMHvQLbGgyYGvmdYEBHLgOkPgtLoZqmvJeAJbH',
      'GleFkOgCHbngLAFxJZpUbrVAUFXSlLaAFDpanIJiCobQsAYIQAlCvhWnpCRqDBktOHLbJzXMtEbgbMynXRAfUyqMASZQxWarOINMvGoWOUnQcBXlAaBu',
      'mIHWcIAhQnoVnkepjfRJEhXxTOWefkhNczrTFCLJIkaNxxhEnplcOPCyrrImtonqhuLmfHnwlwIJ',
      TO_DATE('21-10-2087', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'xhLXhjzUByPOiJrJANwcjULcgCQdDejqJVFojxFuoirNYxTrtqZOqULyhvBNLbEQqLIEklFIACwimGyIjgdplEK',
      'hRYARCmUcTOdCrVFsnPDlIcdEWPhnHFaeUDOAwuCInPaByhfeBgyLjhNnTBPjrUupxblyTrhzSLIhumHVyhtdcXGWiRmGptqENuyJOzeIKIbsmTaJRvFGDPLEggWMQxVuBoZxrFABTSBdYD',
      'ThplprIweVLIXmxVcVjGYNfEyCXhnHlfsbEjcEPRtNSABPqbfdqxuqoHDgzvDpraEvvlVQcurrYphXdqZdEIEcbEpaLHfAVus',
      'CnKZWsrecirtdzUcvNZaGNMGCVfwIYSePJ', TO_DATE('11-12-1974', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'cogG', 'VJlcmcZFQVcfrjtYVOkMpuUNkDbisJMlhtcttfDdYsmIZpUUectAzbamcIHiEQbgvyRNTGqmFrzXlFnEjkMkZUnNsIfATClPaJRRRt',
      'JmzWEZUJpiSXeW', 'OXgsKJiWtJtGoUyFVWBvaIFzMVskbQRbEwbJYpdVjjUEkBYcKQxeVdzVbtVQdaEKPzNugKxMpUSzCsTNiQMDiVZCUCqesLqlfcNpYzjbPDQCklp',
      TO_DATE('11-11-2020', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'MpAwpFOALeJobhGiqeFgjHdMrXDllodGRuUoszWjlwheIzppUsqAFpcmpHYHuVsMOEJvGYNDRPqy',
      'rjYzzp', 'YSeAgMpqzgAtWPktjuBUcOhybexLOGRmpTuNoPBCcqrnukpKKXgSCHNJGvFnFvEecfMZZtuQEcaIHloIqgtpjdTOAFdogvYKJYFqcuPDIaEZXnJLBsXoKtyAXlVUpmrHoypnBdoxTcDCwFhZvIsraliVsRChQoggsicQNZcqQdSI',
      'xqyJawsEmibhReiQYdXkXxsbWkgcLDZsClOElYlNEIuXYIEVGhHqcbkvutvbQxcuAXVhjRsuMaRdDQfxYJCPlVvJEotjkzlcBxZJasOxVbNxHvxkcLlCmWuMlDHJqOuJZtEhJqNkVLDdDpjKaaPaOqPNLfVSbsoBscRbbYSok',
      TO_DATE('22-08-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'pMjCDDFOXfLpBNmNKcmZhCz', 'RqaRrvE', 'HosBQCYCzgPCPJZtFxc',
      'HHKsNsWZVJEoDCbfOuZRsecMUBBDoWgauIfxgqtGBGHMkgpBXJUXxsuOvwslthUXnKhZsMsDlbbeInDhYiBTWoqnjmXZmkokdTHjPvcKDUlHcrgiijSzAlZcbYKHeRrKclocZOjwgLYeeVlRiaIyamiGJbnoLXeCTMvvEcYNowrvjOiAdUyrwfcbLtAoDME',
      TO_DATE('06-05-1901', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'slqZnUrSavPSSKVXojOkHROilPVDIDWv', 'bpyYtBDOOBuisvFYXZXMxkgtKcObpAqHCKLQvNxalIqEAAJBkBCyVYobpYYFEwcxNdcg',
      'jbzEUKhwvMPwpJAwrxjfdMaNlKNkFcQUeTJcalxIZejphzzqOCBNxPosazSaIglMrMEtd', 'WaNaOgreeXonMgbBqUABsymLbUWKugAnmrBfApfybbQXvFEtdGizixMJhFVkxMdySkRDiSaOhWwUGcATltxIrdoznepZvfFOpfOHtdMdlBCeLiLAKEZhPSXxmSQ',
      TO_DATE('13-09-1931', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_TIPUS_PROCES (
      ID_TIPUS_PROCES, NOM_PROCES, DESC_PROCES_CAT, DESC_PROCES_CAST, DESC_PROCES_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_TIPUS_PROCES_SEQ.NextVal, 'LTDskIzWqlBWFYGosf', 'SNBqKBhBFbWsyxONNbaHSZrCEtHbNPecwdRqqpDwwJwdgoWPTDrewopHBgOqWkFRIkeyFWKmXwIghYRPiJvqvprmIKoSCcJxMEoeUzTfKyKmVTfmVqOtHBMevEBRkQHIEgYrarOPAfHzNfjNiVzfsKdAupVOzMDxQppojgwMqDNtaBrgFxnppS',
      'ysYF', 'uVMdZUfMiZphrOWPKmKtsEImELHqpIaWVnvWrcYqGnThMXJrjjBJEDduFviLCHiALRBSkysp',
      TO_DATE('10-10-1974', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

END;
/

COMMIT;
/



