--
-- Drop and Create Script
--   Database Version            : 21.0.0.0.0
--   Database Compatible Level   : 21.0.0.0.0
--   Script Compatible Level     : 21.0.0.0.0
--   Toad Version                : 14.0.75.662
--   DB Connect String           : LOCALHOST:1521
--   Schema                      : GVM_ADM
--   Script Created by           : GVM_ADM
--   Script Created at           : 10/06/2022 8:08:20
--   Notes                       : 
--

-- Object Counts: 
--   Users: 1           System Privileges: 10   Grants: 56           
--   Tablespaces: 2     Datafiles: 1        Tempfiles: 1 
-- 
--   Indexes: 48        Columns: 95         
--   Packages: 18       Lines of Code: 1038 
--   Package Bodies: 18 Lines of Code: 6227 
--   Procedures: 16     Lines of Code: 1497 
--   Sequences: 19 
--   Tables: 32         Columns: 264        Constraints: 259    



-- "Set define off" turns off substitution variables.
Set define off; 


@./Tablespaces/GVM.sql;
@./Tablespaces/TEMP.sql;
@./Profiles/DEFAULT.sql;
@./Users/GVM_ADM.sql;
@./Sequences/GVM_ACCIONS_MITIGACIO_SEQ.sql;
@./Sequences/GVM_AUDITORIA_POLITICA_SEQ.sql;
@./Sequences/GVM_AUDITORIA_SEQ.sql;
@./Sequences/GVM_DEPARTAMENT_PERSONES_SEQ.sql;
@./Sequences/GVM_DEPARTAMENT_SEQ.sql;
@./Sequences/GVM_ESTAT_MITIGACIO_SEQ.sql;
@./Sequences/GVM_LOG_HISTORIC_SEQ.sql;
@./Sequences/GVM_LOG_PROCEDIMENT_SEQ.sql;
@./Sequences/GVM_MOSTREIG_SEQ.sql;
@./Sequences/GVM_POLITIQUES_DEPARTAMENT_SEQ.sql;
@./Sequences/GVM_POLITIQUES_SEGURETAT_SEQ.sql;
@./Sequences/GVM_PROCES_SEQ.sql;
@./Sequences/GVM_SESSIONS_FORMACIO_SEQ.sql;
@./Sequences/GVM_SESSIO_USUARI_SEQ.sql;
@./Sequences/GVM_TIPUS_CRITICITAT_SEQ.sql;
@./Sequences/GVM_TIPUS_PROCES_SEQ.sql;
@./Sequences/GVM_TIPUS_VULNERABILITAT_SEQ.sql;
@./Sequences/GVM_USUARIS_SEQ.sql;
@./Sequences/GVM_VULNERABILITATS_SEQ.sql;
@./Tables/GVM_AUDITORIA.sql;
@./Indexes/GVM_AUDITORIA_PK.sql;
@./Constraints/GVM_AUDITORIA_NonFK.sql;
@./Tables/GVM_CALCUL_ESTADISTIQUES_EMPRESA_OK.sql;
@./Indexes/GVM_CALCUL_ESTADISTIQUES_EMPRESA_OK_PK.sql;
@./Constraints/GVM_CALCUL_ESTADISTIQUES_EMPRESA_OK_NonFK.sql;
@./Tables/GVM_CALCUL_ESTADISTIQUES_MITIGACIONS.sql;
@./Indexes/GVM_CALCUL_ESTADISTIQUES_MITIGACIONS_PK.sql;
@./Constraints/GVM_CALCUL_ESTADISTIQUES_MITIGACIONS_NonFK.sql;
@./Tables/GVM_CALCUL_ESTADISTIQUES_SESSIONS.sql;
@./Indexes/GVM_CALCUL_ESTADISTIQUES_SESSIONS_PK.sql;
@./Constraints/GVM_CALCUL_ESTADISTIQUES_SESSIONS_NonFK.sql;
@./Tables/GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY.sql;
@./Indexes/GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY_PK.sql;
@./Constraints/GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY_NonFK.sql;
@./Tables/GVM_CALCUL_ESTADISTIQUES_VULNERABILITAT_MITIGADES.sql;
@./Indexes/GVM_CALCUL_ESTADISTIQUES_VULNERABILITAT_MITIGADES_PK.sql;
@./Constraints/GVM_CALCUL_ESTADISTIQUES_VULNERABILITAT_MITIGADES_NonFK.sql;
@./Tables/GVM_CALCUL_ESTADISTIQUES_VULNERABILITATS.sql;
@./Indexes/GVM_CALCUL_ESTADISTIQUES_VULNERABILITATS_PK.sql;
@./Constraints/GVM_CALCUL_ESTADISTIQUES_VULNERABILITATS_NonFK.sql;
@./Tables/GVM_CALCUL_INCOMPLIMENTS_AUDITORIA.sql;
@./Indexes/GVM_CALCUL_INCOMPLIMENTS_AUDITORIA_PK.sql;
@./Constraints/GVM_CALCUL_INCOMPLIMENTS_AUDITORIA_NonFK.sql;
@./Tables/GVM_CALCUL_INCOMPLIMENTS_DEPART.sql;
@./Indexes/GVM_CALCUL_INCOMPLIMENTS_DEPART_PK.sql;
@./Constraints/GVM_CALCUL_INCOMPLIMENTS_DEPART_NonFK.sql;
@./Tables/GVM_CALCUL_INCOMPLIMENTS_POLITICA.sql;
@./Indexes/GVM_CALCUL_INCOMPLIMENTS_POLITICA_PK.sql;
@./Constraints/GVM_CALCUL_INCOMPLIMENTS_POLITICA_NonFK.sql;
@./Tables/GVM_CALCUL_INCOMPLIMENTS_PROCES.sql;
@./Indexes/GVM_INCOMPLIMENTS_PROCES_PK.sql;
@./Constraints/GVM_CALCUL_INCOMPLIMENTS_PROCES_NonFK.sql;
@./Tables/GVM_CALCUL_INCOMPLIMENTS_USUARI.sql;
@./Indexes/GVM_CALCUL_INCOMPLIMENTS_USUARI_PK.sql;
@./Constraints/GVM_CALCUL_INCOMPLIMENTS_USUARI_NonFK.sql;
@./Tables/GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE.sql;
@./Indexes/GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE_PK.sql;
@./Constraints/GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE_NonFK.sql;
@./Tables/GVM_CALCUL_TOTAL_VULNERABILITATS_CRITIQUES.sql;
@./Indexes/GVM_CALCUL_TOTAL_VULNERABILITATS_CRITIQUES_PK.sql;
@./Constraints/GVM_CALCUL_TOTAL_VULNERABILITATS_CRITIQUES_NonFK.sql;
@./Tables/GVM_DEPARTAMENT.sql;
@./Indexes/GVM_DEPARTAMENT_PK.sql;
@./Constraints/GVM_DEPARTAMENT_NonFK.sql;
@./Tables/GVM_DEPARTAMENT_PERSONES.sql;
@./Indexes/GVM_DEPARTAMENT_PERSONA_UK.sql;
@./Indexes/GVM_DEPARTAMENT_PERSONES_PK.sql;
@./Constraints/GVM_DEPARTAMENT_PERSONES_NonFK.sql;
@./Tables/GVM_ESTAT_MITIGACIO.sql;
@./Indexes/GVM_ESTAT_MITIGACIO_PK.sql;
@./Constraints/GVM_ESTAT_MITIGACIO_NonFK.sql;
@./Tables/GVM_LOG_HISTORIC.sql;
@./Indexes/GVM_LOG_PK.sql;
@./Constraints/GVM_LOG_HISTORIC_NonFK.sql;
@./Tables/GVM_LOG_PROCEDIMENTS.sql;
@./Indexes/GVM_LOG_PROCEDIMENTS_PK.sql;
@./Constraints/GVM_LOG_PROCEDIMENTS_NonFK.sql;
@./Tables/GVM_POLITIQUES_DEPARTAMENT.sql;
@./Indexes/GVM_POLITIQUES_DEPARTAMENT_PK.sql;
@./Indexes/GVM_POLITIQUES_DEPARTAMENT_UK.sql;
@./Constraints/GVM_POLITIQUES_DEPARTAMENT_NonFK.sql;
@./Tables/GVM_POLITIQUES_SEGURETAT.sql;
@./Indexes/GVM_POLITIQUES_SEGURETAT_PK.sql;
@./Constraints/GVM_POLITIQUES_SEGURETAT_NonFK.sql;
@./Tables/GVM_SESSIONS_FORMACIO.sql;
@./Indexes/GVM_SESSIONS_PK.sql;
@./Constraints/GVM_SESSIONS_FORMACIO_NonFK.sql;
@./Tables/GVM_SESSIO_USUARI.sql;
@./Indexes/GVM_SESSIO_USUARI_PK.sql;
@./Indexes/GVM_SESSIO_USUARI_UK.sql;
@./Indexes/IX_SESSIO_USUARI_SESSIO_USUARI_INCOMPL.sql;
@./Constraints/GVM_SESSIO_USUARI_NonFK.sql;
@./Tables/GVM_TIPUS_CRITICITAT.sql;
@./Indexes/GVM_TIPUS_CRITICITAT_PK.sql;
@./Constraints/GVM_TIPUS_CRITICITAT_NonFK.sql;
@./Tables/GVM_TIPUS_PROCES.sql;
@./Indexes/GVM_TIPUS_PROCES_PK.sql;
@./Constraints/GVM_TIPUS_PROCES_NonFK.sql;
@./Tables/GVM_TIPUS_VULNERABILITAT.sql;
@./Indexes/GVM_TIPUS_VULNERABILITAT_PK.sql;
@./Constraints/GVM_TIPUS_VULNERABILITAT_NonFK.sql;
@./Tables/GVM_USUARIS.sql;
@./Indexes/GVM_USUARIS_PK.sql;
@./Constraints/GVM_USUARIS_NonFK.sql;
@./Tables/GVM_VULNERABILITATS.sql;
@./Indexes/GVM_VULNERABILITATS_PK.sql;
@./Constraints/GVM_VULNERABILITATS_NonFK.sql;
@./Indexes/IX_GVM_CALCUL_ESTADISTIQUES_SESSIONS_ANY_ANY.sql;
@./Indexes/IX_GVM_CALCUL_INCOMPLIMENTS_USUARI_ANY.sql;
@./Indexes/IX_POLITCA_SEGUR_ANY_ALTA.sql;
@./Indexes/IX_POLIT_DEPART_POLITICA.sql;
@./Indexes/IX_SESSIONS_FORMACIO_ANY_INICI.sql;
@./Indexes/IX_SESSIO_USUARI_ESTAT.sql;
@./Indexes/IX_SESSIO_USUARI_SESSIO.sql;
@./Indexes/IX_VULNERABILITAT_NIVELL_CRITICITAT.sql;
@./Indexes/IX_VULNERABILITATS_ESTAT.sql;
@./Indexes/IX_VULNERABILITATS_PROCES.sql;
@./Packages/DML_GVM_AUDITORIA.sql;
@./Packages/DML_GVM_DEPARTAMENT.sql;
@./Packages/DML_GVM_DEPARTAMENT_PERSONES.sql;
@./Packages/DML_GVM_ESTAT_MITIGACIO.sql;
@./Packages/DML_GVM_LOG_HISTORIC.sql;
@./Packages/DML_GVM_POLITIQUES_DEPARTAMENT.sql;
@./Packages/DML_GVM_POLITIQUES_SEGURETAT.sql;
@./Packages/DML_GVM_SESSIONS_FORMACIO.sql;
@./Packages/DML_GVM_SESSIO_USUARI.sql;
@./Packages/DML_GVM_TIPUS_CRITICITAT.sql;
@./Packages/DML_GVM_TIPUS_PROCES.sql;
@./Packages/DML_GVM_TIPUS_VULNERABILITAT.sql;
@./Packages/DML_GVM_USUARIS.sql;
@./Packages/DML_GVM_VULNERABILITATS.sql;
@./Procedures/ALTA_LOG_PROCEDIMENT.sql;
@./Procedures/CALCULAR_ESTADISTIQUES_EMPRESA_OK.sql;
@./Procedures/CALCULAR_ESTADISTIQUES_SESSIO.sql;
@./Procedures/CALCULAR_ESTADISTIQUES_VULNERABILITATS.sql;
@./Procedures/CALCULAR_INCOMPLIMENTS_DEPARTAMENT.sql;
@./Procedures/CALCULAR_INCOMPLIMENTS_DEPARTAMENT_ANY.sql;
@./Procedures/CALCULAR_INCOMPLIMENTS_POLITICA.sql;
@./Procedures/CALCULAR_INCOMPLIMENTS_PROCES.sql;
@./Procedures/CALCULAR_INCOMPLIMENTS_USUARIS_ANY.sql;
@./Procedures/CALCULAR_PERCENTATGE_SESSIONS_ANY.sql;
@./Procedures/CALCULAR_TOTAL_VULNERABILITATS_CRITIQUES.sql;
@./Tables/GVM_ACCIONS_MITIGACIO.sql;
@./Indexes/GVM_ACCIONS_MITIGACIO_PK.sql;
@./Constraints/GVM_ACCIONS_MITIGACIO_NonFK.sql;
@./Tables/GVM_PROCES.sql;
@./Indexes/GVM_PROCES_PK.sql;
@./Constraints/GVM_PROCES_NonFK.sql;
@./Indexes/IX_ACCIONS_MITIGACIO_ESTAT.sql;
@./Packages/DML_GVM_ACCIONS_MITIGACIO.sql;
@./Packages/DML_GVM_PROCES.sql;
@./PackageBodies/DML_GVM_AUDITORIA.sql;
@./PackageBodies/DML_GVM_DEPARTAMENT.sql;
@./PackageBodies/DML_GVM_DEPARTAMENT_PERSONES.sql;
@./PackageBodies/DML_GVM_ESTAT_MITIGACIO.sql;
@./PackageBodies/DML_GVM_LOG_HISTORIC.sql;
@./PackageBodies/DML_GVM_POLITIQUES_DEPARTAMENT.sql;
@./PackageBodies/DML_GVM_POLITIQUES_SEGURETAT.sql;
@./PackageBodies/DML_GVM_PROCES.sql;
@./PackageBodies/DML_GVM_SESSIONS_FORMACIO.sql;
@./PackageBodies/DML_GVM_SESSIO_USUARI.sql;
@./PackageBodies/DML_GVM_TIPUS_CRITICITAT.sql;
@./PackageBodies/DML_GVM_TIPUS_PROCES.sql;
@./PackageBodies/DML_GVM_TIPUS_VULNERABILITAT.sql;
@./PackageBodies/DML_GVM_USUARIS.sql;
@./Procedures/CALCULAR_ESTADISTIQUES_MITIGACIO.sql;
@./Procedures/CALCULAR_INCOMPLIMENTS_AUDITORIA_POLITICA.sql;
@./Procedures/CALCULAR_MITIGACIO_RESPONSABLE.sql;
@./Procedures/CALCULAR_PERCENTATGE_VULNERABILITAT_CRIT.sql;
@./Tables/GVM_AUDITORIA_POLITICA.sql;
@./Indexes/GVM_AUDITORIA_POLITICA_PK.sql;
@./Indexes/GVM_AUDITORIA_POLITICA_UK.sql;
@./Constraints/GVM_AUDITORIA_POLITICA_NonFK.sql;
@./Tables/GVM_MOSTREIG.sql;
@./Indexes/GVM_MOSTREIG_PK.sql;
@./Constraints/GVM_MOSTREIG_NonFK.sql;
@./Packages/DML_GVM_AUDITORIA_POLITICA.sql;
@./Packages/DML_GVM_MOSTREIG.sql;
@./PackageBodies/DML_GVM_ACCIONS_MITIGACIO.sql;
@./PackageBodies/DML_GVM_MOSTREIG.sql;
@./PackageBodies/DML_GVM_VULNERABILITATS.sql;
@./Procedures/CALCULAR_INCOMPLIMENTS_AUDITORIA_ANY.sql;
@./PackageBodies/DML_GVM_AUDITORIA_POLITICA.sql;
@./Constraints/GVM_AUDITORIA_FK.sql;
@./Constraints/GVM_DEPARTAMENT_FK.sql;
@./Constraints/GVM_DEPARTAMENT_PERSONES_FK.sql;
@./Constraints/GVM_ESTAT_MITIGACIO_FK.sql;
@./Constraints/GVM_LOG_HISTORIC_FK.sql;
@./Constraints/GVM_LOG_PROCEDIMENTS_FK.sql;
@./Constraints/GVM_POLITIQUES_DEPARTAMENT_FK.sql;
@./Constraints/GVM_POLITIQUES_SEGURETAT_FK.sql;
@./Constraints/GVM_SESSIONS_FORMACIO_FK.sql;
@./Constraints/GVM_SESSIO_USUARI_FK.sql;
@./Constraints/GVM_TIPUS_CRITICITAT_FK.sql;
@./Constraints/GVM_TIPUS_PROCES_FK.sql;
@./Constraints/GVM_TIPUS_VULNERABILITAT_FK.sql;
@./Constraints/GVM_USUARIS_FK.sql;
@./Constraints/GVM_VULNERABILITATS_FK.sql;
@./Constraints/GVM_ACCIONS_MITIGACIO_FK.sql;
@./Constraints/GVM_PROCES_FK.sql;
@./Constraints/GVM_AUDITORIA_POLITICA_FK.sql;
@./Constraints/GVM_MOSTREIG_FK.sql;
