Prompt drop Package DML_GVM_DEPARTAMENT;
DROP PACKAGE GVM_ADM.DML_GVM_DEPARTAMENT
/

Prompt Package DML_GVM_DEPARTAMENT;
--
-- DML_GVM_DEPARTAMENT  (Package) 
--
--  Dependencies: 
--   GVM_DEPARTAMENT (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_DEPARTAMENT IS

  PROCEDURE INS_GVM_DEPARTAMENT
    (
     in_ID_DEPARTAMENT        IN GVM_ADM.GVM_DEPARTAMENT.ID_DEPARTAMENT%TYPE
    ,in_NOM_DEPARTAMENT       IN GVM_ADM.GVM_DEPARTAMENT.NOM_DEPARTAMENT%TYPE
    ,in_DESC_DEPARTAMENT_CAT  IN GVM_ADM.GVM_DEPARTAMENT.DESC_DEPARTAMENT_CAT%TYPE
    ,in_DESC_DEPARTAMENT_CAST IN GVM_ADM.GVM_DEPARTAMENT.DESC_DEPARTAMENT_CAST%TYPE
    ,in_DESC_DEPARTAMENT_ANG  IN GVM_ADM.GVM_DEPARTAMENT.DESC_DEPARTAMENT_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_DEPARTAMENT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_DEPARTAMENT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_DEPARTAMENT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_DEPARTAMENT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_DEPARTAMENT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_DEPARTAMENT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_DEPARTAMENT
    (
     in_ID_DEPARTAMENT        IN GVM_ADM.GVM_DEPARTAMENT.ID_DEPARTAMENT%TYPE
    ,in_NOM_DEPARTAMENT       IN GVM_ADM.GVM_DEPARTAMENT.NOM_DEPARTAMENT%TYPE
    ,in_DESC_DEPARTAMENT_CAT  IN GVM_ADM.GVM_DEPARTAMENT.DESC_DEPARTAMENT_CAT%TYPE
    ,in_DESC_DEPARTAMENT_CAST IN GVM_ADM.GVM_DEPARTAMENT.DESC_DEPARTAMENT_CAST%TYPE
    ,in_DESC_DEPARTAMENT_ANG  IN GVM_ADM.GVM_DEPARTAMENT.DESC_DEPARTAMENT_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_DEPARTAMENT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_DEPARTAMENT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_DEPARTAMENT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_DEPARTAMENT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_DEPARTAMENT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_DEPARTAMENT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_DEPARTAMENT
    (
     in_ID_DEPARTAMENT        IN GVM_ADM.GVM_DEPARTAMENT.ID_DEPARTAMENT%TYPE
    ,in_NOM_DEPARTAMENT       IN GVM_ADM.GVM_DEPARTAMENT.NOM_DEPARTAMENT%TYPE
    ,in_DESC_DEPARTAMENT_CAT  IN GVM_ADM.GVM_DEPARTAMENT.DESC_DEPARTAMENT_CAT%TYPE
    ,in_DESC_DEPARTAMENT_CAST IN GVM_ADM.GVM_DEPARTAMENT.DESC_DEPARTAMENT_CAST%TYPE
    ,in_DESC_DEPARTAMENT_ANG  IN GVM_ADM.GVM_DEPARTAMENT.DESC_DEPARTAMENT_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_DEPARTAMENT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_DEPARTAMENT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_DEPARTAMENT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_DEPARTAMENT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_DEPARTAMENT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_DEPARTAMENT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_DEPARTAMENT
    (
     in_ID_DEPARTAMENT        IN GVM_ADM.GVM_DEPARTAMENT.ID_DEPARTAMENT%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_DEPARTAMENT;
/
SHOW ERRORS;