Prompt drop Package DML_GVM_DEPARTAMENT_PERSONES;
DROP PACKAGE GVM_ADM.DML_GVM_DEPARTAMENT_PERSONES
/

Prompt Package DML_GVM_DEPARTAMENT_PERSONES;
--
-- DML_GVM_DEPARTAMENT_PERSONES  (Package) 
--
--  Dependencies: 
--   GVM_DEPARTAMENT_PERSONES (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_DEPARTAMENT_PERSONES IS

  PROCEDURE INS_GVM_DEPARTAMENT_PERSONES
    (
     in_ID_DEPARTAMENT_PERSONES IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.ID_DEPARTAMENT_PERSONES%TYPE
    ,in_FK_ID_DEPARTAMENT       IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_ID_DEPARTAMENT%TYPE
    ,in_FK_ID_PERSONA           IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_ID_PERSONA%TYPE
    ,in_DATA_ALTA               IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO        IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA              IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA          IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO   IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA         IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_DEPARTAMENT_PERSONES
    (
     in_ID_DEPARTAMENT_PERSONES IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.ID_DEPARTAMENT_PERSONES%TYPE
    ,in_FK_ID_DEPARTAMENT       IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_ID_DEPARTAMENT%TYPE
    ,in_FK_ID_PERSONA           IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_ID_PERSONA%TYPE
    ,in_DATA_ALTA               IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO        IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA              IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA          IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO   IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA         IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_DEPARTAMENT_PERSONES
    (
     in_ID_DEPARTAMENT_PERSONES IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.ID_DEPARTAMENT_PERSONES%TYPE
    ,in_FK_ID_DEPARTAMENT       IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_ID_DEPARTAMENT%TYPE
    ,in_FK_ID_PERSONA           IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_ID_PERSONA%TYPE
    ,in_DATA_ALTA               IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO        IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA              IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA          IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO   IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA         IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_DEPARTAMENT_PERSONES
    (
     in_ID_DEPARTAMENT_PERSONES IN GVM_ADM.GVM_DEPARTAMENT_PERSONES.ID_DEPARTAMENT_PERSONES%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_DEPARTAMENT_PERSONES;
/
SHOW ERRORS;