Prompt drop Package DML_GVM_ESTAT_MITIGACIO;
DROP PACKAGE GVM_ADM.DML_GVM_ESTAT_MITIGACIO
/

Prompt Package DML_GVM_ESTAT_MITIGACIO;
--
-- DML_GVM_ESTAT_MITIGACIO  (Package) 
--
--  Dependencies: 
--   GVM_ESTAT_MITIGACIO (Table)
--   GVM_LOG_PROCEDIMENTS (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_ESTAT_MITIGACIO IS

  PROCEDURE INS_GVM_ESTAT_MITIGACIO
    (
     in_ID_ESTAT_MITIGACIO    IN GVM_ADM.GVM_ESTAT_MITIGACIO.ID_ESTAT_MITIGACIO%TYPE
    ,in_NOM_MITIGACIO         IN GVM_ADM.GVM_ESTAT_MITIGACIO.NOM_MITIGACIO%TYPE
    ,in_DESC_MITIGACIO_CAT    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAT%TYPE
    ,in_DESC_MITIGACIO_CAST   IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAST%TYPE
    ,in_DESC_MITIGACIO_ANG    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_ESTAT_MITIGACIO
    (
     in_ID_ESTAT_MITIGACIO    IN GVM_ADM.GVM_ESTAT_MITIGACIO.ID_ESTAT_MITIGACIO%TYPE
    ,in_NOM_MITIGACIO         IN GVM_ADM.GVM_ESTAT_MITIGACIO.NOM_MITIGACIO%TYPE
    ,in_DESC_MITIGACIO_CAT    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAT%TYPE
    ,in_DESC_MITIGACIO_CAST   IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAST%TYPE
    ,in_DESC_MITIGACIO_ANG    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_ESTAT_MITIGACIO
    (
     in_ID_ESTAT_MITIGACIO    IN GVM_ADM.GVM_ESTAT_MITIGACIO.ID_ESTAT_MITIGACIO%TYPE
    ,in_NOM_MITIGACIO         IN GVM_ADM.GVM_ESTAT_MITIGACIO.NOM_MITIGACIO%TYPE
    ,in_DESC_MITIGACIO_CAT    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAT%TYPE
    ,in_DESC_MITIGACIO_CAST   IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_CAST%TYPE
    ,in_DESC_MITIGACIO_ANG    IN GVM_ADM.GVM_ESTAT_MITIGACIO.DESC_MITIGACIO_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_ESTAT_MITIGACIO.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_ESTAT_MITIGACIO.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_ESTAT_MITIGACIO
    (
     in_ID_ESTAT_MITIGACIO    IN GVM_ADM.GVM_ESTAT_MITIGACIO.ID_ESTAT_MITIGACIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_ESTAT_MITIGACIO;
/
SHOW ERRORS;