Prompt drop Package DML_GVM_SESSIO_USUARI;
DROP PACKAGE GVM_ADM.DML_GVM_SESSIO_USUARI
/

Prompt Package DML_GVM_SESSIO_USUARI;
--
-- DML_GVM_SESSIO_USUARI  (Package) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_SESSIO_USUARI (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_SESSIO_USUARI IS

  PROCEDURE INS_GVM_SESSIO_USUARI
    (
     in_ID_SESSIO_USUARI      IN GVM_ADM.GVM_SESSIO_USUARI.ID_SESSIO_USUARI%TYPE
    ,in_FK_ID_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_SESSIO%TYPE
    ,in_FK_ID_USUARI          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_USUARI%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_SESSIO_USUARI.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIO_USUARI.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIO_USUARI.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIO_USUARI.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_BAIXA%TYPE
    ,in_ESTAT_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.ESTAT_SESSIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_SESSIO_USUARI
    (
     in_ID_SESSIO_USUARI      IN GVM_ADM.GVM_SESSIO_USUARI.ID_SESSIO_USUARI%TYPE
    ,in_FK_ID_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_SESSIO%TYPE
    ,in_FK_ID_USUARI          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_USUARI%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_SESSIO_USUARI.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIO_USUARI.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIO_USUARI.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIO_USUARI.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_BAIXA%TYPE
    ,in_ESTAT_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.ESTAT_SESSIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_SESSIO_USUARI
    (
     in_ID_SESSIO_USUARI      IN GVM_ADM.GVM_SESSIO_USUARI.ID_SESSIO_USUARI%TYPE
    ,in_FK_ID_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_SESSIO%TYPE
    ,in_FK_ID_USUARI          IN GVM_ADM.GVM_SESSIO_USUARI.FK_ID_USUARI%TYPE
    ,in_NUM_INCOMPLIMENTS     IN GVM_ADM.GVM_SESSIO_USUARI.NUM_INCOMPLIMENTS%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_SESSIO_USUARI.DATA_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_SESSIO_USUARI.DATA_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_SESSIO_USUARI.DATA_BAIXA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_ALTA%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_MODIFICACIO%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_SESSIO_USUARI.FK_USUARI_BAIXA%TYPE
    ,in_ESTAT_SESSIO          IN GVM_ADM.GVM_SESSIO_USUARI.ESTAT_SESSIO%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_SESSIO_USUARI
    (
     in_ID_SESSIO_USUARI      IN GVM_ADM.GVM_SESSIO_USUARI.ID_SESSIO_USUARI%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_SESSIO_USUARI;
/
SHOW ERRORS;