Prompt drop Package DML_GVM_TIPUS_CRITICITAT;
DROP PACKAGE GVM_ADM.DML_GVM_TIPUS_CRITICITAT
/

Prompt Package DML_GVM_TIPUS_CRITICITAT;
--
-- DML_GVM_TIPUS_CRITICITAT  (Package) 
--
--  Dependencies: 
--   GVM_LOG_PROCEDIMENTS (Table)
--   GVM_TIPUS_CRITICITAT (Table)
--   STANDARD (Package)
--
CREATE OR REPLACE PACKAGE GVM_ADM.DML_GVM_TIPUS_CRITICITAT IS

  PROCEDURE INS_GVM_TIPUS_CRITICITAT
    (
     in_ID_TIPUS_CRITICITAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.ID_TIPUS_CRITICITAT%TYPE
    ,in_NOM_CRITICITAT        IN GVM_ADM.GVM_TIPUS_CRITICITAT.NOM_CRITICITAT%TYPE
    ,in_DESC_CRITICITAT_CAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAT%TYPE
    ,in_DESC_CRITICITAT_CAST  IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAST%TYPE
    ,in_DESC_CRITICITAT_ANG   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE MERGE_GVM_TIPUS_CRITICITAT
    (
     in_ID_TIPUS_CRITICITAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.ID_TIPUS_CRITICITAT%TYPE
    ,in_NOM_CRITICITAT        IN GVM_ADM.GVM_TIPUS_CRITICITAT.NOM_CRITICITAT%TYPE
    ,in_DESC_CRITICITAT_CAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAT%TYPE
    ,in_DESC_CRITICITAT_CAST  IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAST%TYPE
    ,in_DESC_CRITICITAT_ANG   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE UPD_GVM_TIPUS_CRITICITAT
    (
     in_ID_TIPUS_CRITICITAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.ID_TIPUS_CRITICITAT%TYPE
    ,in_NOM_CRITICITAT        IN GVM_ADM.GVM_TIPUS_CRITICITAT.NOM_CRITICITAT%TYPE
    ,in_DESC_CRITICITAT_CAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAT%TYPE
    ,in_DESC_CRITICITAT_CAST  IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_CAST%TYPE
    ,in_DESC_CRITICITAT_ANG   IN GVM_ADM.GVM_TIPUS_CRITICITAT.DESC_CRITICITAT_ANG%TYPE
    ,in_DATA_ALTA             IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_ALTA%TYPE
    ,in_FK_USUARI_ALTA        IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_ALTA%TYPE
    ,in_DATA_MODIFICACIO      IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_MODIFICACIO%TYPE
    ,in_FK_USUARI_MODIFICACIO IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_MODIFICACIO%TYPE
    ,in_DATA_BAIXA            IN GVM_ADM.GVM_TIPUS_CRITICITAT.DATA_BAIXA%TYPE
    ,in_FK_USUARI_BAIXA       IN GVM_ADM.GVM_TIPUS_CRITICITAT.FK_USUARI_BAIXA%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

  PROCEDURE DEL_GVM_TIPUS_CRITICITAT
    (
     in_ID_TIPUS_CRITICITAT   IN GVM_ADM.GVM_TIPUS_CRITICITAT.ID_TIPUS_CRITICITAT%TYPE,
    RSP OUT GVM_ADM.GVM_LOG_PROCEDIMENTS.PARAM_SORTIDA%TYPE
    );

END DML_GVM_TIPUS_CRITICITAT;
/
SHOW ERRORS;