Prompt drop TABLE GVM_ACCIONS_MITIGACIO;
DROP TABLE GVM_ADM.GVM_ACCIONS_MITIGACIO CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_ACCIONS_MITIGACIO;
--
-- GVM_ACCIONS_MITIGACIO  (Table) 
--
--  Dependencies: 
--   GVM_ESTAT_MITIGACIO (Table)
--   GVM_USUARIS (Table)
--   GVM_VULNERABILITATS (Table)
--
--   Row Count: 1001
CREATE TABLE GVM_ADM.GVM_ACCIONS_MITIGACIO
(
  ID_ACCIO_MITIGACIO        NUMBER              NOT NULL,
  FK_ID_VULNERABILITAT      NUMBER              NOT NULL,
  FK_ID_USUARI_RESPONSABLE  NUMBER              NOT NULL,
  DATA_LIMIT_IMPLANTACIO    DATE                NOT NULL,
  FK_ESTAT_MITIGACIO        NUMBER              NOT NULL,
  DATA_ALTA                 DATE                DEFAULT sysdate               NOT NULL,
  DATA_MODIFICACIO          DATE                DEFAULT sysdate,
  FK_USUARI_ALTA            NUMBER              NOT NULL,
  FK_USUARI_MODIFICACIO     NUMBER,
  DATA_BAIXA                DATE                DEFAULT sysdate,
  FK_USUARI_BAIXA           NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/