Prompt drop TABLE GVM_AUDITORIA_POLITICA;
DROP TABLE GVM_ADM.GVM_AUDITORIA_POLITICA CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_AUDITORIA_POLITICA;
--
-- GVM_AUDITORIA_POLITICA  (Table) 
--
--  Dependencies: 
--   GVM_AUDITORIA (Table)
--   GVM_POLITIQUES_SEGURETAT (Table)
--   GVM_PROCES (Table)
--
--   Row Count: 9802
CREATE TABLE GVM_ADM.GVM_AUDITORIA_POLITICA
(
  ID_AUDITORIA_POLITICA  NUMBER                 NOT NULL,
  FK_ID_AUDITORIA        NUMBER                 NOT NULL,
  FK_ID_POLITICA         NUMBER                 NOT NULL,
  NUM_INCOMPLIMENTS      NUMBER                 DEFAULT 0                     NOT NULL,
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  DATA_MODIFICACIO       DATE,
  DATA_BAIXA             DATE,
  FK_USUARI_ALTA         NUMBER                 NOT NULL,
  FK_USUARI_MODIFICACIO  NUMBER,
  FK_USUARI_BAIXA        NUMBER,
  FK_ID_PROCES           NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/