Prompt drop TABLE GVM_DEPARTAMENT_PERSONES;
DROP TABLE GVM_ADM.GVM_DEPARTAMENT_PERSONES CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_DEPARTAMENT_PERSONES;
--
-- GVM_DEPARTAMENT_PERSONES  (Table) 
--
--  Dependencies: 
--   GVM_DEPARTAMENT (Table)
--
--   Row Count: 5001
CREATE TABLE GVM_ADM.GVM_DEPARTAMENT_PERSONES
(
  ID_DEPARTAMENT_PERSONES  NUMBER               NOT NULL,
  FK_ID_DEPARTAMENT        NUMBER               NOT NULL,
  FK_ID_PERSONA            NUMBER               NOT NULL,
  DATA_ALTA                DATE                 DEFAULT sysdate               NOT NULL,
  DATA_MODIFICACIO         DATE                 DEFAULT NULL,
  DATA_BAIXA               DATE                 DEFAULT NULL,
  FK_USUARI_ALTA           NUMBER               NOT NULL,
  FK_USUARI_MODIFICACIO    NUMBER,
  FK_USUARI_BAIXA          NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/