Prompt drop TABLE GVM_MOSTREIG;
DROP TABLE GVM_ADM.GVM_MOSTREIG CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_MOSTREIG;
--
-- GVM_MOSTREIG  (Table) 
--
--  Dependencies: 
--   GVM_AUDITORIA_POLITICA (Table)
--
--   Row Count: 101
CREATE TABLE GVM_ADM.GVM_MOSTREIG
(
  ID_MOSTREIG               NUMBER              NOT NULL,
  NOM_MOSTREIG              VARCHAR2(100 BYTE)  NOT NULL,
  DESC_MOSTREIG_CAT         VARCHAR2(100 BYTE)  NOT NULL,
  DESC_MOSTREIG_CAST        VARCHAR2(100 BYTE),
  DESC_MOSTREIG_ANG         VARCHAR2(100 BYTE),
  DATA_ALTA                 DATE                DEFAULT sysdate               NOT NULL,
  FK_USUARI_ALTA            NUMBER              NOT NULL,
  DATA_MODIFICACIO          DATE,
  FK_USUARI_MODIFICACIO     NUMBER,
  DATA_BAIXA                DATE,
  FK_USUARI_BAIXA           NUMBER,
  FK_ID_AUDITORIA_POLITICA  NUMBER              NOT NULL,
  RESULTAT_MOSTREIG         NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/