Prompt drop TABLE GVM_POLITIQUES_DEPARTAMENT;
DROP TABLE GVM_ADM.GVM_POLITIQUES_DEPARTAMENT CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_POLITIQUES_DEPARTAMENT;
--
-- GVM_POLITIQUES_DEPARTAMENT  (Table) 
--
--   Row Count: 837
CREATE TABLE GVM_ADM.GVM_POLITIQUES_DEPARTAMENT
(
  ID_POLITIQUES_DEPARTAMENT  NUMBER             NOT NULL,
  FK_ID_POLITICA             NUMBER             NOT NULL,
  FK_ID_DEPARTAMENT          NUMBER             NOT NULL,
  NUM_INCOMPLIMENTS          NUMBER             DEFAULT 0                     NOT NULL,
  DATA_ALTA                  DATE               DEFAULT sysdate               NOT NULL,
  DATA_MODIFICACIO           DATE,
  DATA_BAIXA                 DATE,
  FK_USUARI_ALTA             NUMBER             NOT NULL,
  FK_USUARI_MODIFICACIO      NUMBER,
  FK_USUARI_BAIXA            NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/