Prompt drop TABLE GVM_POLITIQUES_SEGURETAT;
DROP TABLE GVM_ADM.GVM_POLITIQUES_SEGURETAT CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_POLITIQUES_SEGURETAT;
--
-- GVM_POLITIQUES_SEGURETAT  (Table) 
--
--   Row Count: 101
CREATE TABLE GVM_ADM.GVM_POLITIQUES_SEGURETAT
(
  ID_POLITICA            NUMBER                 NOT NULL,
  NOM_POLITICA           VARCHAR2(100 BYTE)     NOT NULL,
  DESC_POLITICA_CAT      VARCHAR2(100 BYTE)     NOT NULL,
  DESC_POLITICA_CAST     VARCHAR2(100 BYTE),
  DESC_POLITICA_ANG      VARCHAR2(100 BYTE),
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  FK_USUARI_ALTA         NUMBER                 NOT NULL,
  DATA_MODIFICACIO       DATE,
  FK_USUARI_MODIFICACIO  NUMBER,
  DATA_BAIXA             DATE,
  FK_USUARI_BAIXA        NUMBER,
  ANY_ALTA_POLITICA      NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/