Prompt drop TABLE GVM_PROCES;
DROP TABLE GVM_ADM.GVM_PROCES CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_PROCES;
--
-- GVM_PROCES  (Table) 
--
--  Dependencies: 
--   GVM_TIPUS_PROCES (Table)
--
--   Row Count: 1001
CREATE TABLE GVM_ADM.GVM_PROCES
(
  ID_PROCES              NUMBER,
  NOM_PROCES             VARCHAR2(100 BYTE)     NOT NULL,
  DESC_PROCES_CAT        VARCHAR2(100 BYTE),
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  DATA_MODIFICACIO       DATE,
  DATA_BAIXA             DATE,
  FK_USUARI_ALTA         NUMBER                 NOT NULL,
  FK_USUARI_MODIFICACIO  NUMBER,
  FK_USUARI_BAIXA        NUMBER,
  FK_TIPUS_PROCES        NUMBER                 NOT NULL,
  DESC_PROCES_CAST       VARCHAR2(100 BYTE),
  DESC_PROCES_ANG        VARCHAR2(100 BYTE)
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/

COMMENT ON COLUMN GVM_ADM.GVM_PROCES.ID_PROCES IS 'identificador del procs'
/

COMMENT ON COLUMN GVM_ADM.GVM_PROCES.NOM_PROCES IS 'nom del procs'
/

COMMENT ON COLUMN GVM_ADM.GVM_PROCES.DESC_PROCES_CAT IS 'descripci del procs'
/