Prompt drop TABLE GVM_SESSIONS_FORMACIO;
DROP TABLE GVM_ADM.GVM_SESSIONS_FORMACIO CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_SESSIONS_FORMACIO;
--
-- GVM_SESSIONS_FORMACIO  (Table) 
--
--   Row Count: 2001
CREATE TABLE GVM_ADM.GVM_SESSIONS_FORMACIO
(
  ID_SESSIO              NUMBER                 NOT NULL,
  NOM_SESSIONS           VARCHAR2(100 BYTE)     NOT NULL,
  DESC_SESSIONS_CAT      VARCHAR2(100 BYTE)     NOT NULL,
  DESC_SESSIONS_CAST     VARCHAR2(100 BYTE),
  DESC_SESSIONS_ANG      VARCHAR2(100 BYTE),
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  FK_USUARI_ALTA         NUMBER                 NOT NULL,
  DATA_MODIFICACIO       DATE,
  FK_USUARI_MODIFICACIO  NUMBER,
  DATA_BAIXA             DATE,
  FK_USUARI_BAIXA        NUMBER,
  TIPUS_SESSIO           INTEGER                NOT NULL,
  DATA_INICI             DATE,
  DATA_FI                DATE,
  DURACIO_TOTAL_HORES    NUMBER
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/