Prompt drop TABLE GVM_SESSIO_USUARI;
DROP TABLE GVM_ADM.GVM_SESSIO_USUARI CASCADE CONSTRAINTS PURGE
/

Prompt Table GVM_SESSIO_USUARI;
--
-- GVM_SESSIO_USUARI  (Table) 
--
--  Dependencies: 
--   GVM_SESSIONS_FORMACIO (Table)
--
--   Row Count: 2178
CREATE TABLE GVM_ADM.GVM_SESSIO_USUARI
(
  ID_SESSIO_USUARI       NUMBER                 NOT NULL,
  FK_ID_SESSIO           NUMBER                 NOT NULL,
  FK_ID_USUARI           NUMBER                 NOT NULL,
  NUM_INCOMPLIMENTS      NUMBER                 DEFAULT 0                     NOT NULL,
  DATA_ALTA              DATE                   DEFAULT sysdate               NOT NULL,
  DATA_MODIFICACIO       DATE,
  DATA_BAIXA             DATE,
  FK_USUARI_ALTA         NUMBER                 NOT NULL,
  FK_USUARI_MODIFICACIO  NUMBER,
  FK_USUARI_BAIXA        NUMBER,
  ESTAT_SESSIO           NUMBER                 DEFAULT 0                     NOT NULL
)
TABLESPACE GVM
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
/

COMMENT ON COLUMN GVM_ADM.GVM_SESSIO_USUARI.ESTAT_SESSIO IS '0 iniciat, 1 finalitzat'
/