/*
Pla de proves per a les consultes:
CONSULTA 13: En el moment de fer la consulta, percentatge d’accions de mitigació en el sistema que estan en els estats “en procés” o “en revisió”.
CONSULTA 10: Percentatge de vulnerabilitats crítiques que, en el moment de fer la consulta, tenen alguna acció de mitigació oberta (que no estigui en estat “acabada”).
CONSULTA 14: Tenint en compte totes les accions de mitigació en estat “en procés”, persona responsable amb més accions assignades.
realitzant un insert a l'entitat: 
*/
DELET

DELETE FROM GVM_CALCUL_ESTADISTIQUES_MITIGACIONS;  
DELETE FROM GVM_CALCUL_ESTADISTIQUES_VULNERABILITAT_MITIGADES;
DELETE FROM GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE;
COMMIT;

SELECT * FROM GVM_CALCUL_ESTADISTIQUES_MITIGACIONS;  

SELECT * FROM GVM_CALCUL_ESTADISTIQUES_VULNERABILITAT_MITIGADES;

SELECT * FROM GVM_CALCUL_TOTAL_MITIGACIO_RESPONSABLE;

SELECT COUNT(*) FROM GVM_ACCIONS_MITIGACIO

SELECT * FROM GVM_ACCIONS_MITIGACIO where ID_ACCIO_MITIGACIO  > 1039

DELETE FROM GVM_ACCIONS_MITIGACIO where ID_ACCIO_MITIGACIO  > 1039

select GVM_ADM.GVM_ACCIONS_MITIGACIO_SEQ.currval from dual



SELECT * FROM GVM_ACCIONS_MITIGACIO where ID_ACCIO_MITIGACIO  = 1044

select * from GVM_LOG_PROCEDIMENTS order by id_log DESC

DELETE FROM GVM_LOG_PROCEDIMENTS ;

DECLARE
    -- Variable declarations
    l_IN_ID_ACCIO_MITIGACIO         NUMBER;
    l_IN_FK_ID_VULNERABILITAT       NUMBER;
    l_IN_FK_ID_USUARI_RESPONSABLE   NUMBER;
    l_IN_DATA_LIMIT_IMPLANTACIO     DATE;
    l_IN_FK_ESTAT_MITIGACIO         NUMBER;
    l_IN_DATA_ALTA                  DATE;
    l_IN_DATA_MODIFICACIO           DATE;
    l_IN_FK_USUARI_ALTA             NUMBER;
    l_IN_FK_USUARI_MODIFICACIO      NUMBER;
    l_IN_DATA_BAIXA                 DATE;
    l_IN_FK_USUARI_BAIXA            NUMBER;
    l_RSP                           VARCHAR2 (1200);

    PROCEDURE OUTPUT_LINE (a VARCHAR2)
    AS
    BEGIN
        IF LENGTHB (a) <= 32767
        THEN
            SYS.DBMS_OUTPUT.put_line (a);
        ELSE
            SYS.DBMS_OUTPUT.put_line (SUBSTRB (a, 1, 32767));
        END IF;
    END;
BEGIN
    -- Variable initializations
    l_IN_ID_ACCIO_MITIGACIO := GVM_ADM.GVM_ACCIONS_MITIGACIO_SEQ.nextval;--;currval
    l_IN_FK_ID_VULNERABILITAT := 1;
    l_IN_FK_ID_USUARI_RESPONSABLE := 1;
    l_IN_DATA_LIMIT_IMPLANTACIO := sysdate;
    l_IN_FK_ESTAT_MITIGACIO := 1;
    l_IN_DATA_ALTA := sysdate;
    l_IN_DATA_MODIFICACIO := NULL;
    l_IN_FK_USUARI_ALTA := 1;
    l_IN_FK_USUARI_MODIFICACIO := NULL;
    l_IN_DATA_BAIXA := NULL;
    l_IN_FK_USUARI_BAIXA := NULL;

    -- Call
    GVM_ADM.DML_GVM_ACCIONS_MITIGACIO.INS_GVM_ACCIONS_MITIGACIO (
        IN_ID_ACCIO_MITIGACIO         => l_IN_ID_ACCIO_MITIGACIO,
        IN_FK_ID_VULNERABILITAT       => l_IN_FK_ID_VULNERABILITAT,
        IN_FK_ID_USUARI_RESPONSABLE   => l_IN_FK_ID_USUARI_RESPONSABLE,
        IN_DATA_LIMIT_IMPLANTACIO     => l_IN_DATA_LIMIT_IMPLANTACIO,
        IN_FK_ESTAT_MITIGACIO         => l_IN_FK_ESTAT_MITIGACIO,
        IN_DATA_ALTA                  => l_IN_DATA_ALTA,
        IN_DATA_MODIFICACIO           => l_IN_DATA_MODIFICACIO,
        IN_FK_USUARI_ALTA             => l_IN_FK_USUARI_ALTA,
        IN_FK_USUARI_MODIFICACIO      => l_IN_FK_USUARI_MODIFICACIO,
        IN_DATA_BAIXA                 => l_IN_DATA_BAIXA,
        IN_FK_USUARI_BAIXA            => l_IN_FK_USUARI_BAIXA,
        RSP                           => l_RSP);

    -- DBMS_OUTPUT statements
    OUTPUT_LINE ('RSP = ' || l_RSP);
    OUTPUT_LINE ('');

    -- Transaction control
    COMMIT;

    -- Output bind variables, do not modify
     :12 := l_RSP;
END;

DECLARE
    -- Variable declarations
    l_IN_ID_ACCIO_MITIGACIO   NUMBER;
    l_RSP                     VARCHAR2 (1200);

    PROCEDURE OUTPUT_LINE (a VARCHAR2)
    AS
    BEGIN
        IF LENGTHB (a) <= 32767
        THEN
            SYS.DBMS_OUTPUT.put_line (a);
        ELSE
            SYS.DBMS_OUTPUT.put_line (SUBSTRB (a, 1, 32767));
        END IF;
    END;
BEGIN
    -- Variable initializations
    l_IN_ID_ACCIO_MITIGACIO := 1044;

    -- Call
    GVM_ADM.DML_GVM_ACCIONS_MITIGACIO.DEL_GVM_ACCIONS_MITIGACIO (
        IN_ID_ACCIO_MITIGACIO   => l_IN_ID_ACCIO_MITIGACIO,
        RSP                     => l_RSP);

    -- DBMS_OUTPUT statements
    OUTPUT_LINE ('RSP = ' || l_RSP);
    OUTPUT_LINE ('');

    -- Transaction control
    COMMIT;

    -- Output bind variables, do not modify
     :2 := l_RSP;
END;