/*
Pla de proves per a les consultes:
CONSULTA 2: Procés de gestió intern que, tenint en compte tota la informació de que es disposa a la BD, ha tingut un major nombre de vulnerabilitats detectades.
CONSULTA 4: Percentatge de vulnerabilitats que, en el moment de fer la consulta, estan totalment mitigades.
CONSULTA 10: Percentatge de vulnerabilitats crítiques que, en el moment de fer la consulta, tenen alguna acció de mitigació oberta (que no estigui en estat “acabada”).
CONSULTA 12: Número de vulnerabilitats crítiques detectades internament tenint en compte totes les dades de que es disposa. Es consideren detectades internament si es van detectar en posterioritat a l’anàlisi fet inicialment per la consultora externa.
realitzant un insert a l'entitat: GVM_VULNERABILITATS
*/
DELET
DELETE FROM GVM_CALCUL_INCOMPLIMENTS_PROCES ;  
DELETE FROM GVM_CALCUL_ESTADISTIQUES_VULNERABILITATS;
DELETE FROM GVM_CALCUL_ESTADISTIQUES_VULNERABILITAT_MITIGADES  ;
DELETE FROM GVM_CALCUL_TOTAL_VULNERABILITATS_CRITIQUES ; 
COMMIT;


SELECT COUNT(*) FROM GVM_VULNERABILITATS; 

SELECT * FROM GVM_CALCUL_INCOMPLIMENTS_PROCES where any_Cerca=2022 


SELECT * FROM GVM_CALCUL_ESTADISTIQUES_VULNERABILITATS ;

SELECT * FROM GVM_CALCUL_ESTADISTIQUES_VULNERABILITAT_MITIGADES ;

SELECT * FROM GVM_CALCUL_TOTAL_VULNERABILITATS_CRITIQUES ;



SELECT COUNT(*) FROM GVM_VULNERABILITATS

SELECT * FROM GVM_VULNERABILITATS where id_vulnerabilitat  > 1022

DELETE FROM GVM_VULNERABILITATS where id_vulnerabilitat  > 1022

select GVM_ADM.GVM_VULNERABILITATS_SEQ.currval from dual



SELECT * FROM GVM_VULNERABILITATS where id_vulnerabilitat = 1022

select * from GVM_LOG_PROCEDIMENTS order by id_log DESC

DELETE FROM GVM_LOG_PROCEDIMENTS ;
commit; 

DECLARE
    -- Variable declarations
    l_IN_ID_VULNERABILITAT         NUMBER;
    l_IN_FK_ESTAT_VULNERABILITAT   NUMBER;
    l_IN_FK_NIVELL_CRITICITAT      NUMBER;
    l_IN_DATA_ALTA                 DATE;
    l_IN_FK_USUARI_ALTA            NUMBER;
    l_IN_DATA_MODIFICACIO          DATE;
    l_IN_FK_USUARI_MODIFICACIO     NUMBER;
    l_IN_DATA_BAIXA                DATE;
    l_IN_FK_USUARI_BAIXA           NUMBER;
    l_IN_FK_PROCES_ORIGEN          NUMBER;
    l_IN_ORIGEN                    NUMBER;
    l_RSP                          VARCHAR2 (1200);

    PROCEDURE OUTPUT_LINE (a VARCHAR2)
    AS
    BEGIN
        IF LENGTHB (a) <= 32767
        THEN
            SYS.DBMS_OUTPUT.put_line (a);
        ELSE
            SYS.DBMS_OUTPUT.put_line (SUBSTRB (a, 1, 32767));
        END IF;
    END;
BEGIN
    -- Variable initializations
    l_IN_ID_VULNERABILITAT := GVM_ADM.GVM_VULNERABILITATS_SEQ.nextval;--currval;
    l_IN_FK_ESTAT_VULNERABILITAT := 2;
    l_IN_FK_NIVELL_CRITICITAT := 1;
    l_IN_DATA_ALTA := sysdate;
    l_IN_FK_USUARI_ALTA := 1;
    l_IN_DATA_MODIFICACIO := NULL;
    l_IN_FK_USUARI_MODIFICACIO := NULL;
    l_IN_DATA_BAIXA := NULL;
    l_IN_FK_USUARI_BAIXA := NULL;
    l_IN_FK_PROCES_ORIGEN := 1;
    l_IN_ORIGEN := 0;

    -- Call
    GVM_ADM.DML_GVM_VULNERABILITATS.INS_GVM_VULNERABILITATS (
        IN_ID_VULNERABILITAT         => l_IN_ID_VULNERABILITAT,
        IN_FK_ESTAT_VULNERABILITAT   => l_IN_FK_ESTAT_VULNERABILITAT,
        IN_FK_NIVELL_CRITICITAT      => l_IN_FK_NIVELL_CRITICITAT,
        IN_DATA_ALTA                 => l_IN_DATA_ALTA,
        IN_FK_USUARI_ALTA            => l_IN_FK_USUARI_ALTA,
        IN_DATA_MODIFICACIO          => l_IN_DATA_MODIFICACIO,
        IN_FK_USUARI_MODIFICACIO     => l_IN_FK_USUARI_MODIFICACIO,
        IN_DATA_BAIXA                => l_IN_DATA_BAIXA,
        IN_FK_USUARI_BAIXA           => l_IN_FK_USUARI_BAIXA,
        IN_FK_PROCES_ORIGEN          => l_IN_FK_PROCES_ORIGEN,
        IN_ORIGEN                    => l_IN_ORIGEN,
        RSP                          => l_RSP);

    -- DBMS_OUTPUT statements
    OUTPUT_LINE ('RSP = ' || l_RSP);
    OUTPUT_LINE ('');

    -- Transaction control
    COMMIT;

    -- Output bind variables, do not modify
     :12 := l_RSP;
END;

DECLARE
    -- Variable declarations
    l_IN_ID_VULNERABILITAT   NUMBER;
    l_RSP                    VARCHAR2 (1200);

    PROCEDURE OUTPUT_LINE (a VARCHAR2)
    AS
    BEGIN
        IF LENGTHB (a) <= 32767
        THEN
            SYS.DBMS_OUTPUT.put_line (a);
        ELSE
            SYS.DBMS_OUTPUT.put_line (SUBSTRB (a, 1, 32767));
        END IF;
    END;
BEGIN
    -- Variable initializations
    l_IN_ID_VULNERABILITAT := 1022;

    -- Call
    GVM_ADM.DML_GVM_VULNERABILITATS.DEL_GVM_VULNERABILITATS (
        IN_ID_VULNERABILITAT   => l_IN_ID_VULNERABILITAT,
        RSP                    => l_RSP);

    -- DBMS_OUTPUT statements
    OUTPUT_LINE ('RSP = ' || l_RSP);
    OUTPUT_LINE ('');

    -- Transaction control
    COMMIT;

    -- Output bind variables, do not modify
     :2 := l_RSP;
END;