
DECLARE
  v_FKIDSESSIO GVM_SESSIONS_FORMACIO.ID_SESSIO%TYPE;
  v_FKIDUSUARI GVM_USUARIS.ID_USUARI%TYPE;
  

  PROCEDURE PRC_GVM_ADM_GVM_SESSIONS_FORMA IS
  BEGIN
  /*
    SELECT ID_SESSIO
      INTO v_FKIDSESSIO
    FROM (
      SELECT ID_SESSIO
      FROM GVM_ADM.GVM_SESSIONS_FORMACIO SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
    */
 
    
   SELECT ID_SESSIO
      INTO v_FKIDSESSIO FROM (    
SELECT  ID_SESSIO FROM (
  SELECT DISTINCT SF.ID_SESSIO, SU.FK_ID_SESSIO , SU.FK_ID_USUARI
      FROM GVM_ADM.GVM_SESSIONS_FORMACIO SF , GVM_ADM.GVM_SESSIO_USUARI SU
      where SF.ID_SESSIO  = SU.FK_ID_SESSIO(+) and su.FK_ID_SESSIO is not null  and SU.FK_ID_SESSIO NOT IN (SELECT FK_ID_SESSIO FROM  GVM_ADM.GVM_SESSIO_USUARI WHERE FK_ID_USUARI = v_FKIDUSUARI)       
      ORDER BY DBMS_RANDOM.VALUE
) where rownum = 1
);
    
  EXCEPTION
 WHEN NO_DATA_FOUND THEN
      SELECT ID_SESSIO
        INTO v_FKIDSESSIO
      FROM (
        SELECT ID_SESSIO
        FROM GVM_ADM.GVM_SESSIONS_FORMACIO
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_SESSIONS_FORMA;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
    SELECT ID_USUARI
      INTO v_FKIDUSUARI
    FROM (
      SELECT ID_USUARI
      FROM GVM_ADM.GVM_USUARIS SAMPLE(1) 
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT ID_USUARI
        INTO v_FKIDUSUARI
      FROM (
        SELECT ID_USUARI
        FROM GVM_ADM.GVM_USUARIS 
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_USUARIS;


BEGIN



  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );




  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;



  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      2, TO_DATE('21-01-2020', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );

  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      9, TO_DATE('03-01-2019', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


  PRC_GVM_ADM_GVM_USUARIS;
  PRC_GVM_ADM_GVM_SESSIONS_FORMA;
  

  
  INSERT INTO GVM_ADM.GVM_SESSIO_USUARI (
      ID_SESSIO_USUARI, FK_ID_SESSIO, FK_ID_USUARI, NUM_INCOMPLIMENTS, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_SESSIO_USUARI_SEQ.NextVal,
      v_FKIDSESSIO,
      v_FKIDUSUARI,
      5, TO_DATE('13-05-2021', 'DD-MM-YYYY'),
      v_FKIDUSUARI
  );


END;
/


COMMIT;
/