/************************************************************
** Table: GVM_ADM.GVM_POLITIQUES_SEGURETAT
** Number of Records: 100
************************************************************/

DECLARE
  v_FKUSUARIALTA GVM_USUARIS.FK_USUARI_ALTA%TYPE;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
    SELECT FK_USUARI_ALTA
      INTO v_FKUSUARIALTA
    FROM (
      SELECT FK_USUARI_ALTA
      FROM GVM_ADM.GVM_USUARIS SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT FK_USUARI_ALTA
        INTO v_FKUSUARIALTA
      FROM (
        SELECT FK_USUARI_ALTA
        FROM GVM_ADM.GVM_USUARIS
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_USUARIS;

BEGIN
  -- Generate Random Data
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'dEagHTugHwgriWURYCFfNweYdMhuAdZMZHExCXLjwtGkHgHjCEbLIGi',
      'TBmuKjYAxfifuUiueeOvxqKiyCTfCudSPvcdOANiIgZjALb', 'PuwBwHyAbTXzOsQIjzkJveoLrqiiVkWtICHcRnXRyKFslPjbRxBWIVWXFnZOdCIzoYdPPJOuefZIAoCMZYPdAgZxVG',
      'JuVzREIHXbYZiyCwrdNXWsNMBDbjuVtHhzVyjAxzsvnlhWlqnXYlFdjJKcyWqtrIKekTReytwRiBGozDOeCsCPSJvpwo',
      TO_DATE('20-04-1984', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'lRXpUECgIRJOgQsspgodpirVHJAtrRruIulPybcMCXtUaeLGgNWlPxO',
      'sRrgtLGRbejmCTgNTRFxwqHJVH', 'yTjBXHnYghyRiUSKFBJXIOku', 'YbMscwNHKpYYsxJiPifKeAqcyHRfrzJCjEpNMrBFcpwhjNVvzKitXyBZemsdZZOUZkEsIeLQuGOPHLTzALEztzOvLdHizPqUhe',
      TO_DATE('07-03-2076', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'iJQHWwafAagjnbLvlsRalMufbRlUWmvMYZemLqXdlZdj',
      'OlOICGWvyKQSECMsWNbCzcsShyGstRSnopoPmvDkjiNTrGzucmzBNcxxAkQmxHcKcXkKvmwiCieCupXC',
      'LfIDDoOkJmpZZJkipoJuQfzAOYrGrkeSpyeqknzHOAAfTziBxBICYELhyPnF', 'xJZSZwQfbQqLlhsMLqQtgPeWOkBkTbYjhvMyswSoEfpbjjAmZuJSSCpnbUaSw',
      TO_DATE('24-10-1979', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'zVSbCQYqeXalSvwnUOjlrCEIbPOVHVKXnlCDJTlZbmrrhyLegrjhNpvkVonMYgoyZWYnkwAeJRjYQIW',
      'NsoyqzVXPTkcRSbcGrgrwaks', 'HZAVTTJugrcqqbGwiyQyIUDvIjohnabBbkwtuSBDPjtJmJnLBkLVkhLv',
      'RCzmeiOqTMcfrGWKHHReuFpE', TO_DATE('22-11-1950', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'qhuMvwEQeRspSSxL', 'HKJkuKMcxNTeShnYJbjbGBVQbuoSoIpqrZIqcUUjuNtM',
      'QATzBF', 'JlLGJvtdXEOrYwcPsSLxgEsSWTuMltJceTrSnVtylfINGVcfwStVrUpMNkOMZsCLz',
      TO_DATE('30-09-2063', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'mgtWRnUKbwnOKgAxtTdzlzQeWYcBdDwlJJLgDeSNihkWXfBrdXawycaoFHElMhhFiy',
      'cdCMQyhOQdIYiazYXiAXVvmxzXUJRgRGiuhHCXjEZnDyxQXgcCoGOMGs', 'MN', 'WwnQPYgxaQhaoRybXCHygntublbykemRCNmGBIFkbgaMkeCgjKhQMnhzvELAfTfpIH',
      TO_DATE('27-09-1954', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'mvINGTVvkkymKusbcJufNjPglCtrazRKOQvaVZGXnHqQLyZo',
      'ZrhLsuVIllTTabMIdfvZfDLBSsPSawPVIJwrArgFrycPppnwoaFWlBtxyyvaYcGDtNdkrizukeNxjPjtPzx',
      'DkqfbevOISlkTaaQFUrRlqiCPjFBV', 'vSzvwatJONnJudMdOQzgWobqIAIdCxyoKcOpKKSyJNuzqcpmZuKMTS',
      TO_DATE('19-06-2067', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'jSXXkyvYeLmijZhZTuXXXtjjVGjrpkNDuBjEXkSPKidcPEGJLrmMWZhztSgQWuVZbWP',
      'GQufdUMabIfHghUvzmmeMIJnOfWXgAZWiKDHcYCSvjKsmzgodSVacWtQZXrmAFHtnm', 'zNCVwavSyHqtaIbVsibIoXEoPeCHAGCqHQymsQFtYHEHGPZncNyvwzDKbEIUBvLYESMxakfxjklXtMjrtnnhSTDuEqgob',
      'OlNAHQHkSWHNmMvWjtqHyyosCjlpZPsxVmzHwPCGGpWTxpeCGXODCSMfDRQNlMDepkjK', TO_DATE('05-11-1901', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'ogwLDddMFrJJDaepjhDJWTPQPPEtLhMRWVyvkjdtlb',
      'cBASauUZLOSQbbsGUwivZkqrTrsPwgfp', 'ypyfxsScyrJOvuPzDpdSIfNqjdYiAOzUvxoQsYyydvtXRMVKofzFvWExILRXGjYafjVTMJqyYCZQmTMD',
      'xXEQBKQLnJJDruLmIzZdEZuJIXYlSFWDPmqwrCDBQTFktVRtDJDubEwmQpYvPyBkkKWgmeKYmrTETywotpfHTt',
      TO_DATE('07-03-2018', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'QwUFKwNUKrmYlpEIjZwZfyKxfTLGVdeoMGIFEdWqPWnIsbcGowVYTBeSOtLWjweAvXEida',
      'jIBdeUZFeqfteKCkHVHnpJIfbwUGdaUFPiwRbUcxhkpBULelKyHcSFcaYKxUzmfvmkqJleCPgtpvtMVZFiPQQWmeMkBvdsl',
      'PExdsGiSSxAzuCSJtojCqXZX', 'nxyfngiFZuIhSpqFVdONDQHnQPuMiwTjdjhVkXJRotQPbDheqR',
      TO_DATE('27-03-1911', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'RaKPmayOvUxBeFbxFdltYyNBuSmdFFosUiAJfnTEgjNcleJHCqGYHltQBajIdzaRxONbZEulNjervzAULWRCnNxCkfmhLbFF',
      'pErwfFQRhmUmGjhqMajuDMnSUqzquAtDEWYBxpcgKbRCZKAuRhoMAbOZKvpkxBHdHDnSlArdEstwvO',
      'iHRGAJcnq', 'oOPmLeSWHygSHNmCFyRvSueFlcGCwxdqYfDuZcenuIEVVmg', TO_DATE('15-01-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'GVXYteKgcceQrKKXm', 'lTMbRMtxLhXhLFeVwGQMSbhxKCexyVYHpaPVhkSwoWXeDWG',
      'VGaToqxGMQMLlaAwTIILhGWZJvgAmSXntJovIeydYLAHFBmLTJNdajtzwbCCoebqhWhNKyAqORXNKfLJrUu',
      'DQqKNcqcJoWnfawFbhFiAHntsQjCjKRLqSUyREdNbt', TO_DATE('27-04-1954', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'laWWaJjiTkpisXgBzwSUOxqBFMdWAVvvKrfUKCtRLjMoDsBxctjfXZPWpsiGzOVhtSRFuoOLtOVIJPPUNRUheK',
      'tXgewwhERznLHzcVDwyjqhzrq', 'wLXkjvecIGiZgsxDYvODogoymVGrCbNdyMfwqc', 'snNHwPd',
      TO_DATE('16-08-2024', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'lycyNtiMzVkyFHQRdtkuUBcLmoMqKmAwViCKrcvH',
      'WMnfOxIEepgFg', 'PLKToOqyMAy', 'MRpPUFnoepMNFaVbVkLDEviQZJYyJuVINbPzIWoueZNfcacqwaBpmUmf',
      TO_DATE('22-04-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'pAmrpHNwtN', 'sQkogXqfPt', 'ymriSFq',
      'VmeiGlOXgWjrKXvPysQVAAUmurcaiVmSpHuAeuWzHWbNFQsgMRlUCYLbsjdIucmPgiHSy', TO_DATE('28-02-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'wWWNeWvFdgQoQEKTmpeCUKWOJnHXEaegUJMfYwlDzYcrGyDtLOqduVoRaAKZjXHGz',
      'XPyaZKzjVYRaCoQjtnMJlOHwSiHUHycVjmptJnugvoKAzIbrNCssHQHklgPCSFAhemzDKNwjkMVFYhKtbDmdZYEMIsV',
      'iZUxYVxpPzcEphc', 'GOw', TO_DATE('24-11-2036', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'GkgDdMjNLSDmwYCKXkxJhUKYYSYYbCwxSPvmiRVUTJCyGjkRbqyg',
      'iuZIjAEtZPTYFbbbkOirhkeUuOFDSDBauYslomiCaaakHBiJsMMwLeCOOFBXodIRnUyvdeJuyPfEsSrArtNFbNDogghimmjE',
      'MjLUOcyD', 'yAECJwwHkPuMtRrtkcAjCGGFSyTAnvff', TO_DATE('09-06-2098', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'mmOhHaQcgsfbzZSYeStEhGQLXTdjutALbGNyJDPbtreBUaHYz',
      'pAxLYIJgqEUJJRzEXhJNDfsKFgwmGJocCZK', 'CyQVLH', 'zXjaGkwdSfVaytUSRXVRslSrmrSAYAAnYRXKEwQrRBMFDaDzlDSkpoBAbBZNWrGYvH',
      TO_DATE('16-05-1917', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'KSkQNVFDAcSkdin', 'dTyxqxUMDbyDsUTmzZnVQSxQZK',
      'vjxpCmeIkGWqCpdkXQaMZjbQUUFyKrQZIzdZIExWKAuhQNHhUrB', 'YiYxCjISxSqrvOlsXKnJIVPZIyXQfTCyNuttEQOwvxoTFOjuCHhCBDeYXXkzox',
      TO_DATE('10-06-2097', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'jFflYSxQZEOEROfdsyhhGzznaPQettLevWTGEnARblqWMWGN',
      'aiSUWalIkgfEWEshKTBKWcKNCXMYMWZEhINkUjAKjbWLClTvUyMURSCTcEWpNgPZsvASQQxFFJS',
      'RQZkWZwxvHOrnJGJfhaPdVcoIgGhzhpqDfnJHNLkCDpQQHafRho', 'IUZifGvnprkLIFUZsZFRvONCLQpxZAXOgnOwBZSpeAXPtDJqOprzQkrlcNhqSzXYzTJtZNTqEVDAlKsVRBl',
      TO_DATE('30-01-1983', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'VfawRVXyxLEcUIvdFjbGtHRzqrCTZCJSFskeSwZcdhQzpKbGjPdfiyxkwbclhQGzhQar',
      'uOmZCSyheeRUXhapRRAhcljsncyyffdvtiFEtBkATulcExwqOGEueS', 'lXxbdxUMMIkBlCCnQUVIGUNjFLkOZLQpiaUamCeLVGAK',
      'KXtqySGBU', TO_DATE('18-01-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'KswJmkzSzZWPcuqHeoVhInlTHmmtcBFsJizsdXxwUMGfcvuuGyXyjhySOwaEdyoYErMkmMQsuRpUXDQRLryUNv',
      'kPHVtCRuHjoLBkgYibcyPeZWqttXGmWKyYMCqmfOYUtdkAKfGsGvJmLAfWPXCtvKtYITkf', 'szwgaxTbBnuwKujvBjVTRheUaeqzuQlIvPaznuOxPwszXZXtQfgvpvOzNYpkoeKkzyNx',
      'zCJWkNECbiZCUWnJohkFRZmNlOKaAYUFYXKijCMJMvNiUCBalYnnPeIIEpXLlOxzbLFQoxDcSOJvVc',
      TO_DATE('06-08-2001', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'jqyIklGNULYTS', 'EidjnzHOMUARjOOmpZmpDefgNlRsdfGfOhcGYEHLTjIyXfJS',
      'SCJUJLvDS', 'OAEFCPvYfOOkuZwjQdEfHAeqzoxIaXPRDyQbJOmHwXIhXHHuUHrKHpWyqPjVTIlWkaI',
      TO_DATE('26-09-1926', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'd', 'dpQLRRYjFmqwXH', 'COFANgfpxdsSZzlSEEwBxRrkMcPhRsQNGmyyflPQPDxzzraAbzSIXWAWBNZBpWIMtuCKOhfWQJUbqnObYGrloMXzbEzF',
      'zDnBLyDEYpreKuAfbVpyUhCEHGlnjLsNEDiUGUtZTiYYhRISqNtCpkXzcFYXnBJEmftJKVnyQuoZMVcPknUn',
      TO_DATE('29-08-1999', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'gJVFYobH', 'GJYGedDrfVZnZixcahTEOmqBOthizVDHcIiTnWIulJwBgkdpRocOtoEmvMcitQwBRUYJfUGmuXsHcckZptyIVhPYNoSjJeUlLTk',
      'oDpbBeibbVmoUSLiEOUhADYziAsoCaJlHGbTiLBAhMMFMjOByxnoTUgdjrjdqLXRLVbfCiYdjNMXpLXcUK',
      'RsaQYZywcZcLzFUpraCvCEeWvYLvkvRINlUnfCGJbKrjfSsthJiuupkbsLRXSBYpZCRdQGGZabzdVSl',
      TO_DATE('02-05-1901', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'uMfqXKbBLMgiRzxsccSJcjHZqRptJoGBZqdpXsLHGRBUtVPNgVJkxgDK',
      'qiYjYzbykFWKJDAqmeUMxmshOAWLPAOVVKqmEkpQZyyxKsZbWWMDSZbkUj', 'phgPNlnbOoiiUlBmwTNCNkizOBgONOIGRhEVczmGjHIDx',
      'JjRMgwnpbjKlLhbdFUSsgxXDAJDxmhcWqgNWMiahirIEhQHYILzOYkCxHvGTGCghHgaydIZHpOWdpFzVBscqNcQbwOLSsj',
      TO_DATE('09-10-1917', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'WtgTEyJqGOQPsynOxjTkZftqBaUzaJtGeSxHeh',
      'PSIjzhvIwQDZuEMLNSnqRVrCPGbNRJOdrbcwSaIfQDccCpVUBmOj', 'RyfYnCvtconJRpntnRaOcxSvLrZs',
      'tlFzoTKtxRmnvuFecuWOMADqLzWmhFQNqfTXZTkFKeptwRJFhhSkdtKPKBnFQxwDflnzjlMHXBlLQQakdCGEtKQbsU',
      TO_DATE('31-10-2039', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'gkDHOjbvxlfuhvwFXAGrbauFbOSxvtwXHGMsxEqEy',
      'ajZhyMDvKfPMKUvANwYAjipTQsZsYQsNBYGfauEJcdcmEBDWPNINmMgAeQoFpeqrdZilXvnNuZqzS',
      'utrEXwMeoIdguyDDqGiHJHwocjQVZlHwNjFmkHIfTusbRAnAFgUuadrsclAWa', 'zzRvoYzlldDRh',
      TO_DATE('04-11-1911', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'fuHJjYabUUSJOOrUALmkobsIZDgpzFeboFvyWidWHmeQQfc',
      'MMYqbGizkLqnWFclgjd', 'gvRKYHzCNAsvnVpuqvlxazZDu', 'xmsByVxjbmkMhrTcIrahmLsVqKMZCHXuzSZMmSzWVdLRzOaqQxdHNUAQHYlXFNxpxmu',
      TO_DATE('23-01-2028', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'gvlEEDiRNGZIACRKOBNJgRTjX', 'SpiQSZWviYZoYIGGCPDylteJdeErQZQmeWsAzYJgLWEmCS',
      'dVLWbZdBMiQFZHsTpWamMuJhS', 'JfThuJYeIaLwRWnzxMYuqorRrJIopTzZWLRGbgyyvZOAjFiLpGHBBjChsymoqWeBcVvrDslmcTwZYBvNoKSoUroVblKQWSnJNPU',
      TO_DATE('17-09-2079', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'ULFstmrxCJEUrYnKaoNkOZpfsmHOuy',
      'OjvHNDWWZdlKpglCmeBBNChFXECpxpU', 'TEhSluIlDNSRLpRmawMvNInK', 'clGcsWCorryuQIcUGPShQAvEsGTuKfKoeylZSKGenNbR',
      TO_DATE('17-03-2068', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'dTqcbPgVPjXx', 'OfxXcRkVarVkjkaJwUqApfmLBiQPXXrQfZKTvDUQCUMtEQvATxVmNdArHGuVcdmxEq',
      'TAVvlQIrdZdAczEhOPXDPrrZuUdnnNCWbRnjhrNaYYaoDJH', 'uYWAnCRepZHUAnwSdplLLlIGMexRlaclmrFAxZMjVcgXp',
      TO_DATE('23-01-1995', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'nEFKjwnwXbbGuGNhJxRbuqAGXluroPUpondIaLEttAaqoiWGAgclapubnhYuTIIGEPbJsUIwkp',
      'XhspjkVuNXoXcxtrxNZcbPzZsYroHWHWezwFKfCqrXzyyooXaxCenbgtKQWRqKhZzyBMWvKnXT',
      'ayFgGyVeQtqgKllqewLZaQXIBSSbwkARzwwIxWHga', 'ajSvkkJPDFEZeaokVjqngcodxLuleZOvsFojllEaromTAJLHLjwmUhKauMMeDOrEZ',
      TO_DATE('21-02-1986', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'UBbPcVZxFpWEAHGWztkVCFpTyPlGtXJxLQYtrUZjcqnUpERuLTRsuIZYEqnQYwR',
      'SEDbzT', 'OROPWMfgLwcIjmrOBkcBrfcJEsmsgIMiQoKbpiAJhfSGOclvGaBUkaGodAPefOIeludhIROjBGif',
      'ljyRxXWcEnAWgEHilGvktquzSnuATBiCifEd', TO_DATE('21-05-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'lXClhfkvKfvwtjaXTooEySBjrdTmnKwiSSxqiiVVhbetLyxzQiBOoVjKiOBGLwNPsuTDlBWQpKPmdxCQXohOFLfWsxYWlYajXGK',
      'gplULbitNQKwheenaoHoSvsmByAjZvnyXvfxCsYgHOqGEUtYDdGdEqQNRpzOmhDMhgAmxzipSNrkPOCEp',
      'HekXnlB', 'wINjQGqqBqZuQaTdnDIVhbgJGNeLHfsFau', TO_DATE('05-11-1972', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'esxuCHbpxTgUuptOB', 'WSIxzDGQSkwWENVBZluDavwszAzpRjQQSSkFmTy',
      'mQlenmTqKVlcCcpVeMojLIljBPrpNAvHMxEFFCx', 'BKlUjkOcdxYFqXOTeGWysIdmviwjqDUfIMNwfgQceCjNIoeiJCPlsVmYoNPUpTEcJkoeOaX',
      TO_DATE('23-03-1970', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'nISaJiGtFGbwwXWAinJlTixrlEoxLgaLgFranNqmZXFgmUWhmHADzRJhWIPsyR',
      'VWJUHKarTfiY', 'IVcBMcyZyIQjqkZZnfkSIJGGJcZhQZPBJeRLmyONrVeDTCPPcXynPAQIWHAsbNjgHtSQNOcNvVvBQDJwBmkUyGwyVndrBBL',
      'RqfQfIkuxVbRfFiLzQjUyxltXPVxkMJxUrMOHILCqhoWDNmLFItgEBFEIkmmoOHZwaCTPQCLfhOzfAUL',
      TO_DATE('10-06-2021', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'fWEmuiMSjMcAWxOYB', 'CQATLGRtapUCTAHgLDfWwRGOJ',
      'phhaZyxkFpayMatTiQCeD', 'inJFZlOuhVMuTcfAGLIOqGUniMviVxhlOtPQlHVRHuDPBJtYxaJDsoRXGXUXYrugtMNUvOMbDROCHLmjqbZ',
      TO_DATE('21-12-2055', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'aosSxvoFRULKOLeOoJTfEY', 'VIQdfGOLiJqWDEjjLwBSIAzQzBCHAXLYmaXPmgnSGfEdkIsaQwna',
      'FQSiBnLkDBsfHJThvCWtvlKqHXZcmPhmSyuFkEVcGGregNJRspdiNnEYqAaY', 'CYDGAQKhVwiPfGUvWDmLvivRzJmLBoOwIzjhbJVmJeegBNMsDTlzKaSujnNldBrlZjg',
      TO_DATE('12-09-2029', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'iQbpKdapRt', 'ErSAPxYxEtMocoeUntkBXDGGWvWaZQuajwxmOrGqPLy',
      'HAvaVjHyKEOXHkOouXxCKydPRmZGMXkTgxHtGacWFGzikQYhPjGCRruZVpxMqrrZLUbotcbSnCycUK',
      'UjxGyVYOeCIXKSoDEDxkahlfpzxjVNHHIOsQcBNW', TO_DATE('04-07-1978', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'ubrRyDgEaprZHVefNVQIguGfQucfNNyYPAyIoxIGkrZJPRztJhdRkgBZMbjDLpMmZ',
      'cuHFHfeuoTnuAhWRJVnssFgdMuTiKUngqTslWCPlUMGmNOwvxUPGQMiywbylF', 'JhxXRSRJTxzccXgorMvZWZTEWkYSWTnujBwbNUGVALptqCIEuwuoQIfOOAMvPWepsNRspDXDfozgdyJSJPuqUHVedEa',
      'PvGgBmXQznNsCCASsxgBtEWMRkPIBCrHfIrM', TO_DATE('03-11-1990', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'fEhfuhHEtgrJaFdSBGuZwSfKHkVmEDBejUevcTKnNogjoPqxzxuhpwJWyICbEAVVBwtPrEYDzttgZSxiEsrKhyohjCAFJ',
      'xXGRVoTuKlXOjkzWEGXcgwHmomringOBRTNPHochRHYWMPDTScJRmYocl', 'SbYqDIlZaiaXFgDNuYBdhDSXvdSswWyHSLgSgdBuIVCgp',
      'cHPWhoSFbYXBzptUfvUoqRKWWxElOaazYkWtd', TO_DATE('01-09-2082', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'uDWdPjxYvpHVDUxhvKrivaecYOEoeyyCqDlioUZtJ',
      'ZkdatvoUpQDRqdAZWauWnbWFtDHCvnlfNSvGIGCjrwzYJiHCAztOtfaO', 'jAjJjHSsKZQSZCygyTwPbAKKWzFfWpOmJOMVcRzP',
      'YVUjdxLCPVQzOgFFgBFyioUTZvtkDzlbMz', TO_DATE('06-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'xvmcxLllplVRQSjQbLp', 'lLhFAKEyAghnYIPEEMWYSVGgxbIxjQlEGcWRwvJnFBqIfc',
      'YzzRBAVOzylHZPrlNomQkvgPYsONgjlSnDiJaMYGXPWXLwcKGPWtFWhMbXoHvoDhEkWOEGCLiXrKcuuGeiFNaiyfyrLusUdDYMzX',
      'RwNAopIKsrNcCPrhogsipkBavgmKlzoGyuKLMfvNUYjoMRfSko', TO_DATE('27-09-1949', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'fXyinKGiGSvgWCDMFdBjDKMUfjGRdjdagCKKLvdpUlWZfoWiKCwjcGwGPlJJlxALOZXENFYemTxAtaGBNXqwIBy',
      'OtHUrLSPjLKRVxxlTmEmykkzwHMpfsUoULoJuuqzYanLHQtvMDVYDYemZuj', 'MRQZMWdrWzJckJAKEOCqIXMr',
      'VAVcIvzn', TO_DATE('25-03-1979', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'pfXpikWyZyxWSNscldPGdpJupv', 'YJJuiofUwaaHudKfOuaqGCQYkvFdhoBenTQiXCgeTyovZUMAtI',
      'SkHIkunmHqEIGmSQmmItVgqZSUhDQEHGTymZqLXOcqsLMBzqZsAreUGvYhonQjEjcuOlRpWqxioLSuVZ',
      'MxXf', TO_DATE('08-12-2093', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'ELx', 'yJCoWKsTFzLxKrJwKDtQpdFjIZIYkYjFdIbtWeKkolgbMvqRxvpfzaWaJILtEDTSjbXnSkddzwmYKKMySlkndSPDBaj',
      'oCNoThXnDlzSSgvKCXjz', 'SDgmUHijBtmhTEfEkhkWYjCxLRrpMKCGnaXiwMGyyAHZMbzswePQyDUEwlCFWGcTAZatfQkx',
      TO_DATE('20-09-1993', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'XwRwRYGqmvWKqYvuiTuTMJFKroNPSjNcNMxvxTCzujyBlwsLLSjguZYQZHyrjuJNqJoMaxLsHSxCFqT',
      'uKbVOHQcGkLKUxmyIljitqrfpmhgmUFYNnuqAIcqMAjkQAgwsxgNpIpRkdPfsVaIAxKPFepHqOYePUaWIBFTXfxQZa',
      'oZNiyncOAdO', 'nFCZmrhPpqPafvcTVYtiPBGKXkUKTalSXHvbLxImXCYmkjwQAjUKDSHCfCYJPXSnMQoggGEKZoeuYjSDrRqdfjnHIfZ',
      TO_DATE('29-03-2048', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'fXwmgpwdgpnmUWFKVmGJEZxRQ', 'doDGYuTXTVtqyPAqzzmxmhijMhSEQWDYsrSsEAZOmokvILX',
      'fVY', 'uiAugWWqdAlEqFCzqoezePRveHgXZOIKqZfvVAgiFvCMDHlGkAwTyWkhpZMNftPgKPUnwKrsKEVdNIxxoexMSJTbNPDRxhS',
      TO_DATE('21-12-1925', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'SeRBbOmZzryKjwaYcsNgesRIEABJUHLZoHHWTZTpHFWaXvLDXSRrqyxkDAshiGiPwKV',
      'ZGEGlvuwvvPXxiJgPSMBJhYGRvPFGZkwWBiotwsADmwqErRlUlUgctsMFwSHuhVgoqCztTtNUBYUpPWGFrDYKVzOdv',
      'DAJSRtvjGeQGiOFbhTCFjGOMQZzOmEniohCnLKJ', 'McldCmDpPK', TO_DATE('25-11-2027', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'TsaSugpkksV', 'UzUzYhpKk', 'dtmmRrqxcPpFFteaivAIoCBsAEjWTRHmCstepXeIbmaVHyCZZxIVAAsJ',
      'TPqyWWUhVPPrFgJdpLzcehjILTlvxsKHFPThPArNkRWpmyxlquqcPKlrxlhLAElxInHjrBflWDcwyYmlaNGKud',
      TO_DATE('03-12-1960', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'viQofniMYaGatFjABHWJdudxjFUzigcJalofGGbrlHbPzQSAwazBQSVSWbn',
      'IAdgUsLTEKjTtmKcGNLgsmycJczqG', 'OsJvgaEOGXCbePKHZQd', 'wpcQXqsFHrefaWvJMklKDrDNrXlSKRUmrxaiQXuRjJeoazhKDaeUvmxCoJPHkbDayenjCAxSkBGqpAkurBJcBNqWK',
      TO_DATE('08-09-2072', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'yBLSlTmmPoXAQgXpHyjdPNnOzNkSDdpwVaDjSDcolYoxnRJJvVvHzmhDbSTbWwEkmPpkaKbaJLMyabXYTpQBue',
      'cBCvQZYGJizTHRnDBXSVXggYmEIPpXBpBJclMXeOVpBUQjqMWBruIMHzgMXtdjKnvICa', 'FPZrCSLKoTZOlTpISxCFyYMQhXwpxIN',
      'UsuxhMbOUJAPHJUmUSbLiAEaQpQttZZzsSCVZtBWoUWGrqIkTTPcrIYTUDXpJDmnCLOtw', TO_DATE('21-07-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'EEMIlHzbyxL', 'IbXVrYZKKERPPmnUIADXCHQTleJxykpChQLOGzMqsJX',
      'eMIPHpaIvTqfbRdTvyXifqiBrFwuIhMwLAFUJIlejlP', 'PbnBEGUhRYvOFGyjKqSmYpzEBxVPbJNitYHeaHJkxyFOHFYyDO',
      TO_DATE('07-07-2008', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'qQUvawiteDTuXUUkhWDnGbDxHKbEDhXHWqDkuIDnLhbpHKzN',
      'GPEKvjgvQHMghmayPqjimegWajO', 'ADdkkeAOOyZGtkECdXAICoLbtOMLadnXccdwyagVRBahItXjCQjREaucpttiggtshuBZxIzsE',
      'iRGwTotPBaiAQGQJupClWLYMkYPOcVeHCCnXqYhfEqZIgSkCEGUU', TO_DATE('13-05-1958', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'oQHPHaaOrPphhTOlNnzOvXAOfldghvSncIjhcQQSXyXtPZtPQSRdvFlrwwXkPjZBZUZJJPDnO',
      'JWnbpxDJSaSyrwAFMTJHhLSMkkEuRTfWWPBXgEmVayIYFkofAfTsoUpdjeYdWTn', 'dqDIicujahfAuxZCBrUgouDXHUevZUefIOxtlEXQCCYWoJmhBpmSKHNBauIIasVhTKwKTQqeUmtnI',
      'TNDCJdZgNiKKDoRpqqACfsgkXKNRuYkaDpKjQtMhkUhPCNxGRVoaeVnqfvOCNjjOqxPKBJEilQlnCY',
      TO_DATE('29-11-1940', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'vRAgDHpDUBUGrXk', 'WUriGWhybFBGTiAluQMStanyCQlmvlnSgwUzJyUUVZvxVFFSJAIqxcQWPKBGxncnFuWzZitqRFoMbOtVB',
      'veReRXqtRPwAWrMlpnNtQsylrjYehwrZzVclvVyFHiIgxVXfZEqWkjHuxqlQtIZCPdD', 'NZklkHhyHdyzFgyToleIrqBIeYOzfFvCOJkgBQHRFESHqOMTNnDZcTYhuRlDbFwLyuKnLsCAzDoilfPWZVoQnkKeUEYYppnNBaUY',
      TO_DATE('28-05-2055', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'THodzJBXEEtWrwoFtLLxaeRmpBsQfNyIraPUzBIUWxovAJIlytmvZOyRtBhBfY',
      'iRJJerIVlFjtFisTBDvDgzusaiHcbBmpPPczvlgltiwWXVpNsLkV', 'tQmdNhHQenXBhMEevibLWaqkOJWmDQuWWvQrWzmAOpwLlpHGNnCvjBY',
      'gzEFegzzwkGkHACQxqeJsGmlfZSolDRlkxjzUnOmsBdjeGfcvUsXDziIBelTOnfuIvCxPyFlNJqehkIKzGlEWhrRvqkjKHJ',
      TO_DATE('16-05-1975', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'UMRArupfGGQmanijQZFJlmRWoKQZNptZWeQcLnMkCthuPrpvcOPvWhmsZegAlxPLzRSthokbkZGlgLBSWtzoulqWqulglDb',
      'zxlpioTSizzHnXnWzgVIqZIplflEpmfwyBHjrNbSWaLVVqRgK', 'iRvFeEKXZxoMvexUhOFQFPslnResfCssGUURSWYnYZNzfAeEPiaBGEHcToyeetfPhlZvUaLR',
      'WimSJziQuCyCZaNGrOSzilfkxyFbQgSEOagdbKCIqjOqwM', TO_DATE('18-06-2083', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'BtAxGSQxPlEAmaBZFkoPaZazswTnpxrKnOPgoiEvaJjaQXIsKMoWSjTTWIIvbUnYwXpIzsQkSdtSqtzMVcYyUWcvRZBDUIEYiNjq',
      'fgTyMwB', 'bGxLPUKJyHOdahjrrHxDge', 'cjYrvELliqFWeCeKUBnonpCP', TO_DATE('31-03-2018', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'MZpHHGDonzGuXUaXLFZkyFICpdcDWZAFKwWeGjBFruSioAVpnwgkXYCDzKOaXdlwlmQEXZsFhHXiZbpaOPUGMvkfWgseFpuUmct',
      'lvWHSuUZSCZfJPPeVUEkggxrFetWOJayjyqCySEKXYDryYrlDtuHrCsbB', 'QKwDIkIqrOjhcUMDRR',
      'uzKVtjoTijVdGvZyiMCCnVojzRWklOSMSVuvnZdJKmKptRrCy', TO_DATE('21-05-2007', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'zkqRUIsRQRsUblooUQwjcqXlZIXiBVBvupdPLMKzSmtgWblLpotHiMVPUMTZbqKNxrcCdeuPbAvlqgqyauE',
      'RICquPFHTNnfitSVSeyGqSidxhRyEZOokfnmGHcrLnhloqEpEuUKBIAKSMuvVMFRRdA', 'bQETmSVO',
      'qnTrkeGno', TO_DATE('13-07-1923', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'APNIYmTVVrBprOkjVYNJwYknn', 'cpdClLBCPvmxRViOUitEnHskrEKdbWUeialCqyGCCdRsIJOvwlBEMxhjobdzMldgnSOFQRsqJeX',
      'PPPOginBlJPRKuEWlaazTTSnbGXBFTxXvasSUjrtXaHTsAOAKuudAIj', 'fdaFuXItwBIUutQTURSIJMIcdZoFhouxhPHVNtPhoMoWEInnNbQlEtWpfyzutDtQPNArICpQXyShzoUEOrtxuUigNDh',
      TO_DATE('30-09-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'ItBHtEAuGhTjTrvBadmZZqbRFMkpTJgulTqcEVjnWPAn',
      'lkNgIFyZGNUZfBzcZIClxrqjcvtlhThtJqrPowIpZSrJBVazwhjXWuszXcoiWUjEnnSwtGVBhYHiHrla',
      'oPNjYUClkgENC', 'KbGlxSaRPGBkoTcViIJYOPv', TO_DATE('09-01-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'QfeLMCpst', 'mQVxkAiLVcMAxkWscKeZfcJTK',
      'bXVgdJislSAxNoVBfGlcIUUwaNNoVyFnGffLcJacc', 'LJZTCweQlFBWClnMREHiqSzMwGCqFhYMNQwhIeIqJNLeVxzTyGRIDHAdBBbnUtMhwQVJBPQxpGLYrgCYqiDkranTTx',
      TO_DATE('04-01-2068', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'xaxoSHshbidEhWSOVoPvUutGBNoEAieDCtTRqSiPJYCkbOcpssdjVbhXWkCnWGIkYbof',
      'WipgUpcqSzLQNHRQUGLySaWniMSPLMs', 'hedYIexDrMAZFNCpCzKTDhDbXZbQnDPUkvjOybQqVNPvRkm',
      'YesejSFNSFPfgvJBWVrsJQgAWCpVhlFigQieBiZmIUwEyVFTxLNoOINxahxubaDVhfjBLqjEqQfWBnoJYcnE',
      TO_DATE('25-08-2061', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'maKWlbEGjrrcwgaRfsMQhSiJhsKlQKbwgMsuYdhLmtBiybwmz',
      'vKemacWvOEhFhusGdpqdtnujgWaGTrOssTaWPXUENdAcvpEhCZtrKMpWpCrGCQYCILsSAYiSLcXUiqmJQVHLYWDWXE',
      'OlQZOoGzLXkwhLQXWhdZnNoPFLjXnLpkJetPABgdi', 'guMQuXIUXHoicgNHqodMEbjKfeuSJLBhpJlQLbXBDfgaKmtVXWkhyn',
      TO_DATE('18-09-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'GfYaDWNWka', 'YYdyLrADrXPmOoHzCHUFwPPqzsQhtepiud',
      'eegVgRSuOZRqoZjZbXBBbGzlvJtlQdKtQnsrUtzUCUnpDWoiuQgUvgzZtpPGlbg', 'ydIIkJZrCSsUDsxXTUrclDHkhGhlzLcCEytJXAustqDCwldDTyuApDQSmOHiEQsPNgFwnfgMynhyIjcDRRn',
      TO_DATE('17-02-1959', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'eufSvJEpSeqgAGComPIfoSjXYqDAjLAjaYmMPZYbDwUhjCnxiJbVVWKKvR',
      'hhRpCkAmnrkvXrZyCOLboigczHcvBgomYazwWBWVsWkiBKgmjzAnMCteWXROEPSRsaGEPHTVRZTwNoJLqrPrkvEpsRQRNht',
      'nVFoBceJMoJdyUs', 'qnNHSDdoQckpjaUxGlXuvSduARQDNIIDsYYqFvGoKnafzjTPFcRMttsoLkrCitUSQrPPEbLSzKllqvbZqGvqDriFlvVhPqKc',
      TO_DATE('18-11-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'ZTFhovplZdRLvpTlscPCvSMHBsIMlkLEyNjdYHNtzShvCOauoANxHtUa',
      'LkaHPukYkQWmMHtzDqpJNMLuZAJziMyWQOUHBViYLgSTCeOfNmKtMOsxixleUNQXZbKzqsmsCpYhaakBHaOFCSJEIEBWPoivzDn',
      'HdPhgeCsbwjoALzMdcSDJxLhOMQNaBWkAikKTGunYHiZDLDOnFvIdyaDZfrxYBcPyRCfuBZUYojoggMhdrFwEDllVhNwfsg',
      'nZXatxSviHSbqqlTeUeDsKIPc', TO_DATE('05-09-1944', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'cepOFXEXJOgUhZqlVMrmJzfmgVrwbxdmaj',
      'dVmFNKQBblcaUKgXsjaCGxHmbZwuLJk', 'ZmIdho', 'oKHIMbZuazonHDUMIAfybkYTablDSImPXKVMpFdGhMtZZWsttjLzitZwZezGEXLEOVnAnKkDWZPfVrvnNSkSwXyqhTLaYRIy',
      TO_DATE('05-01-1962', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'dpBAXvJujWoBSyOoYUdaNnhoXelqaZnGwkZNItqffKELqwaByVwdFoRRdc',
      'FhAHACPMclUxoizOqMgryxBCnfaqnVbQNWTgfJLJrvGJVRvilygfaaRfCjUhKeMNjgjv', 'tbvVnZLxfaBGeIcUEvZAnLclfmLBo',
      'NjqXlgvQfHfZoklAhVtRDAnwlEezZgY', TO_DATE('19-03-2052', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'IKDRgRglDGeGhZkWwayEmCwZLRyBLrZIVRGWqdGToFTcJNKCBLiVGinvnZHJmmBDlMaHQMOxsgmNETsrJAFNkUjFabaRiV',
      'xcFSVKJKJLPiQChEgNAXbmxjWaKgYYEQGsuSRAmDNyMFQnsjnQFLcvgUHyyCBpkyapwqREkgRYQoxNHKIfPHj',
      'GzBFalaQwdCUoacfETotnbdYpjaXNrflxBOZoQAqvwNWjzQuqAasBtyGQOYgxqVWAA', 'cFzVSYGUTrBnQeplYJAlLKwszWjGfSPWToRhPORfDCINJIPeqIaJgsSRcVZ',
      TO_DATE('26-07-1946', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'GscUDtipjEWIDkW', 'qlpwGvpTqoZLnPOXLFyuiysSCADaCOhAKMReQQHSPPwTrWrGocPtGWkhnNHOnttKVSOcluWioDkaQBDMUNfBqlArKkboRm',
      'OHZBiUrGvFQyQaKAScvMWKyrJTeoygnkCjeCkODJKvbWdV', 'TlwJqwPFVkyTYWWBRxyXYmSsCURvXcSeZzMTylNkZfdyOPAbJvqwofWkoxDkzvzHIbGJ',
      TO_DATE('31-05-2099', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'HXfYvFDGPEyPvEVBrxRbyyPkIwphbAWalkJuEKfQHfRZWYnlD',
      'MRWEcPABOxyFdpRNVinycCrcYbZjnyJaHRua', 'shJGlObFgqkTQwkXAJAjLCOkQvfzYUenjDdbieQjtcODArGnrFOvymapGUnav',
      'PJCARZh', TO_DATE('13-02-1908', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'xsRnZeOthnRaUXXmxAJbP', 'xfTKvZkSqTSvebBYJhuqWpOipSrHWJIJkDhItNtSoeAbheEROeoRcZYzZwZwoCrPRwimNXoqMKSfRfwmqfYNKHlzsmeSkio',
      'aTXwPqmfJbnEiHZK', 'lOBjgJGQSWrcUKvrZOdRfdq', TO_DATE('14-01-2058', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'KsQSCaPFYjyEBuEJKXKmqaMKIdEtFRscOvpgrQrraFDvGwFpQdiwnNxvdcvuFKMuGlXMqQytuqmBsZghgvwfMWmSAg',
      'SDaVbEtEieWqqlqbLVBmepzbbzfSEyNOHREHISwPgTzPtiwTQKPjfAFqXCdtugaDvFxlhLmVhIVBC',
      'RXDuhwonuZvivqgtcPKcUUwkOOiYplqaCBxoTmnlZpIvd', 'izyJtxpHYBmmxahYDvdXXMEFCjHaUzmbvarLVnEwyJrZlGzFmLowvGuUCvvtIWdOVAuOLnVuUdEJdhPQBCZTkcAjPtJWQLH',
      TO_DATE('15-07-2057', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'atWPAxrlYesmuzwJBKrNnyETaiSoVHwrpjHVhQEcCIFPciAqLmuliYxVTWtwAGUXpIXcqukoyheVGDFwPBoFNxzejqHBxydl',
      'EuavnKufADcFVAckcGkpwzlUxNFZDJpjwFiTGkIHjIHtZJUTSpIFRsTPgkohsBKauHGDdP', 'aamoKJamUenrfaREETnnLEHgzVnahIdpumfaoWmZxQbgzYwwrFPSopsYPkQBmhvjwXVymxJQWMZvaSLWykE',
      'QmZyJeiCIzgLFRTwWEwNxfuCwynFoMdgSWIMVKOhRjPwCAJcIv', TO_DATE('02-07-2094', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'CJailfkT', 'trKfzQWKBTzGnVFmLbsaBaZxHhObUizcZMDAsjgemkMiQdGjossSjlEkxQrgWxEjknBXoUzDlsIYVHMJqEzUpkLLFYWsB',
      'TCtoSOwQPnTzpkVKvHOyFDwaeUyFOqjJYIlenmMfPLDBANebWoJCaFPuKPAuBpFkhsLIL', 'HTFwfZctbCqPyMVIbruutPUXLVEvownEaLFGCoWVOybpzZUSsbvJFUVeVGuEJednaob',
      TO_DATE('28-02-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'uIzIvxSmZvKDQOWWIilZCuVlkhz',
      'siaIRxbUOKWXKYaPwETjWE', 'hApOlBYxANbzJhXbxBEjPzzhYvgvrvghWyVSy', 'NVlsCXhByfrIUiGaLluWAzlOUHdXVCmCiuAxZGrFf',
      TO_DATE('18-08-2045', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'YrFaTfloeRemGGMLDXlOFmkCaXkpVyKHsTT',
      'usqvhLnJqOaySAslOiSdcusg', 'YFDEaXpyKobKtOrPBVnzZJkdVUTpMEZWRfvWLZRfmfyqLNXwojzvHiq',
      'CCYILrLKCHJonhoKeoVebakIRpgzTbpwRbIausFzUUnImwrQhdbYzUzEKHfTbsQQthIubZIDsfLfvYc',
      TO_DATE('07-09-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'faorKU', 'syVsiBVVLBEfjURzxiLbAaJKFiQgHHimZRYeBuYOTQTBSFaBHQZnuHboeGaLXbCZIcNnoGidyWqQIb',
      'blzmyVBjbiEfvvdPHCwjHOToRTUvGKfPyRyvXicafEsGPYrePqPZpESBAMLfM', 'rwIKhzdKVlIjePEOuPShMuflF',
      TO_DATE('29-04-1907', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'ZUdPeWHgkooQqbSiCGpupZtcbHPDyTrX',
      'usbBKNMQCBlBjiohUJklqweeJfYMZJZNLcXqhQcZBFAqTPERPlcJSOejnHmgaCanMASHGKlyGCuXBnw',
      'kKZSXqME', 'BZWzbuaWSQnnOeYSxoJpofyjNrmctFVkcgjTCaxDtzLggYEzvSeeAFzOGrpyybJInh',
      TO_DATE('06-04-2004', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'eNygcRCaoiIXYrWTWRwCJQqAXztZPjKpEdbicvBSSaidpBmVCphDarYuUqnxuWdVEHlKfdcuAuLiwpmmfJaAfYKIcMBBIb',
      'LLIJtCprjIyaKkdFETFrsAFwtwfPUOavSpzIXdKKsvIBSOKBgufIafYhzqYWNwXVUZsNNqYSntzFYxQvZA',
      'mvuEHAeHqiut', 'vIJtbAICiqFITxGjWWcBKSLsxObfviqVsHwRhHdfYNGOgJCegXvZatnsclLuVypXtDHKO',
      TO_DATE('28-07-1913', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'nqKJXQlBmCTPSJR', 'EELNmAckGthFVQODTybpLdzAvdYcjNujHtHPRPFtlHzajDAiJQkOnQgXvaCqSrFRzaXHfCLiPpzFSKCDQgGrveYl',
      'kTYWCvXswgDllyoaXmDjhVonYkNMFZnZuJaGaFKOhvuAVqcvwFeJdUZChWCPFdqPoGAkn', 'buYuqHMRfnjpFFPJMuwHADqUWRrlhdpptOHZLoWOHAqmaCzddiXCrfIfHOrZGNbZAiCobIeuzcjgKkvIkkb',
      TO_DATE('03-06-1985', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'GpXKJPKgzfSJzGqVMdSLRoaNDBiaQNxUqrlOprkTpzXUEmKbXCiOPtClSbcxROFZcwBhIQtUbjadynmjrpQBkl',
      'GbapIQhpqgcwoGGhUcLroendGSRaFExIZgrSntVZDxkG', 'vJxTzIlRIXxjBFlujkBQfpJHpUfQGYzXiGKyzRKoQGpMyaVRtAhGgChDmtijpeqpsjbAKBmXHBFvzmipmBgZZwYKerQ',
      'VRIzGhJQiAcCFHCHHhqaskobCIuQrdQBMNxaomFrcqzzxFWsWFJXhyTstSHTyOiogvpyGRSzoFTVkDRkdZurdvdTipijvMJ',
      TO_DATE('28-07-2004', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'uQEzVU', 'LdOCgvkBSCWbuRZxHCtBacgPBDImYCvaZqJw',
      'LzaamTCLJcEcuXetbosZmGBG', 'iOinRmoyVsUlNNaH', TO_DATE('16-08-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'DePFPhLoDWGGociCgdcWIcYdAVKoSonrKrSOYjpkBBUYtzMRXrFUKjnqqNXWWhUdOSr',
      'OXmLR', 'LjsOoIlNKBHqSPLdZMDTMpUtTBfxSnhEUMlsxG', 'nZctXfOACIKLPHNasfFRtdkcVnyadeXOaDMMnEdQKhFcykSIqqIuDqBUtAfGapvlEosGfZJkaUxLyFLVjZUbuWay',
      TO_DATE('17-07-1953', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'zuMtnGtdYBxFUUbCfJKbhQcCwNMXdVLkViZLQawULgTEXuPSOVMxbbvxFNIrbmZqfNLKYKixvsPEGIVSRXXEhDvmTVtCWYDvnT',
      'sHYxgskqRmIQeJjuGagiGnuiYYiYpdLHgyffhCJJCQJZgRuCgvzSFiVYtkVyWKtvV', 'bdLzQNgdDmWHsPBtwLpNV',
      'rqFbrxVVRqMZAbvXoKDt', TO_DATE('20-11-1983', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'dglM', 'vdMupvIFcJxhtOZCVQrbEsYIBEnEC',
      'lhZNCvLJcHvMQhibNHACrJra', 'oRMrQLTKEKUeRrvGVJdcpeigvdfZtHTHtYtSojqqRPtwsXfzLvuYAsufdPPaZMwmLljhwFSLphuTjxOPyyoE',
      TO_DATE('15-11-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'JhfZxmNIRDhtyCoIyEDjxRtBASxIDARtjKGOyAYQidWoXCdQfnkUJCwLCZmE',
      'ElXloTIKTBntJkeXoxCldskGOIpqxYFyFWDXkfZmqDTMKSpjJHhIW', 'ntHcQRUJNAVICucpGUlusIjrmkzrjFfHSWyLrELDAfzYZTdmDUrNnOwkOaiGKPGtUPyPHt',
      'WscpMEoqUqkxvHgrewOGHipcaeyqtnQVUAbCDwESCRKFHsawecAaKtIhaFQVeQfpUXQIJoG', TO_DATE('10-11-1929', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'IkcDVUPLbcHPBDUYpinaYuClmFLFehADPOCqnXFINBBizjHxDyjBLcQdGfZpqCmMNwtbgkcKcfD',
      'nwnYhqDNtwVXlqtibGxX', 'b', 'AlNAiwlJOsmcSEltvheSejgEBxTgUvkpfisrkBAdvLfyYPcmyJBOhqeSbydiwZPYGXQdaxrEnrxcPjcoaYsKOHkh',
      TO_DATE('26-09-2047', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'ipXEjuORjcYbgkLucEBZkUC', 'NVmQXKaCDkMNKIvG',
      'sassbCJklwgXQeNxEhzXNlapsQxD', 'akZNVxRrpwhNcIgyduRMMgGsTydvieTRxcgvtpJFETyDXdxZeJaO',
      TO_DATE('19-07-2004', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'TwfCVlHBCZkFcIgCBWgIPrDDDfxwStZiowzOCdmBkBrfJoGAYHzDCqYwCThcYhySHOSarLWWXgUcQVGOIliwCwLB',
      'HrUrnnBmsSQLKMmYbVqKdVRFgaQMCqFrGHLvMjnupIcjAvQAywcQpxxCxLVVcOFywzEQJsYIfyEOh',
      'DIyTCcTnFvLWiN', 'tbIHfnABosazNqDXoGiKltDMkuQwodLwhcfaWbnCpNLtaEmqecPxoRXkBXFAImsNfMYTZWnyGiOsWzkyOnUa',
      TO_DATE('05-02-2059', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'mAPXQWsWyNizkvjWJfRPEeJpnMWWbtOCUnjzYIKNKerptrpDZMIunuXwhnfZBCBTO',
      'BggZNwijJBiUJqwiDvwHuFFYbULHqNhmONVihCMxQpBerWYWRoNxYKvwLpkMrcoHXsdiSMLGtX',
      'V', 'QIjsZOpualBnTHhWiRDYRHDk', TO_DATE('17-06-1907', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'zPMvUdTMGZMqBHiETtwfnIFaJKxamMcTVKFsItLQLvePLWEVlueaySFcWlAbvKKLg',
      'lZvIATXdGOEHYYWraGRToHdpAyiIphxUIdvJlbGHiAUJStAKfzRxsMjjUAhcGUQSyNftoCMjwTggaGwCvCEYLCK',
      'UNegqRPFGNVToRrfdHyqRNdjYsHQWfGsicbDokbgYhccAMdzzNoZgqlPHXlTfdHBcgniDtLoNCdQ',
      'LAMSk', TO_DATE('30-07-1904', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'UExIQTPbjYVqVpechmkMgmgVqqCAJy',
      'YjAdzTVpyXNqhdmolyREp', 'rkaYJNWCObEYDhfYBDhneYVqqlHRjwUrqENuqIYzUSGynGLmTHiLhCyKYBydWSidJXOhaKkonUtKqkTMpYpaIVOdsgSxomTQcUW',
      'hGxwmepazHnHZCzqZrpWIWXPKsAWhRFQeMQoEmXIBcr', TO_DATE('22-10-2045', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'JIyyq', 'AujTwUoeomZePkRcbXYDgZReoWGAvEEtVLwrBCvPvKFVIeFwcpFONpNQhobVfjXcvynDbHi',
      'TALwWzRWTyBIvTgGXGtpFowxIXVZAFTBQtTwuaEHkDFqGUtlsDyxfvxYQKkQSDGaJpMQTOJGuNpzzjnwUuQQQpKvgEHf',
      'MgKOFxKDRPgSqiYKCPfbWvJZBNnDXOopuhhKMYXozJHyTGqfrSCQpayNWyBzqXtSZvvqsQDYNnPiEvdIPiVxriNXICQfpeX',
      TO_DATE('04-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'uOfflJGwQMNEQAikAkPqdeqOjgvoiShwGxHPxGOGwSLhghvqsdusJWzPcsu',
      'FXQGwXSnjzVCApqgfRh', 'tThjnfaOxvAnbofkSsrJQJAASJeKyPZmzslAzTwWCXMm', 'JJxJcKWveEyJxZTZBVLFqQbtaowFIJHGTpgCrYWJywbAPLhXAspNzkQYTlFQHxTBdUBaQyYgkMioRqSDBsNouZLdAjrOmdHECO',
      TO_DATE('24-05-2087', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_POLITIQUES_SEGURETAT (
      ID_POLITICA, NOM_POLITICA, DESC_POLITICA_CAT, DESC_POLITICA_CAST, DESC_POLITICA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_POLITIQUES_SEGURETAT_SEQ.NextVal, 'yezMuzjmNIoIQWElQvGDzDBfechIiOpSSrjmDYSJSxfvtqbfXznJiKDJapwwDaGBJTWenNQPqKihmdUNUIQdfQYTilEYlmjEEOy',
      'QgbFCGFBvIqQFPUAPvXmlnkttQOKKybKwDZkncAcvUIsyzNQQluaSxeXfuDMSyTTiAzEguzvWsqKc',
      'PvsTiLDyLYZfSeVCwYZDnCZgZI', 'BJZtwvunAy', TO_DATE('06-03-2034', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

END;
/

COMMIT;
/



