/************************************************************
** Table: GVM_ADM.GVM_DEPARTAMENT
** Number of Records: 100
************************************************************/

DECLARE
  v_FKUSUARIALTA GVM_USUARIS.FK_USUARI_ALTA%TYPE;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
    SELECT FK_USUARI_ALTA
      INTO v_FKUSUARIALTA
    FROM (
      SELECT FK_USUARI_ALTA
      FROM GVM_ADM.GVM_USUARIS SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT FK_USUARI_ALTA
        INTO v_FKUSUARIALTA
      FROM (
        SELECT FK_USUARI_ALTA
        FROM GVM_ADM.GVM_USUARIS
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_USUARIS;

BEGIN
  -- Generate Random Data
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'XwqfWobPfGfYhnNpVPFoKzQrvgWeAZvRHlHFybDsXtFli',
      'SCFztQPVrtZpLEEAVuTylmDvxcrapaoVOgyrgUoQDRbTWjWxwu', 'spGhiJq', 'aONTuAvtWoWptAMDpwgjwlkNcDyDkyWyrkDuIIyj',
      TO_DATE('29-06-1945', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'eOaq', 'UoEZDyCIBBOaYJsoawVfMWxvPTTVKILmvftONIQazwGIBafduckHOkcnYQlX',
      'MhLmTEvYUzhusyWWbEMVSlMhcWJigsPiiGHskoJIWlgMAENSVjKXogcgpShnkyVDkgoezeMMXBKrlbe',
      'TkeVcapwHlZFzYauLSgaJGaLOSDjLvAvqtlqeZE', TO_DATE('05-01-2011', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'YTD', 'LHRfWmlrgnxwhItxoVGOjbioYETIuMdxMAbdfpREfnnJmWEJ',
      'hqGetjxGOJVJBZSpgwYmicaDgGPPLgTbjvjHITrJzaMPdsvEAgFwxKVvBBFXBlNOkajdfKLrmMFBbiTJhKaJiPBlYNQZynMIeLN',
      'svsoZDjCUTGymdpdWjGWMXAOtNnrIbhjSQMSZheyPkfvwCZhaTwZZXbAAU', TO_DATE('17-12-1980', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'YLdiMqInV', 'Cn', 'vtegzNMdAZaKvTScPZHxsJlXaENQFkSnEfDAYNTezaCOJZlzBEzmIVmYpHsLDIExJUxJp',
      'ySiBMZJuIWvVJNOsFdJPFTDKbqFDDwupiOaguQmmFCgtTApgtiNJlCeo', TO_DATE('13-12-2090', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'mBOFGIwucHVGMdUaxAAqNQeSNIpNkCAAr', 'lTFfGhTxNkTGNvIpFTSQeKpeSSCropRbeCQFBRHbfzlryrkvJjEamCKzusa',
      'veaEvAVqiMnoqfV', 'EekMJRJaYOYAfzrrWHerpYadbyqayLvsWORJkyDJrSIFXavcAMbmkGsnDMRwdCjSailkEbPXgveGAtfPKoQgEMVqAQYcDIYjke',
      TO_DATE('30-10-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'lTxJWjRxsRqyfPsSXQii', 'sIznYiVvrvrbYEUBJAWnozAU',
      'ZJeSaIUBRgutiLijOstiyxMxBpogoRfXMDQnkVbyBhmIptiGfFVBGJfvy', 'LFqfGhhiqFznVbCXYAgsRiVyatbkESoSqiDAJwxEmzAymBscYzoJteKDfLvTdBOcKgzZffPktdiXOexnbvLYllLuD',
      TO_DATE('12-10-1958', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'qufFGESaKoIiJRcHscvavknuhyLKsuKDgaVkXORwaKoXTaaZQmLOybwyFtPCkzZJhIyLiqtjQCv',
      'KUotLLDeuSMZNvUhmzzjjr', 'ewYVHJdydKsJLajRZvGMHcPWpTrpKIGEfswTJRbUPrDJQRJpFvxbTmdRVMZOM',
      'xxUhbiOSniD', TO_DATE('06-06-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'IQkSGZRXsGcyJJOwKiAELyFjKEEDGWMpLUAtP',
      'KdwwP', 'sAnytkpHSKiZyVbAJLZjDglHAkZyfweSpJafv', 'LWBWpckFMgHTaSREKKJfgVOtPePWtgqIllVsJWQauLKxlviXGvaGOKHYEbPNgFFjVvQZoOATZXKAgVGTFnJYUxlJRoP',
      TO_DATE('29-09-1940', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'LHztKaTScZWEeXGvkSukUFivyUYIcgBLpFWm',
      'dbXoFWafssUdKd', 'qedgZqEiTGRNgstLJzUMWbzlqeXCbhLIMchMESPSbXsxBwXICWrTdOdlkADMzyRsqjcenoDX',
      'NNwqWu', TO_DATE('10-10-1999', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'cbvgnwCqccuVsIDVCBVSfdAKZTyoHdFxaByVeItdKRtDSJswuyGNpQMyFnvFEcNjoRmERKYQCIryLbjXAINq',
      'uTDuBwfiyNXUrCIGCiCWlUkkrthUcyPKmWSqIqNtplZQdQovRbeJnhCcdrvdUMbnvWKGROeZJqhPyRZWYDOHPzkTFmnmwd',
      'EtJFptPLdFalnGJUEjI', 'oCqfnwEyYIuQfKiyKFISubFSKOYMDcjYPjvIsBxDAyMIjZSbqsqtNxFvfrJVKDsuxJGtmXpXjRXeXgTOSXDVCtZMsXwgOkX',
      TO_DATE('31-05-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'XMnURvdypOWBQoXsbmWrsoIDBfTLUisVLefEHTyKCEQKZxRQhaPVZTp',
      'OoKBgxhwGjtpgSaUZMTITyyRooepEyspsvNBXmiYbETMq', 'aGPMphKWWDQBDrGCZhAwzLhlFjHsgGiwASTicsVILIlDq',
      'KqjHvGdfAfmdLRkFQVVKiLihdVEFioFUcFmKyUgHfKIWyvpcROJQRVIXtLJvVrbnodWuGYCVX',
      TO_DATE('28-09-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'agTMxNtvbyXcUQhRoMbXSccwBKZLFTIdcSKMweqWpXaFrxEMMrcPpEbr',
      'XWwHk', 'UNAapfzJgJrkDNSGgMuJVndLJE', 'medouQzmbIelysFcBsfjPwSCbGmFVEJwgJrAeoZGgnuhBBgxyTzuEclRknddY',
      TO_DATE('15-05-2036', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'ZuvyUTnVFknjsNxIDogaEBxlxDEdumaiKQPtghoreKjq',
      'oExCdjeWdDNGRMyfFHyXjWteILkGaAqtuwLSiVcdHanxccQXrBeTXkSgtaAVpbmhFNeTGBaMsFfotmHja',
      'rFoRcoTqJ', 'DJluzURuAmohrC', TO_DATE('02-10-2024', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'nRKqWEMjPqohmQumWqDnVCNCmMFvnHnBFZTPoYNsGGcMdeqrKqWUnLeBeFZlcyFpFRVimB',
      'pmFQTwNVTWEoXVjCPbAPIRHXxTfvJfFCZnxgiMdUTNAKyYedzbbYXsytt', 'JmaYXnfscFVF',
      'kBIbmsvNTNiXKnQxrxnigGrkuyDhTSLYvoNzDlQHgnwXCmVPCuDzOoEpclqUDrq', TO_DATE('30-11-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'zR', 'QdMZNAxeBNcKDPAMgHACYQWvkxEeEwayfpadQsdKNYTNWeDbropEMdFMHrmBsPKADfHZEbPHcNbnhgOidvi',
      'pdroFotkhJMHczfHXGaNqxnvtxXZPB', 'XnzvseMKLaULzgUpdbNKgwyktVALSLOoVPsUXpvEOSaiBbZEPgPiWCngFEtRUQTmJPcVZXQTFwHndyilgEUS',
      TO_DATE('13-03-1946', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'rnschTodHPPLnrgQYDtJQHpfBPPwAGdbhRZaKEFUImkDgSiXxgGOHuMUTOLReWvlWF',
      'ephmTxZwYgdhYgcv', 'FMktXlITRWlYsfkyKkgtrXyuBNCzEkMsp', 'PexavsfaSyV', TO_DATE('29-11-1987', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'CrNTNzfbtVFtiFKJDcaprExpYbGHaDBviQNmJsUnKwrDhprJBKyCdrekplBdMxTCUK',
      'OvLpVHUUaReernkWkDSPdQEMioCzPgezGCvjGzCDsgUtaVARnDHxIFaHDfoTwRBLfYzjydWQEUQRjvFh',
      'bQxvvJWSYcVgdsrmbNfzgOQKeuUfDjsMkITjPNbmJdQTyiM', 'BkZEEXYbKPWsMKiXZrUDKvRCHnCww',
      TO_DATE('24-02-2034', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'XnAQIBgDsubzoxRPSBzbVLKojcheISVFgHYIalzD',
      'ucabMuOIoPyCEKMiNoqHovZyEjZILor', 'UQDvtbtBvBzOtZdsxTyqEjTzdjIfQaazjbGX', 'qfZelfnhOvdQBycVEKtvpAzytM',
      TO_DATE('16-06-1952', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'JTZXSsSdGDFWWuRlPOxLBzExAwTTffCiLvQFglxVDrkSjvdxNAnSbYdtNSBuAmmqRZ',
      'iUfLPmcBIoKgKVuzjURinsXcyUETftTILEZPTBfhrhoDcAuLzinXIGJLuEcKRsKRBtgIeVWSGuMKwTVduwAdrXPligyrANmU',
      'uVvHHFtMqhKCHxqhFVtdXmgCbVPvAkGfwpBzXqVfFfUhsjGxtfCnt', 'jioFgDAhWOMPMgNZJzznmXUGsBsrpVdmFMRcOCYtFMoqjbFRXkOmxqLFDA',
      TO_DATE('13-06-1988', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'JrqiFO', 'UdDgMcEPWyGysjxfzONuUeXieguVcPmClNkxYTSIRZrOPEHHFiH',
      'UPrFlZsJoYZFnEEPuuQXOCFhzhjZLnMpIsabAYQyWG', 'JzmhisUawNujIqthaLyBOcfCSaxAiCDPBVxEWV',
      TO_DATE('11-11-2031', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'QNxSfQQqbpePPYpSgTDIpJgzuaHylgaIKw', 'VrqhRK',
      'GhuidmDJeYCJfVSWlPUBtsCTwbdPyECtWMFkhzpEIDrxtDillewSWxNQrOoNfYVaHIqoWGEdBqxVBNJmHFxsQqqqxSilJb',
      'kKuZopDTmvNVHBjuBSpaPhiuEUPiZdxFKBfkrOxOxxhcJYkIykMeYPudKWotHBiXOMmbGZNASuuKxt',
      TO_DATE('15-09-2095', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'ymjanAQTASXvPNkwisGRdPaoouTzGcrIPYcnHMLlAYmjNvflzZOFRtneGWUWuhrNGVTSZiWwbeqhptnScIRg',
      'QuhNiCZejtsFohaQrlJGhIXYgZYAFEHeeGTJEnRwFEvuKH', 'umBmeLDAmJuAGrbNeftNtFEPxUfqsazrgbfVOWeskssssPzBseHsfOeNFiMmsbWPharSkDM',
      'RTBbHWxdIgdJGuXdKDMGH', TO_DATE('17-11-1921', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'nKafPaPMIgJLcVnddBynJfDhetKowWrXaKIz',
      'AoOuQWOmuvExwQpSpBtvvNkJizfLtKckHkTrstRjHOPiurhVSSNOOAZIVWXbwoyfGRmSIpt', 'doelJusHFynFSpOfkTGS',
      'BtqIfxFOJrHFsGSTQIgoVbORYrChrDvmFxMqANRE', TO_DATE('13-07-2091', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'vGRdJrKdQMgLrlODIREVZRpjmocFMBLtykqUcTiv',
      'XxgSQFlSQO', 'WcCDZnoSuBuGwdQKNWkHcQUfaJHMxgvYMOAAjUDGXXCzEvwguowOguOMDSJZvGM',
      'oSHIGOGRKBMPXxAxbDIdvAfHJrxqiRPQrerGsFntnkGMUstIMMSVToingSpu', TO_DATE('13-04-2094', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'eshHSJKfhfjGMRkDGQbIibInkgpXQniLZMZXCTSjgeVE',
      'qmaiyWcLkbFkIztlfhsIAYpWaQVgHNUzJcRnvNIIJVVWdcknDJArxPyUswwfVccewk', 'BPikGMntJTwHLMn',
      'iDSkQBNbCMLrODiPsXIFMMtAtZhsFVVmwsWThcAk', TO_DATE('03-12-1990', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'EFEYlNHOZNJzqGWHFrTfvulQhrRZCTwiReRdGRggpnBopjpcRGTupSXL',
      'lTvEboYTooaCez', 'nPcEtgSjikQEHWbeShcqoMTwzGLtsSWZVVuLPXBlXJfkFbmqfDNNeUTgVVkAoSaVLSOGnLdRpRyaKgcs',
      'ERtmJrHOdTKHpflhnCvIigYxqYqXtLrPjHepstIKdbZYVclJDYWhRhAilQqNctwQQziKuAFZeqdiSJOGcC',
      TO_DATE('24-02-1909', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'uwOrFUfhfDhgDLbaqqKEmWhHBLfLmOmwgOsXpUrmMsTizchkdlbLMcoiuBpcljQhxzYiWQDwjAvZnsX',
      'yTCHAkfPzUOp', 'oRSowYaYsUqCBQkFVqMbQmxaQVdDVYeWecxIsYVeEgUlsFMlAQdWAOeiEDBejirhoelgNvbQHViCQFJMbZMFQCMDJwZq',
      'XLdlunLSXzZZWNVoqaHZyPgSOzqVtsyDMjdZDswTsReXPkuICPXnmRaaHDHkxtxoiZtkHrsbYXqeiuImPMcysJ',
      TO_DATE('30-04-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'O', 'cpkbiLDUzWpuqFwAVvILdDIenkGFTjRYclmzEDEMsNGoYVkrxCwyPkqBSnnvDwIDfhlZKPTsaqyDsMuKvRXnNHqd',
      'aAiyzCFIobnkChTFvWqaZu', 'frLqvqbKXgiKLHAzChvwzrCvCHAdoCUHQdNJgIldJdZYYTwFjZMiqbKhwDDOMGhDXSt',
      TO_DATE('12-09-1938', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'YDoSbJTCCkWRIQXyDIQXDffnMFupRBVVISnTDmGifdduV',
      'pkqTER', 'BsTFjNJWaXZdsVWUlcJcPEGck', 'WnihrdPoAQavBoX', TO_DATE('03-04-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'jVECVPHnxJIHSBgEjJvpjgVxWRtDtciakZjTHpZAYlAzdyRvejEMYiytSXffhJxQNlUdrdu',
      'HaTLvAtnDtWsATGMikmSTlLJKIxaVqNCptRyETbZUocEmbDO', 'HmVtoeSZCIMEaEvZjBSDvLysxWDmDZOSJxKNztwdepAwxKZtrGJfYlZtNIKiSgNWvmKePhCI',
      'ozcpUjzXbVICxLKebUJMWxFQXXgsFouMjOPARlAnznSXjvqz', TO_DATE('05-06-1977', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'OOPeHrlNHJHeXStQCiGGshBNoStUDiKpxSllZcKVxoqbJbYcFBLWsrnxRZgIWydAwyFwqXYNpYVZwVKqthSZGWdyBxrpvF',
      'FAjszOsnRxVNabRkIAiKqbAULmeCSpHbkywEvDggFGzHQKcDGHVUIidFBDhOIdMCOBYNhQATUyDwQ',
      'BKrGzXnklZMbOUteQlxJAOsILShLADKMxLUZsFFqfUmWUgElfNKEAxyLLAVmJlkVaPtWwcVNxTIMaBUjWUrZwyOOIGkhryGyft',
      'ISnSh', TO_DATE('20-08-1952', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'lWzGndCLTmoHtDmVhiJKMOvsuotGHjmFlsMMCwIYkDKZtJxIgmy',
      'nZMrfUYieTtHkUeEwyZonwcDBaEtLAdJvQbJmQSWIdEyPunjwCj', 'PdVihhktxNmUgHtXAupdtwNRGFWUlyYcHAHqmSVsYQXBRAaxMXXeEjJwXlpxAqlZmfuqXmYkEzXnBfKQOgVgJfvcIaDUg',
      'bpTcjfQURSQiiDtkZqRzmQypDaFRfyaWRbfTAMfmFnDtzWPNSBmthvGKnlvbiJqzYbqyFeKKjloiEsvphaNCjbRdOxGWlFgBS',
      TO_DATE('01-12-2065', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'laHpJtvmcnunRfWPhScxmiWDYEspAHoSDPjOWNgIiIjvJhdFGmXDbxK',
      'UuCfTrLaDuZPLgcij', 'giEEmiuvMbmcqTeGWyIURquTMXWhNKUPIimSyjbDpYVXzJYqLCJQgISlJyqsSemfO',
      'GvtcDgHxb', TO_DATE('10-09-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'UqBPVoDksVHeyoDSxBcMVBCmWbmlmfUkeCfkWDwYUUewziAKqfIjHfrrb',
      'ouWOnmFVIWUspkoCDruzyFaUhdDpmIyWQoTvkhQmbVJrBgGDINebSFWUcdELOWmLrmanV', 'KMfuyxvkBcjTgtZNkUKT',
      'RKEzrbviFdnWUxVnQfJjPWuBWLKulgDdrcvbqcBEZaisWtTAbibHwTdIdoESgfXxrmVTH', TO_DATE('06-09-1966', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'fDAlZNJNzZCMLGqRmFnjmRXqMXbdGrOuZUfbqbvaGCHDaNwmaLhGpCqHttEY',
      'khVIZtXoVcfhLHgfNAcqjvJsRiLyiOkNTuBVJNDWIrMwBCsWYUf', 'EgOktvsDuSGwhkARqubdRBwxdZChGMEmVRRbiuwoXRNTrggoXkgyVNxAjrvMVlgsUDiQUPytQ',
      'GUlpVmltbuZhrdLZFTGUQKFXXsezDAYLxJjqRwmCREcBohySZFOUbjKZKSYXnOqjEBxvnBCXSlaUnaYJBhnXDYjH',
      TO_DATE('15-09-2017', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'DMYAvSjrvhAhEQwMJvuGCpTTsgjlwoFVBYzKcyaSqwQkmHWIwrtveYJajpWfuYpjkUVZVt',
      'DGmSaTvLEOFZfwdpkeAarMLhMdDVikUsyvIzlUpLFWwXUorUQBDgzNTOvQqGRZZoeLbCBdLreJLy',
      'auf', 'KBeDUIhBPTlYxbInFcKFbNHSpKI', TO_DATE('28-12-1923', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'eiqksKwCBVfoQHrODWaTSfNTcomyqocigDVHjpBonbNJXPkWrawcYMhGQOuOTErbUEpx',
      'gpUcZitToczSdlATAtkQWNSxGtQiCYoqpQUnD', 'rlsxxlLBTYJzxFPGzxAQRIcnWOnOaG', 'ySLhscrvvrrUQylnhvwrJ',
      TO_DATE('11-05-1984', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'ciYLIjntpMCjAowxWBjGIoEwYNsnKGVBHfGacPMyHrUoYHRCeNBdRvbjXAKrkLKLbAJKrouzDApAotEqvHrfEorjIZhEAujrXVh',
      'lVGpiDLjhEkxOfeXaDyUYLiSFvxpBzcSPjr', 'zVTHBxTAQWVkYybsAsPkkbcoMbzBvygtWeTySjCSafoTjWhqExtcgOuQvdOwdiRNLtgkNouCLJNCZUWjeTWXB',
      'xEnHaSUD', TO_DATE('28-08-1947', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'YEaVYppn', 'LosG', 'IdpqBcQHYIWhwJgtmpkdyFT',
      'uufbLtkHfdZTIDZQrYWuPaRQhrJziWuCVwtBIJuRRrSShE', TO_DATE('26-07-1972', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'p', 'dHpRBXrceJcCvofIFliUGguYEHQWUhMriugNgOoLrFb',
      'RCcbeMYmHiKpgixWOwXjHXCWkFKwZEWCpZZZqgbEbUSvBOUpeyZULssKniGskyflFhxekFTDdCFyVUJbFvG',
      'SiZczGLATXOvXtZuudULODDmgzzBafbHVGhTRtHevaZWAMvYLXfeVWurHpuHmGvhWmvhjbTXjiXdgAjtKGEvc',
      TO_DATE('07-10-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'UrKIikLFxbwNyAFwRdEIXBcNPTHKwZeiYNNUacZThyMsVLSQpjNxBQOxaLCPwXByF',
      'fvhYjKudSJAQVyXGHetdamPVyuFcSdCcSDxTzovMKpvEkmMrVrKTScHHbeQl', 'ggwmAOlpwKAqdJhpLjIAVXRlcnXszaOqJVOIxMlvJCgqjbjcVGWuIaqPkWWaGNGyUjEEYEPDNAFTAVHKjmBmjHef',
      'TUpljhnRmqrhLYCxjEXaSlhMVRpquMYnRSIBbwgWQHxclenWocxwepsZpzutVCDwiNWkGlHGfTKTYHzcEVZGDxfZCbyfQIP',
      TO_DATE('21-05-2066', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'blnXoeNhsRyvqvDFSXkjTcLovJZmVrrFhMoejsFGlMSWjkdXqqrfAuOoDZIXaSQZgYRSkPBpn',
      'ODx', 'bLRUeBgxCViJJFYcKwXqVjJUEXNpuHGoviiANdjSVnVvlLJazgWPByooNsFFLaWmNfYlqQuFHOeXXYrLazrcURBrKqTKOw',
      'qzlHiOmThkHWxTSEHuZc', TO_DATE('21-03-1925', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'SywgfSnZCfpMrijthcdaiQwieuXBACKnB', 'ouVNUIAdIgIbEwLpPjSkwXVAoCNaIuOViM',
      'DxneimuqLzRdwFNJvYDzsgJqFPUWRZmXYYuhTfyavTiyvrZISg', 'zyAdochtMHYJeHYLnqKFVcUVEXnWDOrZqajnwpjbHPulaoWfCFFcYuKdgHwovLXDnpptuEjWEnmGV',
      TO_DATE('11-03-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'YBGpTSMkZeXfWUmIgHOTLXxoJfETYIZaBIhIEapkIaxfRnWQBqNpZGWYKdInOJbSkIoBdJmQxWvpxLrXIqUUdAq',
      'WVrplhDGBsyMZqAPgspamNHLzPBRTyRfCSJXmCgcx', 'xVZAsyskGoQPBUdkDZaYlyEzdiMRuQRzuwAUSIYNqLsGDOsYVcoYrVHBRTyqjmajkySDjZp',
      'WCIXFpYXkwvJQhgsKMCGBJkTVQnuCVFtLOQxbEvgDtIDSKmE', TO_DATE('02-03-1972', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'QMLVUMUTlzsIqhbPxULAvsRaJqkb', 'QlFDucRjymkHXbVoDDoFNpOrLvUuGvZIwtAYUDqqjFaiMguzfGDTGekRNDiiXOqXvjiDqwaRuhxlLdoycmEs',
      'svLMHFYjyBoMWAsAcLOKxdTrWKEQplWjqWJQHKxeGAvoUApAZjsLm', 'SNuOXrjxzHzgqKwprSLakPMZeSKyphemVdExqgvRNrxNwBSAimQfafWTNgdPiOPUkhZsNIGFKRzJXcZfjM',
      TO_DATE('22-07-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'HKnWivbyFlxulDuRTocWuAPQcbGYREmNQygpMCRvHrERnTJctvCEuwpvYfZfdByworNZciVRVLHgmIiBchYGKEvMC',
      'OdYCfToCHJXZwicBDfBcpBnDwAP', 'eNAQhumJu', 'RWvaCKGbVetlFtEeqOLZwsuKxVGbnMRSgVTZppqPvGvjVkeCBlUbwIULtkOZfNRcZyzgyp',
      TO_DATE('02-09-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'AieGlnLPXykAvSmuDtPviaoCbkIhfYx', 'spOFGqNkzVPPqgbmkochdjXmwndgylRgrsgtgyqyLWIbEFXqcozAVtMsdyoyQnVlTdbhoMGrJKCdQAOWcmdWntWuJ',
      'TfhhZUXqizgdPBPSYFHYcumKHLiRMzbpkVuFDyjvkgetgbc', 'WOKzBeNzRjberzBrhAfVQIjFsCwVHyGUiHU',
      TO_DATE('17-06-1986', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'umwX', 'TtklkahqmhClOKyTROnxOtpMSObNvOXBvFLmKSIvXrezKyCtDkFvAsXehkSzZanjrSeSuLIrpZcGOEKMlD',
      'nKLfMFDcZnStieTxcTmXvfrHdRFuVQTWOCfLgLTvmVCveNooUPPNHKZ', 'KHWxwICppWA', TO_DATE('14-09-2067', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'eIDPqvKYJUnyhvTNMWRzZUBoFEQwVuHmubMYLKHPdGealAuuvPMGrZqdVYDreEiumDBjrLQZMaSgsKxzFYOjkEjlXxtdW',
      'tJdRsDaWIeraqXzCKsfqhtaJQSWRWZk', 'oFUdejRpyJPnjVJCkiXiSFunKhtvzjUXaBoyLQxPiUoLRAzxetKxRMbuyCkhskeUrwTvCDKvwEvIzshLylSYKPrxjtxRmQPqhjU',
      'dKQxfUgtbvCjxcleikaLIZvzfrfOV', TO_DATE('30-10-1901', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'AmyGsT', 'aMmtKSRPTEPntoBFkdCAJVvuYgGTjVKJbyxBcXQwxkhFQWLCkdEkzktzcpzgSwRWSTgSiYhxjCUDhRgsimSiojYzLgRwyuEg',
      'AjVMOZFLnDrCrlYpRoEZLBEUQdzvRntpTdbktLSHWpOletEsboPVVmOLeIKMNnxbuRcxoOFjZLiJt',
      'VQGgryRdJMcimGihWkErLDShdafzvtwsUFCERdZLKqpszZWsRwk', TO_DATE('21-10-2081', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'XDVHipqrmEaUwEHtkPBgGypCDgiZaYFYZmPVeyaevQYEuXJIWumpMWWiRSjxHVAWZrtlhrHCCPeaYlWndhPnUrcwHUGkBPj',
      'uvDrtzxlGMCctcKkCILnYaEfctaAgg', 'uFNBlzdBqPVTZTDcBleSnUtSbNWMfZnFKDtuGsijMFacpwxvtTCAPyfhtDoLzKWJcUKwAxZyJTcwiZWhNVdV',
      'BPFbImNshKCgSZTTtmQTAohYHiPGsDGvYkdTWyZnOVNNKkXuGWJnhhrcjBWlWNPRnralkRUTJFDmS',
      TO_DATE('22-07-2005', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'ZlkBXyzJUVkWlbzuaGyDGpojLnUYhtFPcSsbwdrtEWIvqsJEYyFkDvpdExCzegfQDZeaonbEiapZOlDztx',
      'CkXFSdDnlhvAoNYNPZejTEgeEMLDnivaCVrHQLY', 'GBfcKDrgpJByZEsaKZnOEJOtVoEpVieUyFPNLrDmuMD',
      'GNIDtcedzgGMnrJecAghaQuhMZWHSIuWFBytftzuzOPdzpYAXaZQqtbJhaQBrOkDrfMSEOqJqkiJUxLtLVjlpNQuXL',
      TO_DATE('30-09-1932', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'JIJdgCGMtsxjnOJpHNDNYKYBwEKvGTpOuJHaJzwbunJYBPKcpQZOK',
      'FdAIrqrANeiHJUSPiYOxAAnGBzKMXhvmdXmDiAUpZTWKsdtmfUowxsusCdkzjLLRvvSDYpruBUlMeoWYtBbMLDbYWZyWhKCFHtpl',
      'cNyvGHJxBWYShVzYHOzqbIpiLDortDVBgBUMgnLrpNxtHZmKsmdhSnRb', 'tsRgzPlbUogtCBCOQkyvJmXeDJmmNdgOxenRRmJRFAtLnxLaJbwhPvQjQiWdNQLDGMkdqDAJiadbMquleglBSrbJMYbiuLuLxha',
      TO_DATE('24-01-1916', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'VRsANOAWtFGXFKAkRdlnGuFA', 'qeYPerEaJynoh',
      'GMYkmwyeeWoVVJBQLmAbiRFNjnZOpsSqaxDIgYTJyJChSEG', 'hmZjHZPyFWDvLSHkRAPJyKeTCHdgQRMbxzTpDiNCOdqwlztJcZqXjwxwfaRWoREIDUHKyTtBxbiwezgV',
      TO_DATE('01-11-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'HMXDGAjdvUQcJjDNVVQKSAwSwlYJiswrBGa', 'TFcbILSmwvzttdVnVwVtLerOGdgfCMZD',
      'JobuKCIMZQRmlqZhwQJBjVpNJMGyjdFlacL', 'BJEEZyfHYXHbNFOWaTaOgDRuCXZ', TO_DATE('05-01-2010', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'EotTBQXQwNNpLODRmwplmMWvuwUB', 'nZvNTQSUWF',
      'IPjxoqTP', 'TzLGJiWUkXNAquJtokkvsUfJcYlamBVFxNSLhULnwrZjTTLYjMisTuOmuAFEiFmtBketCtjVmplcIZpYPsvkoqnqBBjWAg',
      TO_DATE('24-04-2065', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'gZCiGTqDjzGxFewjMPmAnxZwyrQWKKQTHKNMtixMgwMJRfSGkxoXVSrIPwwcDRsMmUpglruqOiQCGd',
      'ufFPxGiywOGJnJJVFJnPeeghHblzLFJlAOCTpKDtktLsKTrOZvQvtgxSsiNFMTFHxHBdmZxJeUDkMzedsJ',
      'PcRXKrPznt', 'JhZsysxBjMBRgcXPolsgCxFLGcjtKgjStTqMFEbVLbzDxBlsYZKQfTPqjArbsFXTqHatGyq',
      TO_DATE('03-02-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'txrxWEaCMKXadgNSHFAOZffcAqePfaxhyCXiiVfJsYLyGeIbhkpxBVUKHqDCEzPPzZTFINjtCjAIunifzqNJurEQPgVzA',
      'eaYcJAfacrPHFiSkfAFZAuJFQawvBcIDPIfoYKfgHqmTCZLUZgeeHgvbIXR', 'KDLIisuSZZMGIMxXrrERtldFbf',
      'RNuEqlmAqfhAZkOYiycHWSQIqRWKtzi', TO_DATE('02-02-2086', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'DNqvvksIDEVXcwaEIxacBekOrJZqFGRXfGMCqLsazKGqKliybGW',
      'oOPzddhQZupWEdNE', 'feRSkflhKDibZsnqAqwgiqnJhYkFDmrDyvnjmQouEqtWvGdp', 'wPtxZiCWVRkQarhRAPqzpSwhpwIc',
      TO_DATE('06-05-2036', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'gSBlXwUfWulsXvhbfmbxNyouYJhYmAcdXair',
      'pmGuVLHjspZzWQuGmcdwWSfrOTSCVAWksZDxmTwFFOiXuK', 'ZenmJtgPUMmTFptCTaPkhaXmDhLqSKPIpc',
      'KxMtMYqBPPPokhJTQoWbQNByzVS', TO_DATE('08-05-2096', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'UXfsapJEwKDRuOANZCvR', 'EbnMmfshNuupuSmGpfWKIEBYXVrGerdtfJagXnqCXvbaI',
      'LL', 'LTCujXAikABzRaQgAUdbxsYpodqoNgegaXjGsLxobQdYAsJrzCPcCNgNYmdUsaFPcFakwlxEEJidX',
      TO_DATE('27-04-1978', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'tVKXMIOdnRSRNOmBjqcuTyXsxBNdsRuuPIQcenYvfPcJKNxFojmMHEcYhKKxuibCuNCp',
      'btIrrMOFKsECwJaObRVrOJYrseSHvjmpKCkLuqNZPUPTsIFgMURyFPBmbkvrQHSwrKbpoGkyNXi',
      'FrbFpWmkMjB', 'QuedPYZQwyyRstKbwkKSuoMsn', TO_DATE('25-09-1992', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'mnMGcHOkXSRkVmXCvNHANRpqZbXZQViozAVOCrGWQARLhMdaOlUAlu',
      'kDyZVCnNEJxqrwNXLTtwmUsLXmirbtr', 'QXH', 'jfrmzeDfKsZaBgcta', TO_DATE('26-08-2040', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'nFWtdNrsoqEBpFpOyIQYukIvZfFPWrl', 'qqCEkCuMghHiTAoIEkDOQuteIgXXPBKNZlvYl',
      'PZlieEEFMuDFWxUUMZnzazuTNHocgdPySRGaWczyBlMiHReAfMNaG', 'JlWccjvlgsECau', TO_DATE('24-12-2062', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'MeNWLNhzOLqidbKLrFRXjdYDCQnzOjovPQnpjbjhmyPhpCeaOwEmXwVxkmkmvlsWKUmyzZnaQegkCzxmvTL',
      'XGwqZTLyrbHULLOesOysnINWPotXQwwtHgVPaJqwAglTeGrnXSyqEqCSbqthyUafIhPhcwEjuMvimRXi',
      'vLCvCgvzmTBmFqscCvQxuUmhZwMmoMXFmiCKZQNVabaCaFgYgmTzUdaQLvFFINNawRRwusEVJIsQKvEM',
      'KLwDlxtUjKnREwYyDnBzccpSudZaxTeaHR', TO_DATE('19-09-1903', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'IPUfEPwPKaNJRAdffxjGapfrNUHwJQccLqfOwPOHgTDd',
      'jVTdfBQlkxLnxpvBwRfBipwitGmPvTCNjkipjlOzZsXslNQnNQSxvkGhPtIGNwVlMeakWmRMfdNPu',
      'vzlzHdytplLZnA', 'OFuYtPBlWRMCnQKqmnYcmmDoBzMSHWWS', TO_DATE('03-10-1948', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'fsJxixtorlELrIPTfDPtSQIactirbFyXspqbkWdwwNwMTYEIjLaTrdttvanuzazdEfvhdVpjWHSzcIDtSqaLBYJQEzaRSSu',
      'nteYXGHngjRlbVjPouprsMxXpMwWzIOSGzUaLousuhZfWXoSWMPyluVCRhnPSbmYBercalFMBYrMW',
      'RbChzKkqWqxFWDubmGtbPPfWDxpFykHhMIobO', 'snXndfTUgvYDoQjpzAcoNaDasDstWBQZioMKyvJSCqbPjyuSaRcyZsyEMvaiePuFxpGpYoAOnRHiGXPBIvdTRSbKDzW',
      TO_DATE('30-03-2099', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'kyBRxznOxkuTdnvQsknEcdYDVAvbbKpVOGkjBHYoQFipkyncpyzXGxbFayGygjOTdzs',
      'oczHDfeafmAAsHRuCFFpOYRZYGZKHHyUdLMprpbrYjLxKHkciBlNMDeBLeTAHMRcxYwTJu', 'glTQ',
      'vkSyjcdggauMNDdyGaEHjgTGeuUSMAYklxXXvCeVLljzAeBIAexwJDJRniSVOGGaMrCqXtDPDsDCGBFoDDNPQsxwJBTBdxffz',
      TO_DATE('02-12-2099', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'ewiQ', 'UpOnWjFifENTPWOpfWnjUgpvEQwTHPSEdjJA',
      'JgjNGBOwiSjMUlQWlxQhNeZdNXAJGSkOHkTmmUswHxAUNzgylUcxInVtYyIDvHoyZCQCa', 'ghMmBmpxySOqqTCiSewSOCMeLOEXQDCkevirTxCeDdubYshCcGUltkBvRxYCSJKGomUFqjGRnrqSnpnZUdIMDpUEZWIncwsZfr',
      TO_DATE('06-12-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'vQMPAPWNvTqQvuoVvnphciCHOcmeYvEHXLRWGbERUvzthkPeFFGGgDOuNcxuyCoarfrKvXAzoo',
      'wemsueAPqXlLerqCtUmFqFUXADRkCdtNAiyQPJZNvUoOKEtoPXtVJWwAnHQkiYMFVRYQRszAVTDsdYgOhEoHkUtfSNTvdL',
      'uTSTDlRbfiPa', 'UMdYhGItyyiuCxOIgWasWMbwmoaSTWBaXmyCPZVpTmUOCIpLiicJDrpnpgxSOdhYwSEjMbOMgbyZIcitTrf',
      TO_DATE('20-07-1971', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'yBdKhWcEbBMyesyIPgjYBwterPw', 'yjpXgTkQhSvLYUVEMJRTjjLTLJJwOSXQfbueLCUKmfwEqdQNixWnjcZcGFAVEvHQCChcGAlggiatPkwK',
      'AIfLGnHumTUoYdTYgGeGYJrJDXamOpuXIuTBNeUyzxOGcfomvhhlhtdvzlWdFpfcasooQtfBYRICOsgaFBQfayivkkaAxm',
      'HYXlwrLvqqteSaUFTpXyiFdTiXYrGBFJloAeDBLkopipJhngQzqbtKUkQIapktiQTWucvNRiBkHfzGXoFPDWMcucGCKeaRaNn',
      TO_DATE('29-12-1987', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'FhEAaDHIOtzkVTOcVANouVgsrpIYXmPEHjBCpIowefQVBwimlXgtQoVaW',
      'vlSdyJHjBXOGgliDhUkbDtGRDsfZGwYNarTjJGkWIULLgW', 'XYwuIvdqFxUSWCKHbCZxbgLSJDlZcqzxrRMoViWNJfcwZmZvPloeZLiKPaUsQPcHrEhGyrabCVUedRTbGOjoVNHXNTljFfxvd',
      'soxmKybEJLbZLPJDiQvwOSrFoSqvnDJmqaQLdkkmAOOIRJBIRCKXdR', TO_DATE('19-03-2062', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'ksGVhHDg', 'NImTBWcoqIhpRzmXXzlnZkWFAuTrIkzmyKgMTlZKpvGaZpGEDXTtxToCWPSLwKIpRoWajXyid',
      'vrogblVdQTeDgQWdcaLGgspYFUNzYfBqYYxGfLaXvufVCMgcybG', 'NIGRvbSDGdicAdtmiUIxiXrcZmXaAfukXottgVkFAUKRYITBOnyDnvHdDHyF',
      TO_DATE('20-08-2011', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'qFoKlXs', 'aedKbzZoGWAkJjoLvnxlvVNvNHzCAVFssuUeegQPjpTTCuntDQmJJdDMlBOykRtuwVbKeU',
      'pwLwexlCWWQlqCCPTqZUUiEKzFNZDFLsuohlzplAaTWBbQs', 'ZwiImrQNCQsUUHquridmkYJpaMkpgPFbgmcTNxDyTpijjHRNMFmeMQHpMOSsGRVVSCSh',
      TO_DATE('10-09-2062', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'oKr', 'g', 'ZrSpCnHJYgrdExyVTvdfGxlbUHOBQOWclzEflSCeIpGKTCOPQlIiqlLRnTySnGvt',
      'VJJYkJKuVOhSPSvRs', TO_DATE('07-07-1900', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'oYQAspjySRsPAietFtoOppCekBvrsUQJrxFfuxfKDDNAqwKxkmyWtiBln',
      'AweypDnMOoraONKhjYBEkzfXrscCXHXSkwvBECmLRclASyncpwhtGREicVtbzRw', 'JxisUovECkwNmRURVlrVFrXdCuGOXegCOdlJksgovkJafHXmUduziiBuAjeyBHPDGyiQhCzgZVsTKxythrcXVUzWOH',
      'IvKPqngkrYEmwXHndEACIZBenySDhApeXpIconT', TO_DATE('05-09-2091', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'zZFqwKhaXbIHhMoDctZDdhKdVrOLtGwZAafaudFDsexcusZOgbQezbZRfYWBdhOgtWWaroRYTbndrtNJlFVndRzrv',
      'bqEJdnfBXiozVLuPHEwLmYPGpFPiModpAsFpYQeJcbcrvgBG', 'LEnzC', 'bhbAgKfthssSgMzmlDiYjBednUEBtgZPBfkEsPxksBjILhuap',
      TO_DATE('11-07-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'QqNMhXbDvJXZVSrrngusqThcKESjEbGHGEGcgjJmMRqJDCmKYjjyYzhMRGYYcAxncYvltMFbYAmIPFOEokMiQTiJ',
      'TGbWzIGabBLztGgKmmtDcuEfcfuHLoTgTAOsAMgAYyXsYMZnVsBBbZEiKhn', 'YROwJcxlRGHvMUqMahSaKa',
      'JkUWobmxgPSfXgy', TO_DATE('15-07-1947', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'kWvfgmHVYcciCRpbLAQpZMBxnPHycQQYSkyDexijR',
      'sweOPIPlSXGVz', 'NapEBRyfLGOZoQsPiEFnsricA', 'OFtZgoLinziMWWkmclTkvOsbeazKGaPGQmfoXEubQ',
      TO_DATE('03-03-2090', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'tjcOjDSJscafAlfcKRnWcEJbXsPAdvFgDN', 'XVvGaExBJkCahgWZpepUwjaZHoDVBcGj',
      'PADUnzSlRsPsirHWd', 'BizJmtzWnaYhGvqtHqCZNGkHcamZELeCjtzYjNqxMLkVxRNqiyGlDlQEQYYbsgqwwJWD',
      TO_DATE('04-05-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'SLs', 'LyermwEnMWZqwdippUDEuBYiCQZWyJUtbFvyhUenFKyyHQKgkWDleOCENluCbrTtefvoQlfubZDrqzObtuMXplxVgPIlthJOFuFf',
      'iWQMjAEUOMFdrUhiNEqAnettciXexuvSAZUBOgCppkrVGpgXuVff', 'QNZyfbBHQogzsKrUjtnQFgUxdOZYs',
      TO_DATE('16-04-1958', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'SSUN', 'xhzluXaQjjNExbvZsTlvelJiDgDGFsXIcsDyTDMIVRTucPVKPIHhFIvKJiVKDbSGlZSCjZUyfKQKNHtjdXggdlxNTmO',
      'OopTiWGgKMeOokWJuQWIDK', 'VUwxsZNPPQjEVPiTQOrbCFpLbXaIlTvfwfPRUsHtrRsxjWTVgKgeQBOGGmXKDEIghHYAFFI',
      TO_DATE('21-07-1970', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'xaNlYViPTRhOuDaBCkooVrw', 'JYlihYVHKYXUqPtHQYUvNFdbqdTXPBNMFxyKvKnFbBxRjNyyneqgKdRFtmOHGNEspeyYlKimXnBBCeJmYq',
      'fbAxQUWtgONcKHzmtZcCUaKBFChvEWczvsNUyfZuQWwsLtfhsPtGGEolHDzaLFWTGgqpETtLsonqfXfGoAFGqKqQhqRI',
      'svxF', TO_DATE('23-02-2023', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'ODMbkdLLgoWwbMCaDtlnpRMtVxQzrkwOfLcgurJESpwUfSkUvcyLddDMtHPetXcZDSgiqxUlVpDKcZpmCvDSwwVDOKx',
      'qQFnwCHYokLiAKGdXycwOFcIhcieyyKS', 'GDjwrtQ', 'mXsfRlnPSRrSavHRdJKhkZazhkGhCeyACyjsFNbvRFgePGPOnRgPfQMgTWDkCmcMn',
      TO_DATE('06-11-1999', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'xbkIDsKajpEavGvYbiYDTaiZXpGDcrSBUNqKlMFpdgDiAOmeuVKWOg',
      'tWHYUHKLoUIznnqUAOMvHmNdyHYNyesBDdDhkZ', 'JiRsjSmdQcTXMSnzhaeYGEwMsiGJPPXznJutrBwHQEjmahhYrfsqMBTPfEAxOhMQmZQwUALWYYrcZoeheuYohUBCPDtD',
      'loWaEhQeDMoHyrFbXIyMgfYRbpap', TO_DATE('27-07-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'eitSTDJWaOUbZboQAmoTW', 'hTFJjBQhVPPfMmWk',
      'elAJeNutFSkbNdVCNBCgMFtgUzhxWGAvXZLanGfDkNfOLAWyVdNlyQshrPJAQrqoCajAEbZpuPWHlpayB',
      'GiDmJCQTRkacdejRHVVnwfqTC', TO_DATE('08-05-2009', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'ANWFXVMnBsvdlocboQpaPrEchkEoiYTQhUmkclJAuGsfcMeHA',
      'LyCmDhkppccHQFTCCRwVkCxoBmpj', 'KsjTKgHix', 'LyuurOBYkLKFLAOjuTzZyivio', TO_DATE('12-06-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'kzCMartnmEZupDZRMLqeVHrJsFIKHAXKKgCAaVMufhaBsnuWMWRavaFEaltcdMlYkHqkyNdyEVkezhJNKzPnwBMk',
      'mXdqyGZUbWeDMQbiNyIpYpxUQs', 'YgiVKVmGwKWGohPJqLUCSTFUgduGZgGPOUfQgoagCKBxhAYfHBMgFnVnHeBaRHWZNfIXTfHAWINXhanwIDipdpcTNUvmtldpPsO',
      'nlDwfnAlSFWFmTWnyktwBlyazTAUpuPvqHkEgkwQBrBTUFmibzyoFIJKoEhsCFyIIIBFpsWQ', TO_DATE('17-11-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'zbklmDRmfOUmMBSlJMdoRRGBGhcLgNQtSyPDhpvXXVRuUeJADXSZDxOlRAPYhS',
      'QlygiIMvcdTzDhrlctYxzTolhdZxpwuValtFAr', 'DcqeVtQkNaMwHmfmysUytusvCbFnEuRsLLVLUtmbQvxerYTlPdllXw',
      'dMfMfiriLcOQjAVWTOmdjSRmdVaWsfqgNeMharauQcuQoYmUhPiya', TO_DATE('06-07-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'TmqCuVhgiytEhdINFpIgnjaWzaJXtzDNVbzljQooIycBNhqmtlyhfExffud',
      'ihZiJldcWLGkYXKBKZBNJAVWyegWDETtmLWDoyriyDXEhSrHfnSKULGrisAzHMBrTVtG', 'EaredGCBxhQuYOYCH',
      'VQuhZFmshzvK', TO_DATE('21-08-1919', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'McXFuLtUkJvtNGUgRfPaMaCGq', 'gEShiTtrYBXDjIRhfQbLvYlECHgLhgPQAJOATymuLJwGOSXelH',
      'wi', 'TbWVwBZUlECJowwUhgSWbBeGXbNwuvXtYGBvxfUTTpNAVpmmwDl', TO_DATE('07-11-1993', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'PXtoRzLMVPoyXsuKybojTHawfxC', 'PksvYysESTlRgdDYVQZVfkaqhhLLsDLXFqEROHlDmq',
      'toOKOvOsKjQJaNrRDlpNKRPEBzpDYOtMTqAZwtvthQSmIWUEpGmqseSRnelLeiTDoAUxzDMjJgIAiWfnjSq',
      'cfoUVVykDlrKkREJGizvFcsnlHjoYfQmvwkmWBFGpuJFHdIUQCHs', TO_DATE('15-05-2012', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'HsuapOKXaiAycwBtPWHMFaOxZrvWhjZAkuSSYTnRbIWXtVYDdFiZvBXqQYJbsiUourDghgc',
      'BzFyAtDhqGQQVRygYbBhBbZAeeQGbrglnCBXKciYaGtFBeJ', 'DCTuUnDgzPK', 'EwuBovMerggoOcZLvvgCDR',
      TO_DATE('19-01-1949', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'zhGssuJEzqXBVBqNafLoLguLjpyBeiOYwkshvc',
      'PnQyPKlttiBdJaHOLdkUIDWlwuKBpJfaMGYkTPereJnxAfbmXAfUbGnrEUTybwUvPNIOfqONXGceUImxUzigxMkoWWyRxlbEaG',
      'IeNVRayDoNfwcBiGBGPjDSyygOIkUNhp', 'iqCZxxTrFVyKSTesMvFdpjuLeDAoTLRpNHYKqpGgSqKGSRmqsyibJJtvMLvRbZibXPYxPDqLeQQD',
      TO_DATE('24-09-1979', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'SVrUtLLLOOMGhwRZJBcKWnvQmDDHboUzYkYKpdYMFltyeYbOXwDgCkHWrUsKNOiqJUQ',
      'lpdYYNYAfSIyAildvvLxnMCnJlcsJzuNYYbKdrgQKRkxzXwhjvuXBvwtcMVyT', 'iDCknKCaQApPiRDQriCyUOcO',
      'jXJCnYdIRDNpRPHppHeJgYhDcRWouZKjMbNyiNgwV', TO_DATE('27-07-1990', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'PHXMkMmsoAEuxkamLWkdjqNByadcDQuNuULMcYASHjfqpHNOxEAKHnZiDtwxOigdMlgQICZHGMZKR',
      'iaBUUiBMLtLehCnOsHnhzuEdauzEFZYDEp', 'axoKlSpdLUGOtDAoBVQqjmegMuwcONwpLFsQKcLvEIWqrzvwWmFAzzFTIFqbYxMJVdjmkfabVDYoYbnbZIaI',
      'BaIYOZ', TO_DATE('27-11-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'HOzLqcLNUnUExrJSWGoCyJlDfBYfDRVgYURfBDZVFgyMPYkeRIcvzLXdKSEqJarSQhOXyEugVCEmselduxhND',
      'kVMsCwNoTglcMUUuGvsJjYSUrJrEKxSqikvQkwbSwHFzIgVshYJRTCANuCxDZAnjHqugXrPzNRFgFYGAOIYNQXrJJIPvhB',
      'OmFcHNjebYuejOCbjWcSKfMbGsjFsTQAgnndsttStdYIHuSXutcfwUjwCRoKAuLDLVSmqRFyUVfnbkljUWuhinjbPYBzkyBLc',
      'obTlXEdyybdXCJPUoiiuoFznRMZDacAPBfjFKxRAZbtVOiuIxXDAcjQFNhtMrfTRayyoDxpBIhdDwjxfko',
      TO_DATE('01-08-2059', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'rNwFbgLxwAokUqoCBqwgKHrglRJsbqgnlnIUxQRckXrOsCznXzULFMr',
      'VoRCEbwiumTMQhUffazcDuGgzymGurbmTYtYVIQRiEBhufoYmcdYbPtboiyognKkHTnoZaheWPaXR',
      'yztWDkrKYfEyeBwhUajCWhWBfsCMyBVKaOckQXElxAbyHnDQSDoVXlhFqujoZVJeOTmLnHXbqxtVBeOgwMJRSJpxuvJwTBYOKso',
      'pQIGglwoPBsIPbwIDWBocJkyYkQAHImpysgKfLUDqK', TO_DATE('03-12-2084', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'tAAYngtkkXEnWlSVNlXhWhMEiKNJlVgyAwTbLtOtUXCqVYbwZanirajPPzVNJHdDWivsUgYDRQuEe',
      'uOjAfdDhrIfPTWYcEMExdnVsjUgWzobCwdUszPxJX', 'lHPvEllHvIhakNFZAoQTrObqzpebLxDOGBDMxPVmQbVwBYmbhhwMXrbFLRCAZSFCaVZ',
      'nArmyRZnHLsqhsbyIGZVSIQapSG', TO_DATE('31-05-2012', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_DEPARTAMENT (
      ID_DEPARTAMENT, NOM_DEPARTAMENT, DESC_DEPARTAMENT_CAT, DESC_DEPARTAMENT_CAST,
      DESC_DEPARTAMENT_ANG, DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      GVM_ADM.GVM_DEPARTAMENT_SEQ.NextVal, 'YbCMrxUIaNLlyTpPAwBXfLvRdvY', 'wjfKsejdcZgsIpuehIfFCsRbucJSzqdQNLvNBkmHZkLWQBLLbjFZZCGg',
      'AZXABifTpaoxeTBDlmgeXaXNajPqzkcQXrPDNyQmfhzevdPGEglTRHJlPCjygINASkLMomHuZJiexjPrfNrWisvroozHNycBuibw',
      'KPSazgUKxipIrELaKRxukcfhcoXgIptwAXqpNDZMCYXIOoqzBugMU', TO_DATE('29-06-2087', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

END;
/

COMMIT;
/



