/************************************************************
** Table: GVM_ADM.GVM_AUDITORIA
** Number of Records: 100
************************************************************/

DECLARE
  v_FKUSUARIALTA GVM_USUARIS.FK_USUARI_ALTA%TYPE;

  PROCEDURE PRC_GVM_ADM_GVM_USUARIS IS
  BEGIN
    SELECT FK_USUARI_ALTA
      INTO v_FKUSUARIALTA
    FROM (
      SELECT FK_USUARI_ALTA
      FROM GVM_ADM.GVM_USUARIS SAMPLE(1)
      ORDER BY DBMS_RANDOM.VALUE
    ) WHERE rownum = 1;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      SELECT FK_USUARI_ALTA
        INTO v_FKUSUARIALTA
      FROM (
        SELECT FK_USUARI_ALTA
        FROM GVM_ADM.GVM_USUARIS
        ORDER BY DBMS_RANDOM.VALUE
      ) WHERE rownum = 1;
  END PRC_GVM_ADM_GVM_USUARIS;

BEGIN
  -- Generate Random Data
  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      31499265, 'syYbtajgaftwVuvfqHSBnHIMRkbLeeemt', 'KIedvKdAao', 'hcvJrsYjSxXYlAOziTYwBjTNuhWTqvlTzLkOohqgylUBTwk',
      'SRTSDKXYGwS', TO_DATE('02-07-1977', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1057871218, 'ORjvkTObNdbrljmEfuurLkieLsyHrzfIVFkYTGhxLDUkZptxrBpaRSejEVmgQTApvWVBttbNCF',
      'VcYgdWebKderlEFkTYyFdMnOzZbVyneSIJFvUpHRNUEEudmlEWhpLaGsPgXFnnoQjNBtsuoNiijLuDMZmmrnjQMTEqIlk',
      'eJjGndfJhVBDlaVCKxMyErqMRZUlReYOSFjtAItWlLzFoB', 'fdBIEcNgNSaPllZqQLpXOMkzndurPOsAqlfFMjvSfOHLUxWaeawhVXKl',
      TO_DATE('11-04-2041', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      770139536, 'YcXnoKOJKknjGxbgujnNPvYYcuQjwzkszLcShWEwdTDkFFCdCfryWQlyyGBNs', 'TGxhWiXotcXtNcVaJiTRYKcfgrXGzPSHDJcjIgckxoVVCmoNRCAIqpAqIbPdLkUpRBlDzhhRHyGuasLOYFVmRnjLObZ',
      'UCBEEDjgIRVVstasquPYQTtgwKtmWKLKZRemTEsDwpsoRNTEVFkpndvcZsDPtDKVvTBNbIRbCuqMQScwOQgUCfdLwdNkdCzCYWcE',
      'TcxGeqqeDvrFumWvCDGtImPaUMnwDLhUguUfmdwovQTLzqktBkLAhM', TO_DATE('29-01-1950', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1947133725, 'MGlpMeWGybqGBJyaJFLleDloozbUmkFcRrqiqxYDM', 'NPQdzUgweQSWktrBbyFaKXsXqSdObkXyHcPwrMwUaLBauWfccSPSQNMiBUNvJjfyIdYgPCDj',
      'pWGHJPpTNUBMbGssGmRnTJFGxCrtdaFuhznvXcAclKdapBsGcZAhtKHveYAXbHNxqSuqOgOOLIRvgL',
      'HLqQPgqeB', TO_DATE('19-09-2009', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1161758499, 'osyKKfzGxzbtzHDmArQywoKDmjTPRllQibfzcRGVuFSsAwbFjoXV', 'jNxlYMhjFBRtVMeVfXURbFuGHbQVjihlyEkDpbjdGxzMqcMpEujNn',
      'UAAcVSuDdAjZXmXmCwLMIfJfYRqxLfPhu', 'boJwFRqdlPZUnOOsLbsBAVHiTQWfwQwQpkI', TO_DATE('13-07-2086', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1106863399, 'tEwUxXrXVCfzgVOBVWrvrEbUjgvvcNHwIVnANSxwLuFNGGuxGhZFInaoZOkgbRpawHkkxXvHeZQo',
      'IIswNhbxivIFytaDjmkpnLLpTxVOji', 'DgoxwVjNPI', 'ngntNqomCBsAonsyRMqkBMpNWytrgTYwmEgNSrLGrREP',
      TO_DATE('25-03-1968', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1415231369, 'AVsshHth', 'jqZdJgWpLwszaAlWxzkmzuqelQmqXSARZMGiCtbHaGN', 'fDnHVowUhSiKURObrBZtsktveQzLVqMqYuNKorPranJOpVQfYPSgPtHBqIKom',
      'yccUDlTLfpJkQKkfRQfySiapMlZgABeFAbuPePIViEnvCLnhaKRygaoXCmjMDFRQDsNgZENvcHkegYt',
      TO_DATE('22-04-1910', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      762751755, 'tCCgYJDdqQWTecgUBwEbvJcdYDxAoBfRJCummXNZulLQbHGpeohVeUjrlJSfdOSPSkdqdxAJCYRWKwcHgefm',
      'zkgokIeaqsnLCxHIdWzPLTqSskaYPgNxdtgMfKIhazMFdqwdQSPkIwORfh', 'XsgpaYCiaRQGbdBEmpbkjacuOEKRxDXKBseTDxKvlQmvcSuIYsoDIrPvawuQgwYdUjQybLQiREuarBAgB',
      'LThAbhiVouELBKBJtPbhQOistLHyzzWelxhGONiXlhORCXMpUpbPCRNYbFGvFNGqHiwBZoXXh',
      TO_DATE('25-09-1932', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      637999233, 'xudNVpDJOZaQRAEOCEQACMZjbezMSlttg', 'JDOvwaQywNCAEGGrnZSWGcELx',
      'jJBIZGNyFFECiEGrwTFuJYeXcmAKKfXPJGdjFOzEmXiNPpqLDhNCVodve', 'clUTiAOrivPHjksdBJ',
      TO_DATE('28-04-2037', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      2115033249, 'LjncsDszJFUqkHpgZrHhZmUsxKSchcJAEJsiJWxFlOgeirbyeuLPCUKOIqhjlxfHRLuxeuRrPmvuHmwEWHQujDeOPDVndmPZhHFW',
      'hOceDXvpGTWoeIWyCAZcGyRoxOnWGEFGiJgWkTENsXFAgqIHHR', 'FvaMtATfxqTZQyKcTOynZIuJTZXYgqLhgjqhBSONyZCFhsXlbK',
      'EZShIoiiTkhSopMsBIJEz', TO_DATE('25-10-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1819500120, 'TYgjtQlxvmMw', 'ztdfKCBEcvqJwSYOzUWWcaRYMOaLTIZtQhoATniFoL', 'LOVUEzYbRFaal',
      'GhAkEEJ', TO_DATE('10-04-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      403946265, 'SxboYJCrxKgltHiBxKPTWvrZSOHivSAmwuVYQhCSLocwXdRNByzNHCnhvIKK', 'RQXvBzTywsQydwsdWEImAXETFOLiCswcWoytdWINCTQgbTPhKApFODZgVNZDGAG',
      'LqfMRJTaEABtrXbJJflrbgPyegKUvIDnSXBSgtxSRs', 'mWJNVWLnligxUIUUliIOdgCPeiRTeEuPYqviGRNMvkhRzXZNXgxEsMcbvulL',
      TO_DATE('15-03-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      371834980, 'NuVdaaksHvpXslBgQhrTZfltATfwUxHXztyfiwIHjSSuVCPdXmrTqGYtuGAXOxLEJnJF',
      'kccFUIaFxvqXomaqAEqgiIfETzIEBwcuGBsYmTESeZFNLKaVhkzpmnQsUzbkHImZgYXdUScqkhPvTjsqyrVXbhrQyUH',
      'EnRrlwSZetDhHhZFQbwDdrKawFEixHuzITHlekfOQaQmKiXuWdoSvnZMYgUwsupKETlhqtvIWWQEbFascAXh',
      'eYmSCJoEkhmcwUGUlmeHTpMCooVvFISzeDAqVfqgEJLmmF', TO_DATE('05-03-2084', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1379194208, 'WnvngDxTzaNIVBJzXScjnPonJRcvlmzVzrerrpRXWiVcrbtWjYynuEyXTBscwyz',
      'noFWhuNr', 'ZWrXKLtccySXkaberjZcfTGVjqxJwjRiEfUxqmSMBoYGTsaMaaaqgFWuvmjwfapKL',
      'EVbhTXXaFSnGKDsXfKDFDXKYGVyytbajQbVOqSXHkdgsuovrYWgUMKfcvbpoQWJzoQqpraejVwyfhi',
      TO_DATE('14-04-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      2028759051, 'KQirhHmcDDTjSTmcIyyGyTUgkdRoHtBZFLTtuYkCiUfucsnozCB', 'ucgRBOGcsaPigHqWjgScFPuiVBjy',
      'mXVHimUJWMCvpyagZMCazIjhGgKPNIgiDqxBICmUzPHalfDsTXpassQjF', 'sYHEnduaDASyFGYSIkfpIcZKoNxCNeZqfGvEgUWFNVljUULSPNVZMnvbdsmgESqcAxvMQSSnizHODXmVuoyHDUaDMlWdjVt',
      TO_DATE('13-05-1925', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      114754643, 'wocSoewqDtLefjCzYOHJQNKUtHBd', 'zMLDafJxdJLKDZuToihTCwaPcUAopbwhJNvmnhAGtYyBmTnQHDMLIBbjXkKkXqUJooVdSt',
      'PucQZcHOMbJUqHAWaGBXOoyBlZlYWkABFVPnHvwWUiDlUzydDSGRGRkRPYafGjmOMsnnAxuXNYFJNUsANsSROAcmx',
      'RdTzQYu', TO_DATE('14-11-1973', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1525300187, 'kLJzsLWjxxiJfvSQaCQLvZZmRAVVPqkuudpccXvWrpI', 'jrfxVsASnTIFZSUvZcuLXFYqGuDPTEelfhdfcujEBLFraU',
      'bXtTIsdDTRRbXqDnZNj', 'OTPKuDSzmgANim', TO_DATE('16-12-1960', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1872415648, 'gzakuIamFqDLbZKMnYMnmVqiMtLqIeaUZjvcz', 'RXPoGneDNYmrVuHaNKEgyZIhqGANPupPsbxddo',
      'SIKNWqrcHWhLRr', 'DBdnCcrmWSBBbzAioPIUEPLuziPCtKbPiHuYoDdhoxKCSXayrotuXKkBDeLTqLJvIqXGKjzbJ',
      TO_DATE('24-01-2033', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1546192169, 'QtrcHagWwKmBlnIWFNljPymsTciAnffA', 'HRSzlJGpeqwexjYkyyPZndjPJObRgUXtnSWasc',
      'WGCcGedQEiKAUOaZKBGdbWvyFjGXYkxybxWJuzByvCrfWpVkIKlOgSqSARuFKgJNyliWDwYjmTqLqiVGSLrnpdZ',
      'OybowuWnTgYHkbZMqbdfHFczzKhehSIpXTfGyHrpLWtMkrbXdELBJfQIpswKVrSPlsEMpdR', TO_DATE('14-10-1918', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1078053201, 'FBrlVeVUaQsWDtWtQUdvycQHNTiMbdFRyOMQIuPHwDvIUEoMORVrASjYsBlSUfRu',
      'sUpIOZaiGhgcSwHSAKClnwZtbhRXXcTcRuZPHJVlHBtbtdWkulvkJUsGWjoRnoSd', 'LzqjQaauZfmzejCBLIhUGchdYnMOrNNrkpSIUrhQClzJGkqmQqDLyaQpUcYufRvxYEwYSDuoXHQV',
      'vURJXqhwXUrulmUdounB', TO_DATE('14-04-1939', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      411423540, 'qWzEXmYYJfxtqPzmOPrDCnXVf', 'eRnWFecysRyBYbPtnomlmdeTURstIqpIhQtrMWktcoeYonMicOtQlluZTErWowJpAIMdxNYvLSSEoGQtA',
      'TZDnxwIortPNdFHITzPnyFiIenbIOhXrTOJxNIUrLyyUdzCZweApchQxCAmOjhMtjoxgXRjMHdsmwXKhqWHHqZylvmLzGtmDc',
      'NOytQYHcOAAViYgjieaMeEHMYlwPxFyHgFpvVcDWrNqCFLnve', TO_DATE('04-01-2050', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1497494495, 'qjpGniUQfuvjjADkjCOoxJQtSXvYPRhVmW', 'ZwSknYUnGiETKVqbZgtWqGPHXqlUdTGeSBpEqJpSKzFQ',
      'nRenvTRpmWycWNeyixprVs', 'DxtjznceHLg', TO_DATE('06-04-1963', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      621578225, 'KdBfzvaKjkorvgkoPFaAuDZGtbP', 'MdZayrVXUGmcZubcElGQvRppKkzmmNQmClliydXZhnTEGnt',
      'OyGQEUejrMvKAJkswrGPzmvBJTZDeHIRoqDPoLNBSVLUnxbCDWdmufYkAJlOFaCUynixaGpbaNIOPxuONlu',
      'tudiRTOjARDxfhP', TO_DATE('04-10-1959', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      498202005, 'zUBYvZBaKMlhqQWanBKefgGmyWpSKwyfgltfGrJPmxgasUUcxFIEwiKMoWwOoLyNkqT',
      'ptKCDzTeAYWhahLnBOoVWMXkWyvckhqkFeApYAebGVMPpOfEpmlVaJiji', 'KyTeWlGFuCwsHZoNCDQmNSPAbqSDXqXDUiqYJugbWjHQtfzslubCIQAOmbSLhZNseVqBlJcznOBWEmNetSQoEgMpJovDtGjLvPp',
      'QipRoFGGwiFmEiGpUjWMoqxjtXIMxnBtTGwuFyi', TO_DATE('12-03-2099', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      553975008, 'CHbFVmXlxefiGoEaOETiRzSM', 'mZNyJVhquVmufqMFFLEUnhbFcoGLrGlSnmkSnqGyCPUkiOlAezaUJaKGYccbinIBXtphFGnS',
      'T', 'TbKWKYRAqiDlEDVSIaewlmLwaUfVzArTSpyxtqwhmnnNnWEhRjNMweenkYLHCAyAbqzWnNBGBywcLlR',
      TO_DATE('01-02-1966', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1453314018, 'HVmvzghKSYXHvRGUOeLuSJaUSfxJusPoGanucGQlTRkbaYJCNlWEaAZWDAWyNKwaDpSuPvzIlLyzFNmqTlvtjpQoxN',
      'HaGpNSskyCwTUYfvOvvZgxdCfrNHUmohvyjDvWKeucwVkzMfiFmjrzxujOAZHYQoAIVcATGTzMHi',
      'hYAqKniZTMpJnDLFNMxCANSjyTktLlGsstFaNq', 'rUbaGSBwwKRAIwhArWEGPYZPCLsxq', TO_DATE('06-11-1902', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      2132135532, 'EJHOvvrroZFRFctpauEBKhwKSlNzoOBhiYXAdxOLZeCmxeeCYCxklNXKQpkaqnnzszeeJznPkyqAdHxePJnohkKzooPU',
      'nmJHFldMXyQHMEIHtqMMYtUzjmHV', 'UPyRBssVLBfNicunFImiSePvCRSm', 'YeGDomkXuBQxWLVeGktcaihCkKQJkRzLNhtZ',
      TO_DATE('30-12-2001', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1586196162, 'goLzkeDPFPfvAtWObHNyHeeccIa', 'xhFcZLozsducG', 'JqaGkDcId', 'MNVsRwqtvHOluIhPbGXKXsBJxXxFYetjZMNhUhYWQHaAmZ',
      TO_DATE('03-02-2033', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1876847088, 'qeJBSDDZfumnus', 'sAboRtoVmffrgzrShoQrMXrONgvCufSFIiCePQtNWeCoUqLttpAirHvDQMoflHJRTGdqrFpvXscJyqqLFsMtlSHXgi',
      'ZOlFDrBjwZmkYNIbdfeXYCXDnv', 'KFggE', TO_DATE('09-05-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      976470612, 'juTFCNzqCNvGIlWcEKPXaEPEEOIpDODxdTQaQjiZnyiqVHstEegLYVNEneLbvvugRPamwhPBVVtipfFMYpidfVW',
      'XVSiMciOynqPHNOdIlXYeuvvAoRfSjJJEOgWpuPxBcwtPSAbebfBGneQpC', 'gKRBbWTsgjKIUycGL',
      'SvnPgrIWuzFfzjhKQihTEVdcATpMaIAstKzTxvYDFoQsrBzjzLsDqTFuqbUtaYEQjPxVIFucjkfAVOhiqkEhLRmQJqqWhaQwIw',
      TO_DATE('16-01-2030', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1746526379, 'gdfwaGVxOZdyzioPBZlHWnWNWeoDbwcjJealuQYSgoge', 'WqYGUZUneqUiqShykltNMiSkTeufmoCvqNv',
      'CEHNClRxsaBsVaTQLlJEQuobaQawYBRgkEgUTqfgivmjHGHuGooyLIAnZwripnkyYyzNHtQVcFTpiDAnLVbos',
      'RDJHpzRjneRFdjtICAtngLvpUhWggngXORrRyNJZabouTNceUKcNebairinOBYoIpEMqoODjTvxTHER',
      TO_DATE('01-10-1988', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1969858875, 'lyDspLowUEuKqKfiKzHIgZioTcXRFRIkUjqpnocgxyZxlDQxdLFOlDwZKJzTlhLDgQAiWQBpadeijkEuWNErWRVwkB',
      'rLpuvoGFxnncSqiDPYkeNxxbMzXHtgSjJxJAKMxVgETSnUACtOXDBRvlpmYblQPMILKFvHebyMdEwmniXbOLEmYVARwwJIaYux',
      'wLYzkLFyDEtBjGhtPnbNvYWbIBGSIdfedXTCmzskNVHZBbfixOKapwevZbFCZAfqeDTaMfmPeYJZdiqJp',
      'EGYGFy', TO_DATE('10-11-1941', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      244604245, 'oMdwuaCpJDmVgHBavDaueftsWTkCzwnDhJnnRDUDJlcGeNeXKT', 'JFxhkVWDLdbgXchxejjobXvWPIsAPsicllaXCkvbJTDFHwdwDPAGpHiLlnrJQDpjknUQAvebiRvzcTDVrAWXzhRPBk',
      'RBIWLjWSddixiMESVTAYeLEHamQKbQfyLKZPDKanALFeOYH', 'sYZhWElEKkSggzUpamDgKZpDQizoKHio',
      TO_DATE('08-06-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      12573628, 'kwkRAuTPzoRItxrNpsPrdcNkhKTnhNHhmdvuLDBIfnZQKmSnKsbudFKv', 'cFJknccxVnuzlhiKOwqQPtazSuAINTJybCcJgWvWpFniPUJZWFrhTePbDfqaULMccCnNPYkmctSKQcktGFlQarMH',
      'kFNGWdMnJGdwtxHoCvBnVazcNfpeDuBPJDLLYtlIZeTAXgAMEJUKAYHObTdqeMfj', 'QLhLealFvxcgacYfEdshHTxJTdkAmiRERPnLsNKodBROxhErXDpuxNQJvrT',
      TO_DATE('18-01-1997', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      487345462, 'IPVzJgSuaELhRgmeUQvCbkKHhjKrkJIjBLKwQyKkkFcpHePMpYQRGajIDkOmQvLDjItCxeSxvsl',
      'RfuBseIKZkSIkCGiuHXRMhKgGYsXqfJADxl', 'HSKlAMAvSsUaCFpKeiIdspicVhymmfbpMJrfzckmSlAuFBQUiJiLXTulpBqMYHtYCSEthMSe',
      'kCmumkmxZmrTcCoRuKtfLjgBIcgYFzKzYqUFSeegMFNqyRnaRFnztv', TO_DATE('20-09-2072', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      113208906, 'FdTnEsnmBGsOpedveZdXBODziPqvFEUHZxvZDgefEwCaRqOCqYUBgtwzyay', 'jkwXwxmjXqKULgPMobsEQrBctdGjnDNuKSsIQCEzXalSptFLlFGrGrLzCUIHuezATMHsBEyqgtDsABt',
      'WucHoRtCwgPQwoxKrGmCVtmmNsP', 'wWSfUkfWAxRqldAVyrB', TO_DATE('19-07-1974', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      972587600, 'FWHThkQGRNPAotxvj', 'StcKTAcTjDTEKCHIjPqQlkduVPUsdRmEHiDTMFoaBBBBOWHEXNqwWbKTUpjDcuuZVwOuOzBneLmViudqHzysYEVSB',
      'xPIYRJHYggszqmxsZdtRVrYEgXuoGat', 'OjAzJPcRvGiCEcswGbK', TO_DATE('18-03-1978', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1323925611, 'pLfQfStsmzyrvvfJYRWUROoXqnDQMbTBsxQDdRaTWiwNBh', 'rjdkhlYhWWwtFUuIUdYfSpzHgEhQJRyKYjmIstrkrZOysSTPBwwzgmeUtIDbXIoSsgsKSaFfQyqNCHqRgOGZyKxQejNGUvgP',
      'XVbYtOrpZDpDGhQHK', 'QIFtIWDFv', TO_DATE('24-05-1965', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      532752890, 'okHeIkPXiBDAZVupfPgqjBxALDlMPIZpbJQTtLWIqWSjrPgGMXLbhZPOqvqOrc',
      'MAIWMoJirTaVOQVeiHIN', 'GweajGaRALSRsZReCEuWAQARwYgrCyeMJlhZxvWpgYRUzMAieOirLCacbLqAv',
      'HVHkGJNxbYpkbYRrucrQQSiYYHbzQHyTptQvLpJhZbLwEiTKzqAcNdjvwTNwWbxAfmGzHGJWv',
      TO_DATE('27-04-2089', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1239376047, 'LYUnddsEEGYaUEMPvnSHHuTMVVmWEbcUpkXnEoGPbcQcJItmGNLgGyjnBtGPFesTfrPTTxKLAAVtFbUzVxwdJczdx',
      'UIXJKCwTkJnoIgkxIzMGhRcOgEQM', 'BWnsuoMRpM', 'XVxhElQiQqQNaGKEbJrjJXgnpTrVFgOwqfpjzJWzwfcLKcSBEZOJNtYaFCMBTUKyPkUfcUprQBrGo',
      TO_DATE('03-05-2080', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      819538260, 'Q', 'vkqMjivcHlryvaLEwEozgdMwQTXRGGlHpBBqRctMlaAcxpqhbhkpRxTjpzuiLrKLLFwCQmNmMJwYcFYCZXcHP',
      'eMruwSzpIWgndmzsZiFQhLSgyxUsGquGSMRIOyVSjtOtUfuPBlIXwwlDkKYOKJDatFSCkBHFFMoiyvmDEqoL',
      'iuGogYNeTH', TO_DATE('18-05-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      974800756, 'acZTsfFgfXaBqCZeudtUqLcLCyZIFtQZFcVSLPzfSeNKnyskTsFyDUlJDpBYJSyBqOKYhSMlfVZraeZMTqkhUwpdJLPua',
      'OnNnJuaqomkYIcChVTvHmpqMUvjsMchtXPQhJndFbuDeDsIavItcpRIsgaYXBOYwLGg', 'BUtizwVKwLGtpplbEGsLCixaKVFiIisqbyOrke',
      'mIVtdECvExrDQKSdRUaTeOaqEPtkYFCIsYMxBXeCWyqzuqrtKwKSseHscaeoZVimOKQeCzCQNeHoHHimtJEDjEbhop',
      TO_DATE('17-09-2026', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      507168342, 'fBMnlDm', 'NfKIbOLupzWDeDEiVFkAJEOsIcrVWigodTwpONCQDdsNLpNFllWngaLiVfknFVToHAi',
      'QiopXGnWVayHHKMqWXEIkgiYNhqkXxRqPKTXFcTC', 'MJLQbqaJoSBTOMEqDBBUpNKblzvsHHNV',
      TO_DATE('19-03-1982', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      217376335, 'cVsciJCXXXmzYYBOIKyBGLTKCjjZvoYebnxsbjiXbRCbvjnMYY', 'uPhyuPoJObBgceNyZBFwGUMkrVXTbPOlOJqdhbHOpZJzqyXIPndvlsbfIDQjuRKWKWAWt',
      'iOppumikOdvemUCKUJwSDNxnlZAdPkMdRAYaRqHmnrxtDteaScQSKZMgCsVHNzSlRebkJkdpf',
      'aweMorTXrfbwDYvbinIXKpBwcHLpfVsvmhbzPLEZEgbbrfHkOaQrFundzkPXVQFCGsSCUBcfIXmKJhxnWeJ',
      TO_DATE('30-01-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1185084722, 'KAoAEQabdUoVrzsuEcqtTfysUHsaQfAHqdnjBZCzEdpjOEQtSazNIPCZjLKKWaUbdTFMCY',
      'CYvgEqyYwPzEwCJdYCLmqLJtMuIzgBgqVRFdEgmpOmqmLrygIvONDFEwbpDnppTjaAeyIPdlnqHAFZaUYpxvrulK',
      'evKPmhxznKNCPwYfUPMnQvWMxtvnhzfyMRDziFjYMlWWmrWTiYvMUaVYORGLWRtNLUIJhmzKsypYhgUZlvwXJ',
      'REbSKcDgtVys', TO_DATE('30-11-2019', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1055883362, 'WcamMCZFbkpcTcSnhfAWoiKXZEmtgGpmdyPjUpCBlKeseEirwxSZogkhuUKQcH',
      'sWAEdxwUYzzukVBGibRDLwBzgtRICIvysRHdBhHqKLEuSatfEdVXztvKgKvJGFKbC', 'foomfugrfWmNWYRawkcPmUhebBKvUAivkeHypAXEIFnvBINrjovLjvAvrRBSnOQcPBSJG',
      'gHodHwWnEtVlttjmQJrbVEWxloTquzFdCiIYxzhTQgbdfsmqIHfvhzDTtYlpnbf', TO_DATE('18-05-2078', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      393422193, 'HHmwzssrrgqijymNToZwivTdfhaenEaVhObozssMoTtvMdwELKPIgcXNlPOWlSxNsVaDgngbPelwmLifryrKcBpuGFWhzlCA',
      'bWoeDfmPigbFbvhlMHeWwkoJPPuLosCTbrTGwaIIenTeToQGlVrlPBQGpSJHWgrAZkKtnVQOwBeSVfluesTcFSFEVmHBhoASaqE',
      'ghOnzsRIWujKkJRTSIjNJVjRXwqlQmBkfOPjERlbvGMAcNPCnNEyQIKpTMwUpsRExGAukhyhUuPbVZUobtxomyvgwoHrKEj',
      'kfICtqDrsdTloSGjHYaruWnIcxXtBWBsPosObOgqus', TO_DATE('03-11-1945', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1494282693, 'xSbxWhWmpvicMkqPtlsTfdZeFuuGliwGtrqQckNywbES', 'iuEIlOaMIBmaHzuOgMHfwAgzIpfTPpVJpxRSbpGE',
      'QZvpGSRToxzBbJSrhzCpNYKujDveqIfjajLsDXpQWfjOfMVPFzEiEZlRucHOSoAsKvFxO', 'yauQcdSNDLxOCMIByYfBPycagaBnKRnjRCdlYizFhXYeDy',
      TO_DATE('08-08-2022', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1307180404, 'CTOMFlvTGkwghuyRgeubLWKAIaIqXJHxnlGkzSXPhszOKZwKYVDTcBpiLBMoWnpaffYihEbtDKTXXCouRnotEPukXiYYujRoeD',
      'FrEeEDKpBYSeXhcevZJUcaimPv', 'hhaxAmCzooVoiSDAwcJSlDRDadRJIJAueOOagESjhfilMApb',
      'nUvkEGnsrPMtXtHTnCvUzUbmXmpWxBygeKXOGCGPMT', TO_DATE('28-04-1920', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1948560459, 'gAVUwskTxpYQXzLCOizsLWqpTaXjEySxtIRAIyqgJifFlZMyjwqjGuUKujmFhktZmecSjgvcsygumHfGvcrP',
      'tQHhWgZNllmmcoctUJ', 'HaxJolVQfQUDguPBy', 'UEOiRXqpoGbVasZRVGWoWSjSWUhMNtNXXAQaYBJYaOZfFhBWKtSySuXPMTKj',
      TO_DATE('24-03-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      96809083, 'VgdjqiQZyvtcDKZJCJwmvBcELBHlVweHgdRauXblqv', 'LLqDcsQzeVVYMbqYJGKwWIrImwcTpvoSsbPXPkyVHQEtpGRKEJtUncZzuMrLjDwzAifG',
      'kVafpzRdQIPKqACCzyGayWILMIUlBrmHhCnJvxQSGngmqKGQVkTvdduAoeXPUGgbNAKxsNFo', 'guPNPOFYqdTcYsXHSZFZJgSeTsGoBtDGcQJQRDoIqkHlYvzoxwKQH',
      TO_DATE('14-10-1907', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      2114726872, 'qTVGTSFAZWGYQvaoqUGvionMsjXnK', 'BCUAwMjvwlNHcEuJLxkKhDFhSMYDOERnDbNxBquwfrwFkRlyYiqeSUtlQdeJkRckLjGToRCpRfBLwZd',
      'pFbFLnlVlewYXCgVVEGUIvmxhdyehrtzjvAmMGqccXjShfddvKqusxYtYBHSeDbizZqy', 'mKnhDV',
      TO_DATE('04-10-1926', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1656807519, 'uHBSJHaRnLhESDoEYQQPmTyDADCofHHsYqZyiPCtEbtrkfb', 'GZRbmiEiErsqtPMaXLUGcOZlww',
      'oEAMcCSUYMbZbnwONFbjSMtTgOYXUFdIHjdNgULGSygJoLmDjkbYlqWjqCcSNSczSyeuJDbzmAGkdKLPckyDbP',
      'CWvrINMkIxDZtndreXKPyTbGUDgZgJILpJMYDCijSDyJJORyVLXYSBCiqIIYhGqgGxfHNeCRrFJtWfZMOIyzWF',
      TO_DATE('13-07-1914', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1572792162, 'DuaUgOdBUUnEdOdKorYAuAPtNJBcJvOALVkVceHcVeWTdHweJLSHYTV', 'YMNjNAuMohCiJpReyugy',
      'KYGyCs', 'MwrEXxirBEIKKRPXUcyGQzRgBMEogYhJGZowPwXLzcvzQaAWuLiTvtnQnxpBONMEIMWSDlScHN',
      TO_DATE('09-11-1963', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1560965627, 'RtnDxAInuvBfxqnNlseHAYVIfiiLdDEMXFfrupCbiMmIGONvWRhMUSITMCBUHL',
      'OrJY', 'UHFsBylSmpKCjsZlXWjadNXXBJCQHCkbYFycGENRBCIfVSgvcbTyRxadVRRGmpikBqquULmFtNnCHS',
      'FsZLaPpAjcwJuHnDIjxRRpiGxbijtgLnKaxrVqTnJTv', TO_DATE('15-07-1929', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1226268583, 'CXHfyDUmRrHMIUcMdZMbmoTHqgNlWklYJIT', 'ZdjiaWaIwYCBcjZABBjQinVNotqSjxYEApDxHrdCMPutVMAOlWonuUmZ',
      'DoUfDqJsGDbAxUktRCCpzsxuSaXmpdSIMdXvziGEwQhuuAmGUUNGZqPOJTmiRHHipslOgQWVZappIwnDXocmiutDwfVSnFblfju',
      'FMRgscROSKnPyMCrcRPJvWSFaKnrEUtFDJvHDiWQkdUGlV', TO_DATE('02-01-1992', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1769033195, 'XycCftJHAXBTyUriNNUBdNJXlsXGuzFvsaEwtOdb', 'F', 'eRnCjpqqrWOeLYdzBiyKmZjzIYUDp',
      'IwJsZbelWmdvxsAjagekAkhvrOebuQyiYGpNCjBTjbBFRtfYVzpGL', TO_DATE('10-01-2036', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1058657121, 'FhrQwoTIKkOkGymUzOJfFStrIQBGVMRhkBUjoSXppsmbvxuOEKXLtlYmfImoFduPPnnwsJd',
      'SmlQX', 'OcFWLdeLGDorDHulKYamvwbxpcKueaTbtiQFlkYZ', 'ZmHuIwJlyfrzdZtIRweTtbdtDuGfvUlnXSmueFUEMsjWaMwWfCrZkRWWEPMXLPgYboyXzXQDIigCikaBoqZbYyw',
      TO_DATE('22-09-2070', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      269987872, 'KPHqabDPQuESAARsrEDrF', 'rcxYgGuMLhtTlRqXVDWcMmNZWOyHBHs', 'MlNVirCFnVLtTqZLIgrwXBUNIWPvYCeyOtAAETfMOrJL',
      'RkHcLShAikOdyOwkqHAY', TO_DATE('29-01-2097', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      173856224, 'XyMvOLNngjALhHehvUIKmGMgsubhziTNJaoVArqTRvTybVJZz', 'zWRmINALCMxEYvCkWofkc',
      'apPzHJAgyNszUYrymEuwdbgDPwPlrMcBblmLvHAansJRYRL', 'SunPVyzTJkDTZsfaYWZeRhBQvvQXaFOfMCjadFBGjUFgQwhYcsXyLGjrquZAoQyatxGGxoUMKGzGnvzVNNofoMpzMQCCw',
      TO_DATE('08-03-1954', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      402607901, 'mERFtpzZgtvpNgmUlbTguFgshqPQqrdslykGenTzCmKltXMNLYYQEejTEMChZP',
      'DGROViBebXFmHSacnGEueIgmtCFKwmICbeSPtSBwXFALqgHdicPOubvkkFiRjIuEcvSnu', 'UQrVxiVblxQqNujTjYPymLPUCLIeLtmuwwntETdvfUZucysHlPbTbxiEPXxtCjXbIKCBKgmTvW',
      'nyfjZYkRLNbKVmRdbfyCSPrdLzQpaKyjRIknR', TO_DATE('25-01-2044', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1506023634, 'oBRyhrUVHUfSPaBYuUcApjOIaMGcwMuflzLzgCPNrqioFnOINkBwRCbRToLHqbmLmMBAhGwKZqNQvFKDMkuUWdapHKx',
      'fLDTtFLUvXIpJRKnDKiCpGcqQSTvVfbXwZNBHcPHGVVoVFknbhJleSFpLfKFxlPvTfgsUEVnW',
      'oevCEotfGmzNOEMgZyBqDIirvJKQgRLyYWSbzaIlyECm', 'lQHPXGyuhODGDKpMXErSLXrplCmgRnJayJZSHNnfaEyDdrsXxBMTYFADntqZQFNIS',
      TO_DATE('27-10-1951', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      920297817, 'kILIwMXwJcTQHRqBLVOSuJzJzhScnsPrzZTyoUspYbwDyIvYYnDTOpMlOHqlJH',
      'hOzdsAPmRhqopepyXsrlImGLKdmceOiwMQOxaofkfDSFKTpNKixANQYhqDRCfUNnoQOxNDFGDXJCWcPIG',
      'oSaeZDOHgbrQseykLmzfESwJsRPlcBOXQWASspPuzQJzvVuDMlRZJ', 'ZJ', TO_DATE('17-12-1912', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      822540216, 'UpeLFWlghJbIYkVikPHffiVmbzsWBlygnIEMkWZOkdUnxBHrgeEzRPwdzbULnicXlMPtdjfiernHgqYuiAl',
      'XnVqXZXKWNzNhmgegYjJBGjkBnNVUVWnEAgLiKRoPqxErEkKMTkcZgwXojS', 'iWpkhBjWMPBfVviFHAQCZZCuDjFISaITDTHVdv',
      'xzXocZMctJVLvPRNrvxWMBIjWznubzzURLdSJJ', TO_DATE('03-07-1929', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1106630636, 'gsOvBqNsLItVglGUKXHnABvvhYOhrCuFWPCbQmRseGiZlhLoG', 'COhDFfqChhaozGMCFCQZsyEnivhcWnaFIAaekJdXdQPfdQmzyLPCVVHDdaKHRWlpQpOEauFfkaeUtcQqmXlUFUTPeAd',
      'SdRFqpGXfj', 'zJkaMxmWz', TO_DATE('22-06-2069', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1477338386, 'yAjqriZQVvETYeeNhlgfjjCOQopqrcTMqOIaPRUgYcWWiazlHnIhIFZHCQXiYeBKzjUlnPgSprOzGWCuFRmxNdfUercrZoie',
      'TCGPyxOcOiFpshyozFvDJOMGEmvc', 'JLufsClDGDPJuWajweONgZWTejNrphFbGrTBzFdftXVLrdzVDVhCYdDYfeacQNXYQfzYGvkpUSsaUrNCMBseFyLhdfXSl',
      'epDdfYrkFrGHoFMNcIRTfnNZOCGuoPkqXWAkepFhLnjwmdJsiSVSNNrwwAItOXqEYxPhFXsEJziDKXWsu',
      TO_DATE('11-09-1987', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      557009075, 'AblV', 'iBJmsxTVTFyLkPjvbJCYvntquElJlJdjZZdIZFbKDn', 'UYBjiAIWYtMjbEXQyVSiclmVEEalfgPxvjfPluufmSnECBCfjkpvbfEvgQUmjUxYUGEfmHsaUBFpGpsyXOxBMWzsw',
      'aZhZnReTWnbiaxmhGCJfgIADdbwmJlCirutIWbaegxIsimcYqjscCDWeJSHgiXFlBNVjRIzzEdfurvhTMXSRyjjIYldtmYe',
      TO_DATE('21-09-2079', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1143838942, 'inEitnOiYRsITIEVvdhFlChkwhGoWTNbrHgPOuUbLFEzCeUfzbEmcqEbp', 'buzytrKXtMneeqczbhuPEVgmBWcNDumkZlOr',
      'clSPUInlV', 'vIOjEdFkmNKqsoteJDp', TO_DATE('16-02-1975', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1597636720, 'QUlNdrrJWN', 'mqWrUwGHSOKHEPgqwBnP', 'vcDFvSfhkNHnxMlSDCRALCuJPtXPikrhebCiPwZNCGTzzbZUZl',
      'FwAodOOYRIQwkAsuXwlWRzopQPNuBEeWpUqskHMjpevYAfuwQBwtlSLikQBgBvMrnedhJtrNDBANBmpfTXcrdDOMwS',
      TO_DATE('03-02-1974', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1806388453, 'xQWr', 'KmLcWPBkNVfxwwbOIXoPZrqOh', 'tXbhQFsOQWZDfIeaxSPcZlTEGEiKaiBbJdSxbxdQfdoxRaDETwZqaVPjrcZMfwIXmhQRdqyYjrxMiYXumkapaUk',
      'otIZWqjgSwfcTXoAhqOKQGxKdrIxUPHZGQvvNVnZSGtqycVBnGKQZEsV', TO_DATE('24-08-1982', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1390938777, 'nuQQMXkEnbHQaGdBZQResPdEhhneUlotGGXPiaGjOdFRIapqJZwruINexmTKAiuOJeChXQEnVzaalRuEgOaZlrVksGibeMairpyh',
      'LcomdeRRoKAYTEZBCPzpBPHdepCSahzNUAZTRnYazlcwPJHQNxZRllCFmdnuRrHzbpLAnlpNkWXgSKUCStButVrfLExHbWT',
      'NHRkePLkOxdDdjXmCnKcZTLwkexcerlLYuftvJXaWPtSiOczHTdjYnQSwlJKTROVKlkxmxPIP',
      'YqHLoaEuFUUklZQrmtcUouPBVaTVXXcRHQDIxLghajuXqRXxqDrwBlsgkKYpmiBFUSdtZDJ', TO_DATE('25-07-2003', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      360156065, 'dIhVvUdv', 'BEIapBwZWlHwlaZ', 'gYVAfcZGxQHqVBVXpME', 'WOq', TO_DATE('25-07-2060', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1871448477, 'ypLHChHqdkLImBeSXfulzczcjqSWQRKbLYeboNDGXkWNkTibcqRSRguvFEbElxpggftSe',
      'UNeHTKrANZzARXuQPtTcnsToMyEIpklnpHtQMNM', 'fejPySZlVYoTpExTeYTZgzYkLIRafNgfljySnONTGNCtYVPkRrUYGGXgiFwrpSRFLuVEAPHiUlcDbauidsvQMJPRiZOo',
      'IvwWXXFTOLjutqTRzQHoezNaLrTHsudsJNNEUxlpZsVuzrJlzYYVuxnqENCxgiAUdBEMXYqIIdEvOswMVhXK',
      TO_DATE('12-08-1910', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      287433146, 'tvubBKkqrplVgVTeIMYdRVvCZEyimpMdEETuxwDxXQKceqsRGLndtYQeciKekZXpygGEvBOXSunKYyxXaOiWodctEDCCCMXinn',
      'poFBbKIDOphnrxEkDhlMBAYoiTNQoosHMNYEWaESPc', 'gqUsbXDjvoQvlcgJPDzYhXUoCgDiBp',
      'YcOPkfwxkNRDhntrhDjcKDFuvzdER', TO_DATE('20-07-2062', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      2005153207, 'XvarYwuIQGRyCHQzasmvACduJMoggegciLXWTflRIFvdqHXUWQtOQxxPwGPeXDkRJYZaZQSNepavTAHiPBl',
      'lPtocvdlyEXPNcARDzNzlTuEHHDFORRzvPghVsAjwrdJzTAKZSbOeJFduRJnChhSgOYrsiBpgFlzo',
      'yirInXtjgkgBIFTrtWGIJMLVlkETsbTXRJQHKdnZOzByHzDDQYPUyNmcPrDSpuIngIQQta', 'lKfrYAHhGSqmssmXfnWvtSyMvOvYXEsNToanvMpBYNPiCKDqwHghAEhkwioNDSQEtLBQHZEqJryZHnxylnJcGCvCHAFLQjUrByW',
      TO_DATE('07-03-2058', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1854559701, 'NeYKOssiRjCGzPQlYloMiBbteGcYNrklLYlomjEfgrwpUImboCOSKYtgcdPmOcknxfPrVdujWUSwbkhGHAwfV',
      'lUSrFRSuhIXDppBI', 'JwOWxZpOJqVlZRpkDkADVemFGtcltWXkHeatmvaYiyfpLzkAWnsv', 'HaNTWLOrRqOjMXniwYJNbd',
      TO_DATE('17-03-1976', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1971725487, 'CDMSfjGJLfmKjkgxEYbiYcAYvNzSQAQHsZam', 'bmJZCxdJRceBRxKazNBQIXlvhLdvDMVytWAkSJQJj',
      'yTjujeJZZHpRMLCVqMrqLGZq', 'gVcxKYvgKCsplY', TO_DATE('18-05-2063', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      27066697, 'YdXJjWXsFNuJheJaY', 'vztVLJbZVFppgoHsuDedJNRvfMlB', 'QKufMJBqjEXexSteMpHVMuqwfRuDvAZSeeArodymWVrSxALvu',
      'NGQCuzSqUbCDcoHecnWSylaloXYFLEQmSgNmtwVYJCIOxFQnnLKGUwmirQZAPn', TO_DATE('14-03-2067', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1847367620, 'YOLPyKOuomQXhromqviZKhnYRpeAnhqtJS', 'zuWolqHZb', 'NwxHUFjCHyEtLJYqxTxNvDPfspVaYryjQPqRubvHoHTZMCeElQONJlkrHXbxrIV',
      'TjfqyBqHNYgjptdzJ', TO_DATE('26-12-2002', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      153301788, 'lZHntNuqdcMgRjvtHD', 'yyzoCAQDZuvjnHM', 'xgTvCdQwZiGklnnUMNlqmmLzeTVazhTGPdFHAMtWtcUtpMuAXjvpLRdwLLYPCMdBVR',
      'YPmzxEcoKCnneBUDIfvUYoybjptyfNmzRIgDaxXfOkRTllmNJYUlkeAiiEWRPUNVWpcZwDxenjTXHtzfp',
      TO_DATE('22-01-1969', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1838557116, 'NJoFTDXJPWdmUNbyGmUSUMSmvTFWPdLQyobaIhvEaxOlMKgWfkNdVblFcMBbxFIuaUyDesuEZYM',
      'EuLcddBdkJkZbtrSReiiShwTlMqKSJXKsBPbggdndmgORsmbqErPWCDDScVMsOduGxgLaimlEzeAfhzs',
      'fTkjHCDBbmHJKiIpIRQuuySRjUKRZzuZKujwhcLh', 'NyJertwlZWEterhlsbbynduAOJqeWEbmGLhGjkuMsUMhKLhpJ',
      TO_DATE('21-07-2009', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      892109628, 'songBSkPVevxAtAEtjqxRjzUElwRJgSdksxsdrdTyRZnRMnbjekfnkPGetcvEnVGvfxBktXzXAuycKCQpdCUgDBetxYd',
      'IvtYzWrdqtZDXmRsLYVClMXkmAGHbsFdqMFPJIEKtQPvzcqysEqqeqdkmKDaAftJmXJRfzaHXFgsoCTthNSDZe',
      'yWCDjvpicvmLRcuyJatAbNmfdGaT', 'IpIZwhkFbeByayRJwSRSwYVTxqnonlUWZnjmKAnqzJKCPBdBFFvySJCwVpeUlXpLmqgywpvwbQMaAIxxl',
      TO_DATE('30-06-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      447057588, 'irZfFEQAkVmpdmcnenaepeeQfxlnVJeThNYeFdYhJrYiTslOLgtqR', 'YWmwcXaheHCyXdAWKjFCYpBewaULodgBKeuLmmBhemuqVlRHJBLlElhSiUlzYyUULDDGrJHBOMqbqocuCqxoGciI',
      'aLGBjmJbj', 'IsBznKN', TO_DATE('02-07-2096', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      861444498, 'xnvLeyKDChILsKkaDaRjjuciknXetnuthNYKbiFE', 'LDPSTMPnMGphIdQXWrTXbGQDZVIBNHBFFFeElkSGGavPcTVVUCYSSpEEUSmksa',
      'ssMmKlyrAPRiuMhSjablbQtSQBGMZmUrmuzBOqnMeavaodzfucCMNsWEEvjEOgFNHocDRQIuRgGZ',
      'oGrYawgR', TO_DATE('01-09-2015', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      132325995, 'nNDenFmQkNVURkzFtkjeZhcMlaGRzzxxvyqAVaYiibgdYOFoeiiLCWtzbqv', 'oUPKSMTIdlVZliRMWjqqYAwwLMVD',
      'ImxXhZOeGMwcKSKQoulXXWsUPmTYGLdmumhXsIuTUFNFFXFFFUMpmoqmXNRbFvqWJPXNmBeaxXLdcrRYiSf',
      'fjSObZUnwmWJIXSyQBJJEZNUedfxIxVGJysKlRItEjGKqQoFnIvFGocrmMegruNsJaKS', TO_DATE('29-08-1955', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1293938610, 'mlTJHgaIeWpptbLdNWIgqanThYsqFbkeRRlkgsJZTYfNnXzZTPeoRiZuqxLWqeazmnVDA',
      'upJJwqBtmWONdelVkfqVgcHFNkukyhRETkIXdmBlrqeDiAACjQmjwmvDblmdgYlpINhYxNhQBlcdRbmSxaCWsyBt',
      'XjnzGXpybbsMWUSH', 'OkC', TO_DATE('04-10-2085', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1425538772, 'sBAVKSUfORvDiREFfTffyZWmjuBPSKHsEotFttqvAEbBaKtbRpfRrsXaHKcyquADYfrzzfkzVvEAzxnyZZAtOhZsSlFJVfFKsKK',
      'McfRQqfuCsNMbQQgtfeLGsURs', 'KgMsGibCHiWhUbXOqZCbCnezGzbRIqEnaSJEytcIqJENxICvbMiFagwwGnLApMWWtNLvvAJOwCSrSPSEnGbYrurlpn',
      'VfDfYdXSwSmMfOQBlwOjyqCmiKJLPLVueyLvdxyMtSKVcpYncmvikVZtaPfqVOXXHCSDZ', TO_DATE('06-12-2061', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      724638918, 'jCXpJeyfydUHbgCTUWxcURLGohUyJ', 'UXyuinwescOfKIIZaTOHEEhXWobkTidZghoozLDHUVfRszEokiWgwEwVRojcxTnE',
      'YdDalsHbVLKAJMUjyFROTTFcoaavQdXYhhivAdKvhPRxCQjVaGFoaMLrbetiAImbaPB', 'oxfNAOQHeUROKUyHeTYlIpoYQhqphrNYfth',
      TO_DATE('16-01-1930', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      916475557, 'BUEhucYgWLMyyIGdnqsoKCZrnELxXPwpsFOlkUxJavDKDZLfVbegmcptZAxBamgfnZqdTmVmtSKUkLtO',
      'ZAYSHnNZwSBRfUUENLwzBWBWoYXczbImhjuPdLUicQoVXVEvje', 'OBizyoqXQYWrjLwYYeWfPjbFcHtdpYCYwvjvDCNjWTerqIBMdpGZmgxOIFaFreuvHILEUSMllhYRutANwaXYZklcTDVF',
      'LnUWbVULGsXofWNjIVvycjNtXRCrnllmQpWDIrdbLGhYNmulOuLC', TO_DATE('23-11-1965', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      948700682, 'vXTczhvDVBqPZesRLcTUQDcEuQmfJIvvbAqlBYKvovUmqBMCuwgCikilOwImGHhROpSwAUptOACHPxeeJnR',
      'WknElBxntOcTMwPiWrqCIEamoACZNfaYCNVQIaZHPJpruLdPcqsavAqCTgRzoJK', 'SKRQzfaijCbXeuq',
      'SUXeEJyZBlsagoNXtpyCeEjDEInFAjHJyqdmTKKfdcIpBjoaWkXXlLVdWNpbIwxueKmdlLDvEHZuHRCu',
      TO_DATE('08-10-1975', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      463417281, 'PRTHiREKYPVNBXJYzSbBnTMwKWlZnakwLc', 'hl', 'EKsEJwsKnndcEbDJTWpCbmLdVNGtHdsJEthEdlrpcyjsiSwUagcQEZLuZcRcjWnBgCmxLo',
      'ymFxsZhaZKQyAdDhaUykxggIntTooOJWyppjJTZyCqlycyIhsmJqoGlGXyCwccpdvqbjOES', TO_DATE('10-11-2070', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1401362105, 'vvnSasMFgxybWbHXIOqcWqXwVcmWCMbbokyKbgEEcgUlptWDspuALxOC', 'vKLwjgLzPygwRvxhhjCRIggaismzPleyFZcTRhALuhdwozjUcufbCygiAzWnaHdYkZxbFyKtvfDgEsKoanTMFfKXxmoqjhSti',
      'gxmzVieojjInMZekfjjxGaoJbWmPGZyxFFfpQanRfsmNiEcSxYxhxtMxALCUiPQgnJwOGshPhmaOdWlgvYt',
      'MdUGQRTWnFdcFlMTL', TO_DATE('06-04-1942', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      554526862, 'sMEKVBZzEvjpcsZgvHBy', 'fmdKkcsJHzDp', 'dqZLzOqRjmfPGNgXAqsyPXum',
      'fUJyiRqpMaKohK', TO_DATE('20-10-2051', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      451704037, 'REzETVGmuKhaYskNOdsQkiDyKYbZbuLxZXrJmkhtILneUZjhrXgBbk', 'wMuRIeiFRauhFjWnfHcXIGhmnxSuxoGuiaOdRKwGxllU',
      'ITYJfzkQinSZcMtRCEgOvNpVgmTyLhvEWoXbRxEO', 'rxvjuxFuVWpQWcqNYfawvMvGeTswbzkIOhaJHWkKCulXQh',
      TO_DATE('29-04-2009', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      997028283, 'HYNeRpEOVDWqj', 'CXqNCuXKMeXdEnoTXyjIZatjNJtfuuSntROKanwcDdVuuKNbWWwQJTfEubXuak',
      'grOBlpCqHllLfqEjwLYXHaxZEJeXOmQkdnUJxdatbhJJVxsPGhoNtxrsbDkwXdAwQYXHZCxPEDVA',
      'iEcjbbzEGxoNybsfXDozaWmeyXasgRxhADCueAIlhLJxOxsKGyMAodJtFYRDqWzSuYodDYIAKzwZJUWbypOrjE',
      TO_DATE('07-12-1915', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      515344685, 'hyiulrNcLkrbYMCRwhHmVxpUsbvknWXWZMDCUyPUcbENKoUFbuEpPFDQHXbhGZwRVxuaMvDMlnvbyIgeiw',
      'xKgqfYzLTeKGLWRuCzCuiMUFUlNhjCFxHWUoXIJFojxbTVNhDoDpXqiFBdhSjB', 'DOfjIHBUiahTDNBGzHNCUTzDSbvuXKDnWZpmSBcbKchkKmhf',
      'ESyphurMDdYTRNQBskvZrU', TO_DATE('07-07-1911', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      1332411792, 'hLeSSFvyBtrEwryunOSKAA', 'ELzDxWqbIAvLJPGsf', 'MIRqgYFbbonbmciWSCdeCwuYmBdlRvdueKofxMqSqCiPubnyYAeTiKlKDjLzTeqZrTEhmUWmFBDsS',
      'emQKeosHbjMIYxPTpWpMxVqsGmKyFqqyNNNMROSqQOIzuBsZxfWXMuBvPQXCECIFrsykVgkJtsJtIgEqDQEzugDMekxbE',
      TO_DATE('16-12-1933', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      397505551, 'lRnZizgWlWlwUNQRQDceXnBKSepbUFbNdRFwZ', 'QyzTVhaGiCc', 'yyiDFNtDvSGLgRjnrNEepVgfUrBQssSZKvOjyAqgMhtmXxyQoLfRwUaktIDUiMlBSjpcouXKbhWBnZya',
      'xxqvFviTCrYgNUfsVZBMepRwMKTAKrCllJZF', TO_DATE('29-03-2016', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      639918359, 'VgZFwWdiraEbeEcJMLlSvomDhPsFbmugoeXOPuA', 'VpggiOkaeDmZaFCgCLyoXLyAbmdZIkxqtgPIEJRULQJNPKpVGnliGUjjLUOKeuyYxXxQqpaQzDbfAiUgYfAmUBobEAMCBFGdz',
      'eLSXpVUGrvTJZMybxvdKSOltZnGIXZlsrgwKbmwwGpauwozFgKHiKiHIuaALFHDLUQPhPxpaatZdYkudZolkJnVkdYDmGuGk',
      'BbDiixzpBcPluvjFzkdsKhfPtZnsuBVaYTyOjzUjEaMsKGjgUuouhlEC', TO_DATE('03-07-2018', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

  PRC_GVM_ADM_GVM_USUARIS;

  INSERT INTO GVM_ADM.GVM_AUDITORIA (
      ID_AUDITORIA, NOM_AUDITORIA, DESC_AUDITORIA_CAT, DESC_AUDITORIA_CAST, DESC_AUDITORIA_ANG,
      DATA_ALTA, FK_USUARI_ALTA
  ) VALUES (
      739806057, 'VQkcJq', 'YEualMEQVjKOUbYNwPTYCuZhmFfOHCUVrEwsuOpjIfUmFHsGyBdsWLSnfvqdRYzFAFyLXbfZfjmzlpbpvlYtqN',
      'imlOVLdwVEAhqpqDqHoaMOkQUNBwjHUvvbYFKJsYSVUVzDmqM', 'jpBIQsAUnFMiOoLAdgwEuzxgLgajNnuphhNIzmpzWqCusBiBynnDwXxdBBbzyeVkXIrYGPscSKRIA',
      TO_DATE('02-11-2033', 'DD-MM-YYYY'),
      v_FKUSUARIALTA
  );

END;
/

COMMIT;
/



